<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="UTF-8" />
<xsl:template match="root">
<xsl:variable name="selectDialog" select="Config/Settings/Item/@Select" />
<xsl:variable name="ispassword" select="Config/CoreSettings/Item/@Password" />
<xsl:variable name="passwordmax" select="Config/Defaults/Item/@PasswordMax" />
<xsl:variable name="password32length" select="Config/CoreSettings/Item/@Password32Length" /><!--xX760管理者パスワード文字数制限変更 jiangweinan add-->
<xsl:variable name="password32lengthClone" select="Config/Cloning/Item/@Password32Length" /><!--xX760管理者パスワード文字数制限変更 jiangweinan add-->
<xsl:if test="$selectDialog = '1'">
	<h2 class="pg1"><xsl:value-of select="Resource/Cloning/Item/@Cloning" /></h2>
	<table class="pg2" cellpadding="0" cellspacing="0" border="0">
	<xsl:choose>
        <xsl:when test="$password32length = 'ENABLE'">
	        <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@CloneBase" />
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="basepass" id="basepass" maxlength="64" size="15" value="" onpaste="return false;">
			        <xsl:if test="$ispassword = '1'">
				        <xsl:attribute name="disabled">disabled</xsl:attribute>
				        <xsl:attribute name="value">******</xsl:attribute>
				        <xsl:attribute name="onkeyup">RequiredInput1('passexec','destpass');</xsl:attribute>
			        </xsl:if>
			        <xsl:if test="$ispassword = '0'">
				        <xsl:attribute name="onkeyup">RequiredInput2('passexec','basepass','destpass');</xsl:attribute>
			        </xsl:if>
		        </input>
	        </td>
	        </tr>
		</xsl:when>
		<xsl:otherwise>
		    <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@CloneBase" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="basepass" id="basepass" size="15" value="" onpaste="return false;">
			        <xsl:if test="$ispassword = '1'">
				        <xsl:attribute name="disabled">disabled</xsl:attribute>
				        <xsl:attribute name="value">******</xsl:attribute>
				        <xsl:attribute name="onkeyup">RequiredInput1('passexec','destpass');</xsl:attribute>
			        </xsl:if>
			        <xsl:if test="$ispassword = '0'">
				        <xsl:attribute name="onkeyup">RequiredInput2('passexec','basepass','destpass');</xsl:attribute>
			        </xsl:if>
			        <xsl:attribute name="maxlength"><xsl:value-of select="$passwordmax" /></xsl:attribute>
		        </input>
	        </td>
	        </tr>
		</xsl:otherwise>		
	</xsl:choose>
	<xsl:choose>
        <xsl:when test="$password32lengthClone = 'ENABLE'">		
	        <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@CloneDest" />
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="destpass" id="destpass" maxlength="64" size="15" value="" onpaste="return false;">
			        <xsl:if test="$ispassword = '1'">
				        <xsl:attribute name="onkeyup">RequiredInput1('passexec','destpass');</xsl:attribute>
			        </xsl:if>
			        <xsl:if test="$ispassword = '0'">
				        <xsl:attribute name="onkeyup">RequiredInput2('passexec','basepass','destpass');</xsl:attribute>
			        </xsl:if>
		        </input>
	        </td>
	        </tr>
	    </xsl:when>
		<xsl:otherwise>
	        <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@CloneDest" />
               <xsl:value-of select="Resource/Cloning/Item/@InputLimit"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="destpass" id="destpass" size="15" value="" onpaste="return false;">
			        <xsl:attribute name="maxlength"><xsl:value-of select="$passwordmax" /></xsl:attribute>
			        <xsl:if test="$ispassword = '1'">
				        <xsl:attribute name="onkeyup">RequiredInput1('passexec','destpass');</xsl:attribute>
			        </xsl:if>
			        <xsl:if test="$ispassword = '0'">
				        <xsl:attribute name="onkeyup">RequiredInput2('passexec','basepass','destpass');</xsl:attribute>
			        </xsl:if>
		        </input>
	        </td>
	        </tr>
		</xsl:otherwise>		
	</xsl:choose>
	</table>
	<p class="pg2">
	<xsl:if test="$ispassword = '1'">
		<button class="okcancel" name="passexec" id="passexec" type="button" onclick="PasswordExec8('cn2_b_ok','destpass','cn2_i_dest');"><xsl:value-of select="Resource/String/Item/@Ok" /></button>
	</xsl:if>
	<xsl:if test="$ispassword = '0'">
		<button class="okcancel" name="passexec" id="passexec" type="button" onclick="PasswordExec7('cn2_b_ok','basepass','destpass','cn2_i_base','cn2_i_dest');"><xsl:value-of select="Resource/String/Item/@Ok" /></button>
	</xsl:if>
	<button class="okcancel" type="button" onclick="OnCallModule2('cn2_b_cancel','');"><xsl:value-of select="Resource/String/Item/@Cancel" /></button>
	<xsl:if test="$ispassword = '1'">
		<img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" onload="destpass.focus();RequiredInput1('passexec','destpass');" />
	</xsl:if>
	<xsl:if test="$ispassword = '0'">
		<img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" onload="basepass.focus();RequiredInput2('passexec','basepass','destpass');" />
	</xsl:if>
	</p>
</xsl:if>
<xsl:if test="$selectDialog = '2'">
	<h2 class="pg1"><xsl:value-of select="Resource/Message/Item/@PassChange" /></h2>
	<table class="pg2" cellpadding="0" cellspacing="0" border="0">
	<xsl:choose>
        <xsl:when test="$password32length = 'ENABLE'">
	        <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@OldPass" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit32"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="oldpass" id="oldpass" maxlength="32" size="15" value="" onpaste="return false;" onkeyup="RequiredInput3('passexec','oldpass','newpass','repass');">
		        </input>
	        </td>
	        </tr>
	        <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@NewPass" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit32"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="newpass" id="newpass" maxlength="32" size="15" value="" onpaste="return false;" onkeyup="RequiredInput3('passexec','oldpass','newpass','repass');">
		        </input>
	        </td>
	        </tr>
	        <tr>
            <td class="pg3">
              <xsl:value-of select="Resource/Cloning/Item/@RePass" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit32"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="repass" id="repass" maxlength="32" size="15" value="" onpaste="return false;" onkeyup="RequiredInput3('passexec','oldpass','newpass','repass');">
		        </input>
	        </td>
	        </tr>
	    </xsl:when>
		<xsl:otherwise>
		    <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@OldPass" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="oldpass" id="oldpass" size="15" value="" onpaste="return false;" onkeyup="RequiredInput3('passexec','oldpass','newpass','repass');">
			        <xsl:attribute name="maxlength"><xsl:value-of select="$passwordmax" /></xsl:attribute>
		        </input>
	        </td>
	        </tr>
	        <tr>
	        <td class="pg3"><xsl:value-of select="Resource/Cloning/Item/@NewPass" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="newpass" id="newpass" size="15" value="" onpaste="return false;" onkeyup="RequiredInput3('passexec','oldpass','newpass','repass');">
			        <xsl:attribute name="maxlength"><xsl:value-of select="$passwordmax" /></xsl:attribute>
		        </input>
	        </td>
	        </tr>
	        <tr>
            <td class="pg3">
              <xsl:value-of select="Resource/Cloning/Item/@RePass" />
              <xsl:value-of select="Resource/Cloning/Item/@InputLimit"/>
            </td>
	        <td class="pg3">:</td>
	        <td class="pg3">
		        <input type="password" name="repass" id="repass" size="15" value="" onpaste="return false;" onkeyup="RequiredInput3('passexec','oldpass','newpass','repass');">
			        <xsl:attribute name="maxlength"><xsl:value-of select="$passwordmax" /></xsl:attribute>
		        </input>
	        </td>
	        </tr>
		</xsl:otherwise>		
	</xsl:choose>
	</table>
	<p class="pg2">

	<button class="okcancel" name="passexec" id="passexec" type="button" onclick="PasswordExec6('ps2_b_ok','oldpass','newpass','repass','ps2_i_oldpass','ps2_i_newpass','ps2_i_repass');"><xsl:value-of select="Resource/String/Item/@Ok" /></button>
	<button class="okcancel" type="button" onclick="OnCallModule2('ps2_b_cancel','');"><xsl:value-of select="Resource/String/Item/@Cancel" /></button>
	<img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" onload="oldpass.focus();RequiredInput3('passexec','oldpass','newpass','repass');" />
	</p>
</xsl:if>

</xsl:template>
</xsl:stylesheet>
