<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:template name="mfpmenu">
<span class="menu14"><xsl:value-of select="/root/Resource/GenericMessage/Item/@TreeMessage" /></span>
<link rel="stylesheet" href="../MfpMenuSetup/mfp_style.css" type="text/css" />
<table cellpadding="0" cellspacing="0" border="0" name="menujump">
<tr>
<xsl:apply-templates select="/root/Resource/GenericMenu/Item">
	<xsl:with-param name="select">1</xsl:with-param>
</xsl:apply-templates>
</tr>
</table>
<hr color="gray" />
</xsl:template>

<xsl:template match="GenericMenu/Item">
<xsl:param name="select" select="'0'" />
<xsl:choose>
<xsl:when test="$select = '1'">
	<td>
	<xsl:call-template name="menuitem">
		<xsl:with-param name="param1" select="@Icon" />
		<xsl:with-param name="param2" select="@Text" />
		<xsl:with-param name="param3" select="@Param1" />
		<xsl:with-param name="param4" select="@Param2" />
	</xsl:call-template>
	</td>
</xsl:when>
<xsl:when test="$select = '2'">
	<xsl:if test="@MiniMenu = '1'">
		<xsl:call-template name="menuitem">
			<xsl:with-param name="param1" select="@Icon" />
			<xsl:with-param name="param2" select="@Text" />
			<xsl:with-param name="param3" select="@Param1" />
			<xsl:with-param name="param4" select="@Param2" />
		</xsl:call-template>
	</xsl:if>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template name="menuitem">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:param name="param3" />
<xsl:param name="param4" />
<xsl:choose>
<xsl:when test="($param4 = '1') and /root/Config/TreeNode/Item/@AdminSettingView = '1'">
</xsl:when>
<xsl:otherwise>
	<span class="pg6" />
	<a href="#menujump">
		<xsl:attribute name="onclick">
			<xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param3" /><xsl:text>','</xsl:text><xsl:value-of select="$param4" /><xsl:text>');</xsl:text>
		</xsl:attribute>
		<img border="0">
			<xsl:attribute name="src">
				<xsl:value-of select="$param1" />
			</xsl:attribute>
			<xsl:attribute name="alt">
				<xsl:value-of select="$param2" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:value-of select="$param2" />
			</xsl:attribute>
		</img>
	</a>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="treeicons">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:choose>
<xsl:when test="$param1 != '0'">
	<img src="../MfpMenuSetup/images/tree_plus.gif" alt="">
		<xsl:attribute name="id">
			<xsl:text>Img</xsl:text><xsl:value-of select="$param1" />
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>cursor:hand;</xsl:text>
		</xsl:attribute>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '2'">
			<xsl:attribute name="onclick">
				<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '2'">
			<xsl:if test="string-length($param2) = 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text>SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="string-length($param2) != 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
		</xsl:if>
	</img>
	<img src="../MfpMenuSetup/images/tree_node.gif" alt="" />
</xsl:when>
<xsl:otherwise>
	<span class="pg7" />
	<img src="../MfpMenuSetup/images/tree_item.gif" alt="" />
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="treeicons2">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:param name="param3" />
<xsl:choose>
<xsl:when test="$param1 != '0'">
	<img src="../MfpMenuSetup/images/tree_plus.gif" alt="">
		<xsl:attribute name="id">
			<xsl:text>Img</xsl:text><xsl:value-of select="$param1" />
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>cursor:hand;</xsl:text>
		</xsl:attribute>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '2'">
			<xsl:attribute name="onclick">
				<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '2'">
			<xsl:if test="string-length($param3) = 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="string-length($param3) != 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" /><xsl:value-of select="$param3" />SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
		</xsl:if>
	</img>
	<img src="../MfpMenuSetup/images/tree_node.gif" alt="" />
</xsl:when>
<xsl:otherwise>
	<span class="pg7" />
	<img src="../MfpMenuSetup/images/tree_item.gif" alt="" />
</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
