<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template match="Resource/DeviceManage">
<xsl:param name="param1" />
<xsl:if test="string-length($param1) != 0">
<xsl:if test="/root/Config/TreeNode/Item/@DeviceManageView = 1">
	<table class="tree5" cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr><td>
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">321</xsl:with-param>
			<xsl:with-param name="param2">HideOtherTreeEx(100,376,200,321,322,327);</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="Item/@Title" /></span>
	<div id="Key321" style="display:none">
	<xsl:if test="/root/Config/TreeNode/Item/@DeviceLocalView = 1">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<tr><td>
			<xsl:call-template name="treeicons">
				<xsl:with-param name="param1">322</xsl:with-param>
			</xsl:call-template>
			<span class="textcenter"><xsl:value-of select="Item/@DmLocal" /></span>
		<div id="Key322" style="display:none">
		<xsl:if test="/root/Config/TreeNode/Item/@DeviceUSBView = 1">
			<table class="tree5" cellpadding="0" cellspacing="0" border="0">
			<tr><td>
			<xsl:call-template name="treeicons">
				<xsl:with-param name="param1">323</xsl:with-param>
			</xsl:call-template>
			<span class="textcenter"><xsl:value-of select="Item/@DmUSBMenu" /></span>
			<div id="Key323" style="display:none">
			<table class="tree5" cellpadding="0" cellspacing="0" border="0">
			<xsl:if test="/root/Config/DeviceManage/Item/@DmUSBNameView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmUSBName" /></xsl:with-param>
					<xsl:with-param name="selectid">dmusbname</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmUSBName" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmUSBName</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmUSBSoftResetView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmUSBSoftReset" /></xsl:with-param>
					<xsl:with-param name="selectid">dmusbsoftreset</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmUSBSoftReset" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmUSBSoftReset</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmUSBSpeedView = '1'">
				<tr>
				<xsl:call-template name="createselectprefix">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmUSBSpeed" /></xsl:with-param>
				</xsl:call-template>
				<td>
					<select class="treefont" name="dmusbspeed" id="dmusbspeed" onchange="OnCallModule2('dm1_i_DmUSBSpeed',dmusbspeed.value);">
						<xsl:apply-templates select="/root/Config/DmUSBSpeed/Item">
							<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmUSBSpeed" /></xsl:with-param>
						</xsl:apply-templates>
					</select>
				</td>
				<td class="rpadding16"></td>
				</tr>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmUSBProtocolView = '1'">
				<tr>
				<xsl:call-template name="createselectprefix">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmUSBProtocol" /></xsl:with-param>
				</xsl:call-template>
				<td>
					<select class="treefont" name="dmusbprotocol" id="dmusbprotocol" onchange="OnCallModule2('dm1_i_DmUSBProtocol',dmusbprotocol.value);">
						<xsl:apply-templates select="/root/Config/DmUSBProtocol/Item">
							<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmUSBProtocol" /></xsl:with-param>
						</xsl:apply-templates>
					</select>
				</td>
				<td class="rpadding16"></td>
				</tr>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmUSBOfflineView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmUSBOffline" /></xsl:with-param>
					<xsl:with-param name="selectid">dmusboffline</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmUSBOffline" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmUSBOffline</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmUSBSerialView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmUSBSerial" /></xsl:with-param>
					<xsl:with-param name="selectid">dmusbserial</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmUSBSerial" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmUSBSerial</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			</table>
			</div>
			</td></tr>
			</table>
		</xsl:if>
		<xsl:if test="/root/Config/TreeNode/Item/@DeviceLPTView = 1">
			<table class="tree5" cellpadding="0" cellspacing="0" border="0">
			<tr><td>
				<xsl:call-template name="treeicons">
					<xsl:with-param name="param1">324</xsl:with-param>
				</xsl:call-template>
				<span class="textcenter"><xsl:value-of select="Item/@DmLPTMenu" /></span>
			<div id="Key324" style="display:none">
			<table class="tree5" cellpadding="0" cellspacing="0" border="0">
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTNameView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTName" /></xsl:with-param>
					<xsl:with-param name="selectid">dmlptname</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTName" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmLPTName</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTBiDirectView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTBiDirect" /></xsl:with-param>
					<xsl:with-param name="selectid">dmlptbidirect</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTBiDirect" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmLPTBiDirect</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTECPView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTECP" /></xsl:with-param>
					<xsl:with-param name="selectid">dmlptecp</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTECP" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmLPTECP</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTACKView = '1'">
				<tr>
				<xsl:call-template name="createselectprefix">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTACK" /></xsl:with-param>
				</xsl:call-template>
				<td>
					<select class="treefont" name="dmlptack" id="dmlptack" onchange="OnCallModule2('dm1_i_DmLPTACK',dmlptack.value);">
						<xsl:apply-templates select="/root/Config/DmLPTACK/Item">
							<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTACK" /></xsl:with-param>
						</xsl:apply-templates>
					</select>
				</td>
				<td class="rpadding16"></td>
				</tr>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTBusyView = '1'">
				<tr>
				<xsl:call-template name="createselectprefix">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTBusy" /></xsl:with-param>
				</xsl:call-template>
				<td>
					<select class="treefont" name="dmlptbusy" id="dmlptbusy" onchange="OnCallModule2('dm1_i_DmLPTBusy',dmlptbusy.value);">
						<xsl:apply-templates select="/root/Config/DmLPTBusy/Item">
							<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTBusy" /></xsl:with-param>
						</xsl:apply-templates>
					</select>
				</td>
				<td class="rpadding16"></td>
				</tr>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTIPRIMEView = '1'">
				<tr>
				<xsl:call-template name="createselectprefix">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTIPRIME" /></xsl:with-param>
				</xsl:call-template>
				<td>
					<select class="treefont" name="dmlptiprime" id="dmlptiprime" onchange="OnCallModule2('dm1_i_DmLPTIPRIME',dmlptiprime.value);">
						<xsl:apply-templates select="/root/Config/DmLPTIPRIME/Item">
							<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTIPRIME" /></xsl:with-param>
						</xsl:apply-templates>
					</select>
				</td>
				<td class="rpadding16"></td>
				</tr>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTProtocolView = '1'">
				<tr>
				<xsl:call-template name="createselectprefix">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTProtocol" /></xsl:with-param>
				</xsl:call-template>
				<td>
					<select class="treefont" name="dmlptprotocol" id="dmlptprotocol" onchange="OnCallModule2('dm1_i_DmLPTProtocol',dmlptprotocol.value);">
						<xsl:apply-templates select="/root/Config/DmLPTProtocol/Item">
							<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTProtocol" /></xsl:with-param>
						</xsl:apply-templates>
					</select>
				</td>
				<td class="rpadding16"></td>
				</tr>
			</xsl:if>
			<xsl:if test="/root/Config/DeviceManage/Item/@DmLPTOfflineView = '1'">
				<xsl:call-template name="createselectcheck">
					<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmLPTOffline" /></xsl:with-param>
					<xsl:with-param name="selectid">dmlptoffline</xsl:with-param>
					<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmLPTOffline" /></xsl:with-param>
					<xsl:with-param name="command">dm1_i_DmLPTOffline</xsl:with-param>
					<xsl:with-param name="checkno">2</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			</table>
			</div>
			</td></tr>
			</table>
		</xsl:if>
		</div>
		</td></tr>
		</table>
	</xsl:if>
	<xsl:if test="/root/Config/TreeNode/Item/@DeviceSystemView = 1">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<tr><td>
			<xsl:call-template name="treeicons">
				<xsl:with-param name="param1">325</xsl:with-param>
			</xsl:call-template>
			<span class="textcenter"><xsl:value-of select="Item/@DmSystem" /></span>
		<div id="Key325" style="display:none">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysAccessView = '1'">
			<tr>
			<xsl:call-template name="createselectprefix">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysAccess" /></xsl:with-param>
			</xsl:call-template>
			<td>
				<select class="treefont" name="dmsysaccess" id="dmsysaccess">
					<xsl:if test="/root/Config/DeviceManage/Item/@DmSysAuthView = '1'">
						<xsl:attribute name="onchange">ShowHide15('dmsysaccess','Key401','Key402','Key403');OnCallModule2('dm1_i_DmSysAccess',dmsysaccess.value);</xsl:attribute>
					</xsl:if>
					<xsl:if test="/root/Config/DeviceManage/Item/@DmSysAuthView = '0'">
						<xsl:attribute name="onchange">OnCallModule2('dm1_i_DmSysAccess',dmsysaccess.value);</xsl:attribute>
					</xsl:if>
					<xsl:apply-templates select="/root/Config/DmSysAccess/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysAccess" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysAuthView = '1'">
			<tr><td class="nowrap">
				<div id="Key401">
				<xsl:call-template name="treeicons">
					<xsl:with-param name="param1">0</xsl:with-param>
				</xsl:call-template>
				<span class="textcenter"><xsl:value-of select="Item/@DmSysAuth" /></span>
				</div>
			</td>
			<td class="padding3">
				<div id="Key402">
				:
				</div>
			</td>
			<td>
				<div id="Key403">
				<select class="treefont" name="dmsysauth" id="dmsysauth" onchange="OnCallModule2('dm1_i_DmSysAuth',dmsysauth.value);">
					<xsl:apply-templates select="/root/Config/DmSysAuth/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysAuth" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
				</div>
				<xsl:if test="/root/Config/DeviceManage/Item/@DmSysAccessView = '1'">
					<img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" onload="ShowHide15('dmsysaccess','Key401','Key402','Key403');" />
				</xsl:if>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysUnitView = '1'">
			<tr>
			<xsl:call-template name="createselectprefix">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysUnit" /></xsl:with-param>
			</xsl:call-template>
			<td>
				<select class="treefont" name="dmsysunit" id="dmsysunit" onchange="ShowHide14('dmsysunit',551,568,501,518);OnCallModule2('dm1_i_DmSysUnit',dmsysunit.value);">
					<xsl:apply-templates select="/root/Config/DmSysUnit/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysUnit" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysDateView = '1'">
			<tr>
			<xsl:call-template name="createselectprefix">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysDate" /></xsl:with-param>
			</xsl:call-template>
			<td>
				<select class="treefont" name="dmsysdate" id="dmsysdate" onchange="OnCallModule2('dm1_i_DmSysDate',dmsysdate.value);">
					<xsl:if test="count(/root/Config/DmSysDate/Item) &lt;= 1">
						<xsl:attribute name="disabled">disabled</xsl:attribute>
					</xsl:if>
					<xsl:apply-templates select="/root/Config/DmSysDate/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysDate" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysReportView = '1'">
			<xsl:call-template name="createselectcheck">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysReport" /></xsl:with-param>
				<xsl:with-param name="selectid">dmsysreport</xsl:with-param>
				<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysReport" /></xsl:with-param>
				<xsl:with-param name="command">dm1_i_DmSysReport</xsl:with-param>
				<xsl:with-param name="checkno">6</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysNearLifeView = '1'">
			<xsl:call-template name="createselectcheck">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysNearLife" /></xsl:with-param>
				<xsl:with-param name="selectid">dmsysnearlife</xsl:with-param>
				<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysNearLife" /></xsl:with-param>
				<xsl:with-param name="command">dm1_i_DmSysNearLife</xsl:with-param>
				<xsl:with-param name="checkno">2</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysNLPanelView = '1'">
			<xsl:call-template name="createselectcheck">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysNLPanel" /></xsl:with-param>
				<xsl:with-param name="selectid">dmsysnlpanel</xsl:with-param>
				<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysNLPanel" /></xsl:with-param>
				<xsl:with-param name="command">dm1_i_DmSysNLPanel</xsl:with-param>
				<xsl:with-param name="checkno">2</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysLockTimeoutView = '1'">
			<xsl:call-template name="createeditnumber">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysLockTimeout" /></xsl:with-param>
				<xsl:with-param name="editid">dmsyslocktimeout</xsl:with-param>
				<xsl:with-param name="fieldsize">5</xsl:with-param>
				<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysLockTimeout" /></xsl:with-param>
				<xsl:with-param name="start"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysLockTimeoutStart" /></xsl:with-param>
				<xsl:with-param name="end"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysLockTimeoutEnd" /></xsl:with-param>
				<xsl:with-param name="margin"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysLockTimeoutMargin" /></xsl:with-param>
				<xsl:with-param name="command">dm1_i_DmSysLockTimeout</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmSysUSBMemoryView = '1'">
			<xsl:call-template name="createselectcheck">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmSysUSBMemory" /></xsl:with-param>
				<xsl:with-param name="selectid">dmsysusbmemory</xsl:with-param>
				<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmSysUSBMemory" /></xsl:with-param>
				<xsl:with-param name="command">dm1_i_DmSysUSBMemory</xsl:with-param>
				<xsl:with-param name="checkno">2</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		</table>
		</div>
		</td></tr>
		</table>
	</xsl:if>
	<xsl:if test="/root/Config/TreeNode/Item/@DevicePowerView = 1">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<tr><td>
			<xsl:call-template name="treeicons">
				<xsl:with-param name="param1">326</xsl:with-param>
			</xsl:call-template>
			<span class="textcenter"><xsl:value-of select="Item/@DmPower" /></span>
		<div id="Key326" style="display:none">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<xsl:if test="/root/Config/DeviceManage/Item/@DmPowSaveView = '1'">
			<xsl:call-template name="createselectcheck">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmPowSave" /></xsl:with-param>
				<xsl:with-param name="selectid">dmpowsave</xsl:with-param>
				<xsl:with-param name="data"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmPowSave" /></xsl:with-param>
				<xsl:with-param name="command">dm1_i_DmPowSave</xsl:with-param>
				<xsl:with-param name="checkno">3</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmPowTimeView = '1'">
			<tr>
			<xsl:call-template name="createselectprefix">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmPowTime" /></xsl:with-param>
			</xsl:call-template>
			<td>
				<select class="treefont" name="dmpowtime" id="dmpowtime" onchange="OnCallModule2('dm1_i_DmPowTime',dmpowtime.value);">
					<xsl:apply-templates select="/root/Config/DmPowTime/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmPowTime" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		</table>
		</div>
		</td></tr>
		</table>
	</xsl:if>
	<xsl:if test="/root/Config/TreeNode/Item/@DeviceMemoryView = 1">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<tr><td>
			<xsl:call-template name="treeicons">
				<xsl:with-param name="param1">327</xsl:with-param>
			</xsl:call-template>
			<span class="textcenter"><xsl:value-of select="Item/@DmMemory" /></span>
		<div id="Key327" style="display:none">
		<table class="tree5" cellpadding="0" cellspacing="0" border="0">
		<xsl:if test="/root/Config/DeviceManage/Item/@DmMemSizeView = '1'">
			<tr>
			<xsl:call-template name="createselectprefix">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmMemSize" /></xsl:with-param>
			</xsl:call-template>
			<td>
				<select class="treefont" name="dmmemsize" id="dmmemsize" onchange="OnCallModule2('dm1_i_DmMemSize',dmmemsize.value);">
					<xsl:apply-templates select="/root/Config/DmMemSize/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmMemSize" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceManage/Item/@DmMemAreaView = '1'">
			<tr>
			<xsl:call-template name="createselectprefix">
				<xsl:with-param name="title"><xsl:value-of select="/root/Resource/DeviceManage/Item/@DmMemArea" /></xsl:with-param>
			</xsl:call-template>
			<td>
				<select class="treefont" name="dmmemarea" id="dmmemarea" onchange="OnCallModule2('dm1_i_DmMemArea',dmmemarea.value);">
					<xsl:apply-templates select="/root/Config/DmMemArea/Item">
						<xsl:with-param name="param1"><xsl:value-of select="/root/Config/DeviceManage/Item/@DmMemArea" /></xsl:with-param>
					</xsl:apply-templates>
				</select>
			</td>
			<td class="rpadding16"></td>
			</tr>
		</xsl:if>
		</table>
		</div>
		</td></tr>
		</table>
	</xsl:if>
	</div>
	</td></tr>
	</table>
</xsl:if>
</xsl:if>
</xsl:template>
</xsl:stylesheet>
