<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:template name="mfpmenu">
    <span class="menu14">
      <xsl:value-of select="/root/Resource/Message/Item/@Config" />
    </span>
    <link rel="stylesheet" href="../MfpMenuSetup/mfp_style.css" type="text/css" />
    <table cellpadding="0" cellspacing="0" border="0" name="menujump">
      <tr>
        <xsl:apply-templates select="/root/Resource/MfpSetMenu/Item">
          <xsl:with-param name="select">1</xsl:with-param>
        </xsl:apply-templates>
      </tr>
    </table>
    <hr color="gray" />
  </xsl:template>

  <xsl:template match="MfpSetMenu/Item">
    <xsl:param name="select" select="'0'" />
    <xsl:choose>
      <xsl:when test="$select = '1'">
        <td>
          <xsl:call-template name="menuitem">
            <xsl:with-param name="param1" select="@Icon" />
            <xsl:with-param name="param2" select="@Text" />
            <xsl:with-param name="param3" select="@Param1" />
            <xsl:with-param name="param4" select="@Param2" />
          </xsl:call-template>
        </td>
      </xsl:when>
      <xsl:when test="$select = '2'">
        <xsl:if test="@MiniMenu = '1'">
          <xsl:call-template name="menuitem">
            <xsl:with-param name="param1" select="@Icon" />
            <xsl:with-param name="param2" select="@Text" />
            <xsl:with-param name="param3" select="@Param1" />
            <xsl:with-param name="param4" select="@Param2" />
          </xsl:call-template>
        </xsl:if>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="menuitem">
    <xsl:param name="param1" />
    <xsl:param name="param2" />
    <xsl:param name="param3" />
    <xsl:param name="param4" />
    <xsl:choose>
      <xsl:when test="($param4 = '1') and /root/Config/TreeNode/Item/@AdminSettingView = '1'">
      </xsl:when>
      <xsl:when test="($param4 = '2') and /root/Config/TreeNode/Item/@AdminSettingView = '0'">
      </xsl:when>
      <xsl:otherwise>
        <span class="pg6" />
        <a href="#menujump">
          <xsl:attribute name="onclick">
            <!--2013.10.19 FN296/7 the value of copy setup->Default Settings->Image Settings->Resolusion  begin-->
            <xsl:variable name="CfDocTypeItem" select="/root/Config/CopyFunction/Item/@CfDocType"></xsl:variable>
            <xsl:if test="$CfDocTypeItem = 'NORMALPHOTO' or $CfDocTypeItem = 'GLOSSYPHOTO'">
              <!--<xsl:text>OnCallModule2('cf1_i_CfResol',cfresol.value);</xsl:text>-->
              <xsl:text>OnCallModule2('cf1_i_CfResol','NORMAL');</xsl:text>
            </xsl:if>
            <!--2013.10.19 end-->
            <xsl:text>OnCallModule2('</xsl:text>
            <xsl:value-of select="$param3" />
            <xsl:text>','</xsl:text>
            <xsl:value-of select="$param4" />
            <xsl:text>');</xsl:text>
          </xsl:attribute>
          <img border="0">
            <xsl:attribute name="src">
              <xsl:value-of select="$param1" />
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="$param2" />
            </xsl:attribute>
            <xsl:attribute name="title">
              <xsl:value-of select="$param2" />
            </xsl:attribute>
          </img>
        </a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="treeicons">
    <xsl:param name="param1" />
    <xsl:param name="param2" />
    <xsl:choose>
      <xsl:when test="$param1 != '0'">
        <img src="../MfpMenuSetup/images/tree_plus.gif" alt="">
          <xsl:attribute name="id">
            <xsl:text>Img</xsl:text>
            <xsl:value-of select="$param1" />
          </xsl:attribute>
          <xsl:attribute name="style">
            <xsl:text>cursor:hand;</xsl:text>
          </xsl:attribute>
          <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '2'">
            <xsl:attribute name="onclick">
              <xsl:text>ShowHide3('Key</xsl:text>
              <xsl:value-of select="$param1" />
              <xsl:text>','Img</xsl:text>
              <xsl:value-of select="$param1" />
              <xsl:text>');</xsl:text>
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '2'">
            <xsl:if test="string-length($param2) = 0">
              <xsl:attribute name="onclick">
                <xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text>SetScrollTop('xslt_main');
              </xsl:attribute>
            </xsl:if>
            <xsl:if test="string-length($param2) != 0">
              <xsl:attribute name="onclick">
                <xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />SetScrollTop('xslt_main');
              </xsl:attribute>
            </xsl:if>
          </xsl:if>
        </img>
        <img src="../MfpMenuSetup/images/tree_node.gif" alt="" />
      </xsl:when>
      <xsl:otherwise>
        <span class="pg7" />
        <img src="../MfpMenuSetup/images/tree_item.gif" alt="" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="treeicons2">
    <xsl:param name="param1" />
    <xsl:param name="param2" />
    <xsl:param name="param3" />
    <xsl:choose>
      <xsl:when test="$param1 != '0'">
        <img src="../MfpMenuSetup/images/tree_plus.gif" alt="">
          <xsl:attribute name="id">
            <xsl:text>Img</xsl:text>
            <xsl:value-of select="$param1" />
          </xsl:attribute>
          <xsl:attribute name="style">
            <xsl:text>cursor:hand;</xsl:text>
          </xsl:attribute>
          <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '2'">
            <xsl:attribute name="onclick">
              <xsl:text>ShowHide3('Key</xsl:text>
              <xsl:value-of select="$param1" />
              <xsl:text>','Img</xsl:text>
              <xsl:value-of select="$param1" />
              <xsl:text>');</xsl:text>
              <xsl:value-of select="$param2" />
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '2'">
            <xsl:if test="string-length($param3) = 0">
              <xsl:attribute name="onclick">
                <xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />SetScrollTop('xslt_main');
              </xsl:attribute>
            </xsl:if>
            <xsl:if test="string-length($param3) != 0">
              <xsl:attribute name="onclick">
                <xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" /><xsl:value-of select="$param3" />SetScrollTop('xslt_main');
              </xsl:attribute>
            </xsl:if>
          </xsl:if>
        </img>
        <img src="../MfpMenuSetup/images/tree_node.gif" alt="" />
      </xsl:when>
      <xsl:otherwise>
        <span class="pg7" />
        <img src="../MfpMenuSetup/images/tree_item.gif" alt="" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="createeditstring">
    <xsl:param name="title" />
    <xsl:param name="editid" />
    <xsl:param name="fieldsize" />
    <xsl:param name="data" />
    <xsl:param name="textmode" />
    <xsl:param name="maxsize" />
    <xsl:param name="command" />
    <tr>
	   <xsl:variable name="ControlID1" select="concat($editid,'1')" />
	   <xsl:variable name="ControlID2" select="concat($editid,'2')" />
	   <xsl:variable name="ControlID3" select="concat($editid,'3')" />
	   <xsl:variable name="ControlID4" select="concat($editid,'4')" />
	   <xsl:variable name="ControlID5" select="concat($editid,'5')" />
      <td class="nowrap">
		<span>
			<xsl:attribute name="id"><xsl:value-of select="$ControlID1" /></xsl:attribute>
			<xsl:call-template name="treeicons">
				<xsl:with-param name="param1">0</xsl:with-param>
			</xsl:call-template>
		</span>
        <span class="textcenter">
		  <xsl:attribute name="id"><xsl:value-of select="$ControlID2" /></xsl:attribute>
          <xsl:value-of select="$title" />
        </span>
      </td>
      <td class="padding3">
		<span>
			<xsl:attribute name="id"><xsl:value-of select="$ControlID3" /></xsl:attribute>
			:
		</span>
	</td>
      <td class="nowrap">
        <input class="treefont" type="text">
          <xsl:attribute name="name">
            <xsl:value-of select="$editid" />
          </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="$editid" />
          </xsl:attribute>
          <xsl:attribute name="size">
            <xsl:value-of select="$fieldsize" />
          </xsl:attribute>
          <xsl:attribute name="value">
            <xsl:value-of select="$data" />
          </xsl:attribute>
          <xsl:if test="$textmode = 1">
            <xsl:attribute name="maxlength">
              <xsl:value-of select="$maxsize" />
            </xsl:attribute>
            <xsl:attribute name="class">imeoff12</xsl:attribute>
            <!--
				<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
            <xsl:attribute name="onkeyup">
              SetEditColorEx('<xsl:value-of select="$editid" />');
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="$textmode = 2">
            <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '1' and /root/Config/DeviceSettings/Item/@TwoByteSupport = '0'">
              <xsl:attribute name="class">imeoff12</xsl:attribute>
            </xsl:if>
            <xsl:attribute name="onkeyup">
              SetEditColorEx2('<xsl:value-of select="$editid" />',1);
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="$textmode = 3">
            <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '1' and /root/Config/DeviceSettings/Item/@TwoByteSupport = '0'">
              <xsl:attribute name="class">imeoff12</xsl:attribute>
            </xsl:if>
            <xsl:attribute name="onkeyup">
              SetEditColorEx2('<xsl:value-of select="$editid" />',1);
            </xsl:attribute>

          </xsl:if>
        </input>
        <span class="textcenter">
		 <xsl:attribute name="id"><xsl:value-of select="$ControlID4" /></xsl:attribute>
          <xsl:if test="$textmode = 1">
            <xsl:call-template name="viewlimit1">
              <xsl:with-param name="limitmax">
                <xsl:value-of select="$maxsize" />
              </xsl:with-param>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$textmode = 2">
            <xsl:call-template name="viewlimit2">
              <xsl:with-param name="limitmax">
                <xsl:value-of select="$maxsize" />
              </xsl:with-param>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$textmode = 3">
            <xsl:call-template name="viewlimit1">
              <xsl:with-param name="limitmax">
                <xsl:value-of select="$maxsize" />
              </xsl:with-param>
            </xsl:call-template>
          </xsl:if>
        </span>
      </td>
      <td>
        <button class="valcheck">
			<xsl:attribute name="id"><xsl:value-of select="$ControlID5" /></xsl:attribute>
          <xsl:if test="$textmode = 1">
            <xsl:attribute name="onclick">
              ResetEditColor('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />');
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="$textmode = 2">
            <xsl:attribute name="onclick">
              TrimMaxLength('<xsl:value-of select="$editid" />',<xsl:value-of select="$maxsize" />);ResetEditColor('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />');
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="$textmode = 3">
            <xsl:attribute name="onclick">
              ResetEditColor('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />');
            </xsl:attribute>
          </xsl:if>
          <xsl:attribute name="value">
            <xsl:value-of select="/root/Resource/General/Item/@ValText" />
          </xsl:attribute>
          <xsl:value-of select="/root/Resource/General/Item/@ValText" />
        </button>
      </td>
      <td class="rpadding12"></td>
    </tr>
  </xsl:template>
  <xsl:template name="createselectcheck">
    <xsl:param name="title" />
    <xsl:param name="selectid" />
    <xsl:param name="data" />
    <xsl:param name="command" />
    <xsl:param name="checkno" />
    <tr>
      <td class="nowrap">
        <xsl:call-template name="treeicons">
          <xsl:with-param name="param1">0</xsl:with-param>
        </xsl:call-template>
        <span class="textcenter">
          <xsl:value-of select="$title" />
        </span>
      </td>
      <td class="padding3">:</td>
      <td>
        <select class="treefont">
          <xsl:attribute name="name">
            <xsl:value-of select="$selectid" />
          </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="$selectid" />
          </xsl:attribute>
          <xsl:attribute name="onchange">
            OnCallModule2('<xsl:value-of select="$command" />',<xsl:value-of select="$selectid" />.value);
          </xsl:attribute>
          <xsl:choose>
            <xsl:when test="$checkno = 1">
              <xsl:apply-templates select="/root/Config/Check1/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 2">
              <xsl:apply-templates select="/root/Config/Check2/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 3">
              <xsl:apply-templates select="/root/Config/Check3/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 4">
              <xsl:apply-templates select="/root/Config/Check4/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 5">
              <xsl:apply-templates select="/root/Config/Check5/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 6">
              <xsl:apply-templates select="/root/Config/Check6/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 7">
              <xsl:apply-templates select="/root/Config/Check7/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 8">
              <xsl:apply-templates select="/root/Config/Check8/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 9">
              <xsl:apply-templates select="/root/Config/Check9/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 10">
              <xsl:apply-templates select="/root/Config/Check10/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 11">
              <xsl:apply-templates select="/root/Config/Check11/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 12">
              <xsl:apply-templates select="/root/Config/Check12/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 13">
              <xsl:apply-templates select="/root/Config/Check13/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 14">
              <xsl:apply-templates select="/root/Config/Check14/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 15">
              <xsl:apply-templates select="/root/Config/Check15/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 16">
              <xsl:apply-templates select="/root/Config/Check16/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 17">
              <xsl:apply-templates select="/root/Config/Check17/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="/root/Config/Check1/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:otherwise>
          </xsl:choose>
        </select>
      </td>
      <td class="rpadding16"></td>
    </tr>
  </xsl:template>
  <xsl:template name="createselectprefix">
    <xsl:param name="title" />
    <td class="nowrap">
      <xsl:call-template name="treeicons">
        <xsl:with-param name="param1">0</xsl:with-param>
      </xsl:call-template>
      <span class="textcenter">
        <xsl:value-of select="$title" />
      </span>
    </td>
    <td class="padding3">:</td>
  </xsl:template>

  <xsl:template name="createselectrangelist">
    <xsl:param name="title" />
    <xsl:param name="selectid" />
    <xsl:param name="command" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:call-template name="createselectrangelistex">
      <xsl:with-param name="title">
        <xsl:value-of select="$title" />
      </xsl:with-param>
      <xsl:with-param name="selectid">
        <xsl:value-of select="$selectid" />
      </xsl:with-param>
      <xsl:with-param name="command">
        <xsl:value-of select="$command" />
      </xsl:with-param>
      <xsl:with-param name="data">
        <xsl:value-of select="$data" />
      </xsl:with-param>
      <xsl:with-param name="start">
        <xsl:value-of select="$start" />
      </xsl:with-param>
      <xsl:with-param name="end">
        <xsl:value-of select="$end" />
      </xsl:with-param>
      <xsl:with-param name="margin">
        <xsl:value-of select="$margin" />
      </xsl:with-param>
      <xsl:with-param name="mode">1</xsl:with-param>
      <xsl:with-param name="unit">0</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
    <xsl:template name="createselectrangelist2">
    <xsl:param name="title" />
    <xsl:param name="selectid" />
    <xsl:param name="command" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:call-template name="createselectrangelistex">
      <xsl:with-param name="title">
        <xsl:value-of select="$title" />
      </xsl:with-param>
      <xsl:with-param name="selectid">
        <xsl:value-of select="$selectid" />
      </xsl:with-param>
      <xsl:with-param name="command">
        <xsl:value-of select="$command" />
      </xsl:with-param>
      <xsl:with-param name="data">
        <xsl:value-of select="$data" />
      </xsl:with-param>
      <xsl:with-param name="start">
        <xsl:value-of select="$start" />
      </xsl:with-param>
      <xsl:with-param name="end">
        <xsl:value-of select="$end" />
      </xsl:with-param>
      <xsl:with-param name="margin">
        <xsl:value-of select="$margin" />
      </xsl:with-param>
      <xsl:with-param name="mode">2</xsl:with-param>
      <xsl:with-param name="unit">0</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="createselectrangelistex">
    <xsl:param name="title" />
    <xsl:param name="selectid" />
    <xsl:param name="command" />   
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="mode" />
    <xsl:param name="unit" />
    <tr>
      <td class="nowrap">
        <xsl:call-template name="treeicons">
          <xsl:with-param name="param1">0</xsl:with-param>
        </xsl:call-template>
        <span class="textcenter">
          <xsl:value-of select="$title" />
        </span>
      </td>
      <td class="padding3">:</td>
      <td>
        <select class="treefont">
          <xsl:attribute name="name">
            <xsl:value-of select="$selectid" />
          </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="$selectid" />
          </xsl:attribute>
          <xsl:attribute name="onchange">
            OnCallModule2('<xsl:value-of select="$command" />',<xsl:value-of select="$selectid" />.value);
          </xsl:attribute>
          <xsl:if test="$mode = 1">
            <xsl:call-template name="itemlistex1">
              <xsl:with-param name="selected">
                <xsl:value-of select="$data" />
              </xsl:with-param>
              <xsl:with-param name="start">
                <xsl:value-of select="$start" />
              </xsl:with-param>
              <xsl:with-param name="end">
                <xsl:value-of select="$end" />
              </xsl:with-param>
              <xsl:with-param name="margin">
                <xsl:value-of select="$margin" />
              </xsl:with-param>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$mode = 2">
            <xsl:call-template name="itemlistex2">
              <xsl:with-param name="selected">
                <xsl:value-of select="$data" />
              </xsl:with-param>
              <xsl:with-param name="start">
                <xsl:value-of select="$start" />
              </xsl:with-param>
              <xsl:with-param name="end">
                <xsl:value-of select="$end" />
              </xsl:with-param>
              <xsl:with-param name="margin">
                <xsl:value-of select="$margin" />
              </xsl:with-param>
            </xsl:call-template>
          </xsl:if>
        </select>
        <xsl:if test="$unit = 1">
          <span class="textcenter">
            <xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Times" />
          </span>
        </xsl:if>
        <xsl:if test="$unit = 2">
          <span class="textcenter">
            <xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Minutes" />
          </span>
        </xsl:if>
        <xsl:if test="$unit = 3">
          <span class="textcenter">
            <xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Seconds" />
          </span>
        </xsl:if>
      </td>
      <td class="rpadding16"></td>
    </tr>
  </xsl:template>
  <xsl:template name="createeditinchmilli">
    <xsl:param name="editid" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="unit" />
    <xsl:param name="command" />
    <table class="tree3" cellpadding="0" cellspacing="0" border="0">
      <tr>
        <td class="nowrap">
          <input class="imeoff12" type="text" size="5">
            <xsl:attribute name="name">
              <xsl:value-of select="$editid" />
            </xsl:attribute>
            <xsl:attribute name="id">
              <xsl:value-of select="$editid" />
            </xsl:attribute>
            <xsl:attribute name="onkeyup">
              SetEditColorEx('<xsl:value-of select="$editid" />');
            </xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="$data" />
            </xsl:attribute>
            <!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
            <!-- 20111129 ODD Wang xiaoyue -->
            <xsl:attribute name="datafld">
              <xsl:value-of select ="$start"/>$<xsl:value-of select="$end"/>
            </xsl:attribute>
          </input>
          <span class="textcenter">
            (<xsl:value-of select="$start" /> - <xsl:value-of select="$end" />)
            <xsl:if test="$unit = 0">
              <xsl:value-of select="/root/Resource/General/Item/@Milli" />
            </xsl:if>
            <xsl:if test="$unit = 1">
              <xsl:value-of select="/root/Resource/General/Item/@Inch" />
            </xsl:if>
            <xsl:if test="$unit = 2">
              <xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Milli" />
            </xsl:if>
            <xsl:if test="$unit = 3">
              <xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Inch" />
            </xsl:if>
          </span>
        </td>
        <td>
          <button class="valcheck">
            <xsl:attribute name="onclick">
              ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
              TransInchMilli('<xsl:value-of select="$editid" />');
            </xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="/root/Resource/General/Item/@Validate" />
            </xsl:attribute>
            <xsl:value-of select="/root/Resource/General/Item/@Validate" />
          </button>
        </td>
        <td class="rpadding16"></td>
      </tr>
    </table>
  </xsl:template>
    <xsl:template name="createeditinchmillifloat">
    <xsl:param name="editid" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="unit" />
    <xsl:param name="command" />
    <table class="tree3" cellpadding="0" cellspacing="0" border="0">
      <tr>
        <td class="nowrap">
          <input class="imeoff12" type="text" size="5">
            <xsl:attribute name="name">
              <xsl:value-of select="$editid" />
            </xsl:attribute>
            <xsl:attribute name="id">
              <xsl:value-of select="$editid" />
            </xsl:attribute>
            <xsl:attribute name="onkeyup">
              SetEditColorEx('<xsl:value-of select="$editid" />');
            </xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="$data" />
            </xsl:attribute>
            <!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
            <!-- 20111129 ODD Wang xiaoyue -->
            <xsl:attribute name="datafld">
              <xsl:value-of select ="$start"/>$<xsl:value-of select="$end"/>
            </xsl:attribute>
          </input>
          <span class="textcenter">
            (<xsl:value-of select="$start" /> - <xsl:value-of select="$end" />)
            <xsl:if test="$unit = 0">
              <xsl:value-of select="/root/Resource/General/Item/@Milli" />
            </xsl:if>
            <xsl:if test="$unit = 1">
              <xsl:value-of select="/root/Resource/General/Item/@Inch" />
            </xsl:if>
            <xsl:if test="$unit = 2">
              <xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Milli" />
            </xsl:if>
            <xsl:if test="$unit = 3">
              <xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Inch" />
            </xsl:if>
          </span>
        </td>
        <td>
          <button class="valcheck">
            <xsl:attribute name="onclick">
              ValidateNumberFloat('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
              TransInchMilli('<xsl:value-of select="$editid" />');
            </xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="/root/Resource/General/Item/@Validate" />
            </xsl:attribute>
            <xsl:value-of select="/root/Resource/General/Item/@Validate" />
          </button>
        </td>
        <td class="rpadding16"></td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template name="createeditinchmillipaperlength">
    <xsl:param name="editid" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="unit" />
    <xsl:param name="command" />
    <table class="tree3" cellpadding="0" cellspacing="0" border="0">
      <tr>
        <td class="nowrap">
          <input class="imeoff12" type="text" size="5">
            <xsl:attribute name="name">
              <xsl:value-of select="$editid" />
            </xsl:attribute>
            <xsl:attribute name="id">
              <xsl:value-of select="$editid" />
            </xsl:attribute>
            <xsl:attribute name="onkeyup">
              SetEditColorEx('<xsl:value-of select="$editid" />');
            </xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="$data" />
            </xsl:attribute>
            <!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
            <!-- 20111129 ODD Wang xiaoyue -->
            <xsl:attribute name="datafld">
              <xsl:value-of select ="$start"/>$<xsl:value-of select="$end"/>
            </xsl:attribute>
          </input>
          <span class="textcenter">
            (<xsl:value-of select="$start" /> - <xsl:value-of select="$end" />)
            <xsl:if test="$unit = 0">
              <xsl:value-of select="/root/Resource/General/Item/@Milli" />
            </xsl:if>
            <xsl:if test="$unit = 1">
              <xsl:value-of select="/root/Resource/General/Item/@Inch" />
            </xsl:if>
            <xsl:if test="$unit = 2">
              <xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Milli" />
            </xsl:if>
            <xsl:if test="$unit = 3">
              <xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Inch" />
            </xsl:if>
          </span>
        </td>
        <td>
          <button class="valcheck">
            <xsl:attribute name="onclick">
			<xsl:if test="$unit = 2">
              <!--ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');-->
			  ValidateNumberLength('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />','Key600');
			</xsl:if>
			  
			<xsl:if test="$unit = 3">
              <!--ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');-->
			  ValidateNumberLength('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />','Key601');
			</xsl:if>
			  
              TransInchMilli('<xsl:value-of select="$editid" />');  
			 <!-- Setcutpositionvalue('Key600');-->
            </xsl:attribute>
            <xsl:attribute name="value">
              <xsl:value-of select="/root/Resource/General/Item/@Validate" />
            </xsl:attribute>
            <xsl:value-of select="/root/Resource/General/Item/@Validate" />
          </button>
        </td>
        <td class="rpadding16"></td>
      </tr>
    </table>
  </xsl:template>
<xsl:template name="createeditinchmillicutpositon">
<xsl:param name="editid" />
<xsl:param name="data" />
<xsl:param name="start" />
<xsl:param name="end" />
<xsl:param name="margin" />
<xsl:param name="unit" />
<xsl:param name="command" />
	<table class="tree3" cellpadding="0" cellspacing="0" border="0">
	<tr>
	<td class="nowrap">
		<input class="imeoff12" type="text" size="5">
			<xsl:attribute name="name"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="onkeyup">SetEditColorEx('<xsl:value-of select="$editid" />');</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$data" /></xsl:attribute>
<!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
      <!-- 20111129 ODD Wang xiaoyue -->
      <xsl:attribute name="datafld">
        <xsl:value-of select ="$start"/>$<xsl:value-of select="$end"/>
      </xsl:attribute>
		</input>

		<span class="textcenter"> (</span>
		
		<span class="textcenter">
		 <xsl:attribute name="startid"><xsl:value-of select="$start" /></xsl:attribute>
		  <xsl:value-of select="$start" />
		</span>
		
	   <span class="textcenter"> - </span>
	   
	    <xsl:if test="$unit = 2">
		<span class="textcenter" id="Key600">
			<xsl:attribute name="endid"><xsl:value-of select="$end" /></xsl:attribute>
			 <xsl:value-of select="$end" />
		</span>
		</xsl:if>
		
	    <xsl:if test="$unit = 3">
		<span class="textcenter" id="Key601">
			<xsl:attribute name="endid"><xsl:value-of select="$end" /></xsl:attribute>
			 <xsl:value-of select="$end" />
		</span>
		</xsl:if>
		
	    <span class="textcenter">) </span>
		
		<span class="textcenter">
		 <xsl:if test="$unit = 0">
			<xsl:value-of select="/root/Resource/General/Item/@Milli" />
		 </xsl:if>
		 <xsl:if test="$unit = 1">
			<xsl:value-of select="/root/Resource/General/Item/@Inch" />
		 </xsl:if>
		 <xsl:if test="$unit = 2">
			<xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Milli" />
		 </xsl:if>
		 <xsl:if test="$unit = 3">
			<xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Inch" />
		 </xsl:if>
		</span>
	</td>
	<td>
	<button class="valcheck">
	  <xsl:attribute name="onclick">
	  
	   <xsl:if test="$unit = 2">
			ValidateNumberCutPosion('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','Key600','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
	   </xsl:if>
			  
	   <xsl:if test="$unit = 3">
			ValidateNumberCutPosion('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','Key601','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
	   </xsl:if>
        <!--ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');-->
		
        TransInchMilli('<xsl:value-of select="$editid" />');
      </xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/root/Resource/General/Item/@Validate" /></xsl:attribute>
			<xsl:value-of select="/root/Resource/General/Item/@Validate" />
	</button>
	</td>
	<td class="rpadding16"></td>
	</tr>
	</table>
</xsl:template>
  <xsl:template name="createeditnumber">
    <xsl:param name="title" />
    <xsl:param name="editid" />
    <xsl:param name="fieldsize" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="command" />
    <xsl:call-template name="createeditnumberex">
      <xsl:with-param name="title">
        <xsl:value-of select="$title" />
      </xsl:with-param>
      <xsl:with-param name="editid">
        <xsl:value-of select="$editid" />
      </xsl:with-param>
      <xsl:with-param name="fieldsize">
        <xsl:value-of select="$fieldsize" />
      </xsl:with-param>
      <xsl:with-param name="data">
        <xsl:value-of select="$data" />
      </xsl:with-param>
      <xsl:with-param name="start">
        <xsl:value-of select="$start" />
      </xsl:with-param>
      <xsl:with-param name="end">
        <xsl:value-of select="$end" />
      </xsl:with-param>
      <xsl:with-param name="margin">
        <xsl:value-of select="$margin" />
      </xsl:with-param>
      <xsl:with-param name="command">
        <xsl:value-of select="$command" />
      </xsl:with-param>
      <xsl:with-param name="unit">0</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="createeditnumberex">
    <xsl:param name="title" />
    <xsl:param name="editid" />
    <xsl:param name="fieldsize" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="command" />
    <xsl:param name="unit" />
    <tr>
      <td class="nowrap">
        <xsl:call-template name="treeicons">
          <xsl:with-param name="param1">0</xsl:with-param>
        </xsl:call-template>
        <span class="textcenter">
          <xsl:value-of select="$title" />
        </span>
      </td>
      <td class="padding3">:</td>
      <td class="nowrap">
        <input class="imeoff12" type="text">
          <xsl:attribute name="name">
            <xsl:value-of select="$editid" />
          </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="$editid" />
          </xsl:attribute>
          <xsl:attribute name="size">
            <xsl:value-of select="$fieldsize" />
          </xsl:attribute>
          <xsl:attribute name="onkeyup">
            SetEditColorEx('<xsl:value-of select="$editid" />');
          </xsl:attribute>
          <xsl:attribute name="value">
            <xsl:value-of select="$data" />
          </xsl:attribute>
          <!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
        </input>
        <span class="textcenter">
          (<xsl:value-of select="$start" /> - <xsl:value-of select="$end" />)
          <xsl:if test="$unit = 1">
            <xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Lines" />
          </xsl:if>
          <xsl:if test="$unit = 2">
            <xsl:value-of select="/root/Resource/UnitMenuFunctionText/Item/@Lines" />
          </xsl:if>
          <xsl:if test="$unit = 3">
            <xsl:value-of select="/root/Resource/UnitMenuFunctionText/Item/@Seconds" />
          </xsl:if>
          <xsl:if test="$unit = 4">
            <xsl:value-of select="/root/Resource/UnitMenuFunctionText/Item/@Entries" />
          </xsl:if>
        </span>
      </td>
      <td>
        <button class="valcheck">
          <xsl:attribute name="onclick">
            ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
          </xsl:attribute>
          <xsl:attribute name="value">
            <xsl:value-of select="/root/Resource/General/Item/@Validate" />
          </xsl:attribute>
          <xsl:value-of select="/root/Resource/General/Item/@Validate" />
        </button>
      </td>
      <td class="rpadding12"></td>
    </tr>
  </xsl:template>
  <xsl:template name="createtextvalue">
    <xsl:param name="title" />
    <xsl:param name="data" />
    <tr>
      <td class="nowrap">
        <xsl:call-template name="treeicons">
          <xsl:with-param name="param1">0</xsl:with-param>
        </xsl:call-template>
        <span class="textcenter">
          <xsl:value-of select="$title" />
        </span>
      </td>
      <td class="padding3">:</td>
      <td class="nowrap">
        <xsl:value-of select="$data" />
      </td>
      <td class="rpadding16"></td>
    </tr>
  </xsl:template>
  <xsl:template name="createpushbutton">
    <xsl:param name="title" />
    <xsl:param name="command" />
    <tr>
      <xsl:call-template name="createselectprefix">
        <xsl:with-param name="title">
          <xsl:value-of select="$title" />
        </xsl:with-param>
      </xsl:call-template>
      <td>
        <button class="menuexec">
          <xsl:attribute name="onclick">
            OnCallModule2('<xsl:value-of select="$command" />','');
          </xsl:attribute>
          <xsl:value-of select="/root/Resource/General/Item/@Execute" />
        </button>
      </td>
      <td class="rpadding16"></td>
    </tr>
  </xsl:template>

  <xsl:template name="createeditpassword">
<xsl:param name="title" />
<xsl:param name="editid" />
<xsl:param name="maxsize" />
<xsl:param name="checkString" />
<xsl:param name="filePath" />
<xsl:param name="command" />

	<xsl:variable name="ControlID1" select="concat($editid,'1')" />
	<xsl:variable name="ControlID2" select="concat($editid,'2')" />
	<xsl:variable name="ControlID3" select="concat($editid,'3')" />
	<xsl:variable name="ControlID4" select="concat($editid,'4')" />
	<xsl:variable name="ControlID5" select="concat($editid,'5')" />
	<tr><td class="nowrap">
				<span>
					<xsl:attribute name="id"><xsl:value-of select="$ControlID1" /></xsl:attribute>
					<xsl:call-template name="treeicons">
						<xsl:with-param name="param1">0</xsl:with-param>
					</xsl:call-template>
				</span>
					<span class="textcenter">
						<xsl:attribute name="id"><xsl:value-of select="$ControlID2" /></xsl:attribute>
					    <xsl:value-of select="$title" />
					</span>
				</td>
				<td class="padding3">
				<span>
				<xsl:attribute name="id"><xsl:value-of select="$ControlID3" /></xsl:attribute>
				:
				</span>
				</td>
				<td class="nowrap">
          	  
					<input class="imeoff12" type="password" size="30" style="height:20px;width:180px;">
						<xsl:attribute name="name"><xsl:value-of select="$editid" /></xsl:attribute>
						<xsl:attribute name="id"><xsl:value-of select="$editid" /></xsl:attribute>
						<xsl:attribute name="onkeyup">SetEditColorEx2('<xsl:value-of select="$editid" />',1);</xsl:attribute>
					</input>
		  		  
					<span class="textcenter">
					<xsl:attribute name="id"><xsl:value-of select="$ControlID4" /></xsl:attribute>
					<xsl:call-template name="viewlimit1">
						<xsl:with-param name="limitmax"><xsl:value-of select="$maxsize" /></xsl:with-param>
					</xsl:call-template>
					</span>
				</td>
				<td class="nowrap">
					<button class="valcheck">
						<xsl:attribute name="id"><xsl:value-of select="$ControlID5" /></xsl:attribute>
						<xsl:attribute name="onclick">TrimMaxLength('<xsl:value-of select="$editid" />','<xsl:value-of select="$maxsize" />');
						                              PdfPasswordCheck('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />','<xsl:value-of select="$filePath" />');
						</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="$checkString" /></xsl:attribute>
						<xsl:value-of select="$checkString" />
						
					</button>
				</td>
				<td class="rpadding16"></td>
			</tr>
</xsl:template>

<xsl:template name="createeditIPAddress">
<xsl:param name="title" />
<xsl:param name="editid" />
<xsl:param name="IPAddressValue" />
<xsl:param name="command" />
<tr>
    <xsl:variable name="IPControlID" select="$editid" />
	<xsl:variable name="IPControlID8" select="concat($IPControlID,'8')" />
	<xsl:variable name="IPControlID9" select="concat($IPControlID,'9')" />
	<xsl:variable name="IPControlID10" select="concat($IPControlID,'10')" />
    <td class="nowrap">
	<span><xsl:attribute name="id"><xsl:value-of select="$IPControlID8" /></xsl:attribute>
	<xsl:call-template name="treeicons">
		<xsl:with-param name="param1">0</xsl:with-param>
	</xsl:call-template>
	</span>
	
	<span class="textcenter">
	<xsl:attribute name="id"><xsl:value-of select="$IPControlID9" /></xsl:attribute>
	<xsl:value-of select="$title" />
	</span>
	</td>
	<td class="padding3">
	<xsl:attribute name="id"><xsl:value-of select="$IPControlID10" /></xsl:attribute>
	:
	</td>
	
	<td class="nowrap">
					
					<xsl:variable name="IPControlID1" select="concat($IPControlID,'1')" />
					<xsl:variable name="IPControlID2" select="concat($IPControlID,'2')" />
					<xsl:variable name="IPControlID3" select="concat($IPControlID,'3')" />
					<xsl:variable name="IPControlID4" select="concat($IPControlID,'4')" />
					<xsl:variable name="IPControlID5" select="concat($IPControlID,'5')" />
					<xsl:variable name="IPControlID6" select="concat($IPControlID,'6')" />
					<xsl:variable name="IPControlID7" select="concat($IPControlID,'7')" />
					
                                        <xsl:variable name="strnewip" select="$IPAddressValue" />
					<xsl:variable name="strnewip1" select="substring-before($strnewip,'.')" />
					<xsl:variable name="strnewip2" select="substring-before(substring-after($strnewip,'.'),'.')" />
					<xsl:variable name="strnewip3" select="substring-before(substring-after(substring-after($strnewip,'.'),'.'),'.')" />
					<xsl:variable name="strnewip4" select="substring-after(substring-after(substring-after($strnewip,'.'),'.'),'.')" />
                    				<input class="font12" type="text"  size="3" maxlength="3" style="text-align:right;ime-mode:disabled;" >
										<xsl:attribute name="name"><xsl:value-of select="$IPControlID1" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$IPControlID1" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return downcheck('<xsl:value-of select="$IPControlID" />',value,1)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkIP('<xsl:value-of select="$IPControlID" />', value,1);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeIP('<xsl:value-of select="$command" />','<xsl:value-of select="$IPControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strnewip1" /></xsl:attribute>
						</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$IPControlID5" /></xsl:attribute>.</span>
                    				<input class="font12" type="text" size="3" maxlength="3" style="text-align:right;ime-mode:disabled;" >
										<xsl:attribute name="name"><xsl:value-of select="$IPControlID2" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$IPControlID2" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return downcheck('<xsl:value-of select="$IPControlID" />',value,2)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkIP('<xsl:value-of select="$IPControlID" />', value,2);</xsl:attribute>																		
										<xsl:attribute name ="onblur">OnChangeIP('<xsl:value-of select="$command" />','<xsl:value-of select="$IPControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strnewip2" /> </xsl:attribute>
						</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$IPControlID6" /></xsl:attribute>.</span>
                    				<input class="font12" type="text" size="3" maxlength="3" style="text-align:right;ime-mode:disabled;">
										<xsl:attribute name="name"><xsl:value-of select="$IPControlID3" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$IPControlID3" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return downcheck('<xsl:value-of select="$IPControlID" />',value,3)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkIP('<xsl:value-of select="$IPControlID" />', value,3);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeIP('<xsl:value-of select="$command" />','<xsl:value-of select="$IPControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strnewip3" /> </xsl:attribute>
						</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$IPControlID7" /></xsl:attribute>.</span>
                    				<input class="font12" type="text" size="3" maxlength="3" style="text-align:right;ime-mode:disabled;">
										<xsl:attribute name="name"><xsl:value-of select="$IPControlID4" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$IPControlID4" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return downcheck('<xsl:value-of select="$IPControlID" />',value,4)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkIP('<xsl:value-of select="$IPControlID" />', value,4);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeIP('<xsl:value-of select="$command" />','<xsl:value-of select="$IPControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strnewip4" /> </xsl:attribute>
						</input>
		</td>
     </tr>  
</xsl:template>
<xsl:template name="createeditTimeSetup">
<xsl:param name="editid" />
<xsl:param name="TimeSetupValue" />
<xsl:param name="TimezoneValue" />
<xsl:param name="DaylightValue" />
<xsl:param name="TimezoneID" />
<xsl:param name="DaylightID" />
<xsl:param name="command" />

    <xsl:variable name="ControlID" select="$editid" />
	<td class="nowrap">
	
	<xsl:variable name="ControlID1" select="concat($ControlID,'1')" />
	<xsl:variable name="ControlID2" select="concat($ControlID,'2')" />
	<xsl:variable name="ControlID3" select="concat($ControlID,'3')" />
	<xsl:variable name="ControlID4" select="concat($ControlID,'4')" />
	<xsl:variable name="ControlID5" select="concat($ControlID,'5')" />
	<xsl:variable name="ControlID6" select="concat($ControlID,'6')" />
	<xsl:variable name="ControlID7" select="concat($ControlID,'7')" />
	<xsl:variable name="ControlID8" select="concat($ControlID,'8')" />
	<xsl:variable name="ControlID9" select="concat($ControlID,'9')" />
	<xsl:variable name="ControlID10" select="concat($ControlID,'10')" />
	<xsl:variable name="ControlID11" select="concat($ControlID,'11')" />
	<xsl:variable name="ControlID12" select="concat($ControlID,'12')" />
				              
					<xsl:variable name="strYear" select="substring-before($TimeSetupValue,'-')" />
					<xsl:variable name="strMonth" select="substring-before(substring-after($TimeSetupValue,'-'),'-')" />
					<xsl:variable name="strDay" select="substring-before(substring-after(substring-after($TimeSetupValue,'-'),'-'),'-')" />
					<xsl:variable name="strHour" select="substring-before(substring-after(substring-after(substring-after($TimeSetupValue,'-'),'-'),'-'),'-')" />
					<xsl:variable name="strMinute" select="substring-before(substring-after(substring-after(substring-after(substring-after($TimeSetupValue,'-'),'-'),'-'),'-'),'-')" />
					<xsl:variable name="strSecond" select="substring-after(substring-after(substring-after(substring-after(substring-after($TimeSetupValue,'-'),'-'),'-'),'-'),'-')" />
                    	<input class="font12" type="text"  size="4" maxlength="4" style="text-align:right;ime-mode:disabled;" >
										<xsl:attribute name="name"><xsl:value-of select="$ControlID1" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$ControlID1" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return timeSetupDowncheck('<xsl:value-of select="$ControlID" />',value,1)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkYear('<xsl:value-of select="$ControlID1" />');checkCurrentTime('<xsl:value-of select="$ControlID" />', 1);</xsl:attribute>
										<xsl:attribute name ="onblur">checkYearRange('<xsl:value-of select="$ControlID1" />', value);checkCurrentTime('<xsl:value-of select="$ControlID" />', 1);OnChangeTimeSetup('<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />', '<xsl:value-of select="$command" />','<xsl:value-of select="$ControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strYear" /> </xsl:attribute>
						</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$ControlID7" /></xsl:attribute><xsl:text> </xsl:text>/ <xsl:text> </xsl:text></span>
                    	<input class="font12" type="text" size="2" maxlength="2" style="text-alignc:right;ime-mode:disabled;" >
										<xsl:attribute name="name"><xsl:value-of select="$ControlID2" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$ControlID2" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return timeSetupDowncheck('<xsl:value-of select="$ControlID" />',value,2)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkMonth('<xsl:value-of select="$ControlID2" />');checkCurrentTime('<xsl:value-of select="$ControlID" />', 2);</xsl:attribute>																	
										<xsl:attribute name ="onblur">OnChangeTimeSetup('<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />', '<xsl:value-of select="$command" />','<xsl:value-of select="$ControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strMonth" /> </xsl:attribute>
						</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$ControlID8" /></xsl:attribute><xsl:text> </xsl:text> / <xsl:text> </xsl:text></span>
                    				<input class="font12" type="text" size="2" maxlength="2" style="text-align:right;ime-mode:disabled;">
										<xsl:attribute name="name"><xsl:value-of select="$ControlID3" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$ControlID3" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return timeSetupDowncheck('<xsl:value-of select="$ControlID" />',value,3)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkDay('<xsl:value-of select="$ControlID3" />');checkCurrentTime('<xsl:value-of select="$ControlID" />',  3);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeTimeSetup('<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />', '<xsl:value-of select="$command" />','<xsl:value-of select="$ControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strDay" /> </xsl:attribute>
									</input>
						<span style="width:20px;"><xsl:attribute name="id"><xsl:value-of select="$ControlID11" /></xsl:attribute></span>
                    				<input class="font12" type="text" size="2" maxlength="2" style="text-align:right;ime-mode:disabled;">
										<xsl:attribute name="name"><xsl:value-of select="$ControlID4" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$ControlID4" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return timeSetupDowncheck('<xsl:value-of select="$ControlID" />',value,4)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkHour('<xsl:value-of select="$ControlID4" />');checkCurrentTime('<xsl:value-of select="$ControlID" />', 4);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeTimeSetup('<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />', '<xsl:value-of select="$command" />','<xsl:value-of select="$ControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strHour" /> </xsl:attribute>
									</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$ControlID9" /></xsl:attribute> <xsl:text> </xsl:text> : <xsl:text> </xsl:text></span>
                    				<input class="font12" type="text" size="2" maxlength="2" style="text-align:right;ime-mode:disabled;">
										<xsl:attribute name="name"><xsl:value-of select="$ControlID5" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$ControlID5" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return timeSetupDowncheck('<xsl:value-of select="$ControlID" />',value,5)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkMinute('<xsl:value-of select="$ControlID5" />');checkCurrentTime('<xsl:value-of select="$ControlID" />', 5);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeTimeSetup('<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />', '<xsl:value-of select="$command" />','<xsl:value-of select="$ControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strMinute" /> </xsl:attribute>
									</input>
						<span><xsl:attribute name="id"><xsl:value-of select="$ControlID10" /></xsl:attribute><xsl:text> </xsl:text> : <xsl:text> </xsl:text></span>
                    				<input class="font12" type="text" size="2" maxlength="2" style="text-align:right;ime-mode:disabled;">
										<xsl:attribute name="name"><xsl:value-of select="$ControlID6" /></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$ControlID6" /></xsl:attribute>
										<xsl:attribute name ="onkeydown">return timeSetupDowncheck('<xsl:value-of select="$ControlID" />',value,6)</xsl:attribute>
										<xsl:attribute name ="onkeyup">checkSecond('<xsl:value-of select="$ControlID6" />');checkCurrentTime('<xsl:value-of select="$ControlID" />', 6);</xsl:attribute>
										<xsl:attribute name ="onblur">OnChangeTimeSetup('<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />', '<xsl:value-of select="$command" />','<xsl:value-of select="$ControlID" />');</xsl:attribute>
										<xsl:attribute name="value"> <xsl:value-of select="$strSecond" /> </xsl:attribute>
									</input>
						<span class="textcenter">
							<xsl:attribute name="id"><xsl:value-of select="$ControlID12" /></xsl:attribute>
							(2000/1/1 0:0:0 - 2037/12/31 23:59:59)
						</span>		
				<img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" >
					<xsl:attribute name="onload">TimeStamp2Date('<xsl:value-of select="$TimeSetupValue" />','<xsl:value-of select="$TimezoneID" />', '<xsl:value-of select="$DaylightID" />','<xsl:value-of select="$ControlID" />', 'sm1_i_SmTimeSetup');</xsl:attribute>
				</img>
		</td>	
</xsl:template>

<xsl:template name="createeditnumberhex">
    <xsl:param name="title" />
    <xsl:param name="editid" />
    <xsl:param name="fieldsize" />
    <xsl:param name="data" />
    <xsl:param name="start" />
    <xsl:param name="end" />
    <xsl:param name="margin" />
    <xsl:param name="command" />
    <tr>
      <td class="nowrap">
        <xsl:call-template name="treeicons">
          <xsl:with-param name="param1">0</xsl:with-param>
        </xsl:call-template>
        <span class="textcenter">
          <xsl:value-of select="$title" />
        </span>
      </td>
      <td class="padding3">:</td>
      <td class="nowrap">
		<span>0x</span>
        <input class="imeoff12" type="text">
          <xsl:attribute name="name">
            <xsl:value-of select="$editid" />
          </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="$editid" />
          </xsl:attribute>
          <xsl:attribute name="size">
            <xsl:value-of select="$fieldsize" />
          </xsl:attribute>
          <xsl:attribute name="onkeyup">
            SetEditColorEx('<xsl:value-of select="$editid" />');
          </xsl:attribute>
          <xsl:attribute name="value">
            <xsl:value-of select="$data" />
          </xsl:attribute>
        </input>
        <span class="textcenter">
          (0x0000 - 0xFFFF)
        </span>
		<img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" >
					<xsl:attribute name="onload">From10To16Data('<xsl:value-of select="$data" />','<xsl:value-of select="$editid" />');</xsl:attribute>
		</img>
      </td>
      <td>
        <button class="valcheck">
          <xsl:attribute name="onclick">
            ValidateNumberHex('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
          </xsl:attribute>
          <xsl:attribute name="value">
            <xsl:value-of select="/root/Resource/General/Item/@Validate" />
          </xsl:attribute>
          <xsl:value-of select="/root/Resource/General/Item/@Validate" />
        </button>
      </td>
      <td class="rpadding12"></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
