<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:template name="mfpmenu">
<span class="menu14"><xsl:value-of select="/root/Resource/Message/Item/@Config" /></span>
<link rel="stylesheet" href="../MfpMenuSetup/mfp_style.css" type="text/css" />
<table cellpadding="0" cellspacing="0" border="0" name="menujump">
<tr>
<xsl:apply-templates select="/root/Resource/MfpSetMenu/Item">
	<xsl:with-param name="select">1</xsl:with-param>
</xsl:apply-templates>
</tr>
</table>
<hr color="gray" />
</xsl:template>

<xsl:template match="MfpSetMenu/Item">
<xsl:param name="select" select="'0'" />
<xsl:choose>
<xsl:when test="$select = '1'">
	<td>
	<xsl:call-template name="menuitem">
		<xsl:with-param name="param1" select="@Icon" />
		<xsl:with-param name="param2" select="@Text" />
		<xsl:with-param name="param3" select="@Param1" />
		<xsl:with-param name="param4" select="@Param2" />
	</xsl:call-template>
	</td>
</xsl:when>
<xsl:when test="$select = '2'">
	<xsl:if test="@MiniMenu = '1'">
		<xsl:call-template name="menuitem">
			<xsl:with-param name="param1" select="@Icon" />
			<xsl:with-param name="param2" select="@Text" />
			<xsl:with-param name="param3" select="@Param1" />
			<xsl:with-param name="param4" select="@Param2" />
		</xsl:call-template>
	</xsl:if>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template name="menuitem">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:param name="param3" />
<xsl:param name="param4" />
<xsl:choose>
<xsl:when test="($param4 = '1') and /root/Config/TreeNode/Item/@AdminSettingView = '1'">
</xsl:when>
<xsl:when test="($param4 = '2') and /root/Config/TreeNode/Item/@AdminSettingView = '0'">
</xsl:when>
<xsl:otherwise>
	<span class="pg6" />
	<a href="#menujump">
		<xsl:attribute name="onclick">
			<xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param3" /><xsl:text>','</xsl:text><xsl:value-of select="$param4" /><xsl:text>');</xsl:text>
		</xsl:attribute>
		<img border="0">
			<xsl:attribute name="src">
				<xsl:value-of select="$param1" />
			</xsl:attribute>
			<xsl:attribute name="alt">
				<xsl:value-of select="$param2" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:value-of select="$param2" />
			</xsl:attribute>
		</img>
	</a>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="treeicons">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:choose>
<xsl:when test="$param1 != '0'">
	<img src="../MfpMenuSetup/images/tree_plus.gif" alt="">
		<xsl:attribute name="id">
			<xsl:text>Img</xsl:text><xsl:value-of select="$param1" />
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>cursor:hand;</xsl:text>
		</xsl:attribute>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '2'">
			<xsl:attribute name="onclick">
				<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '2'">
			<xsl:if test="string-length($param2) = 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text>SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="string-length($param2) != 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
		</xsl:if>
	</img>
	<img src="../MfpMenuSetup/images/tree_node.gif" alt="" />
</xsl:when>
<xsl:otherwise>
	<span class="pg7" />
	<img src="../MfpMenuSetup/images/tree_item.gif" alt="" />
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="treeicons2">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:param name="param3" />
<xsl:choose>
<xsl:when test="$param1 != '0'">
	<img src="../MfpMenuSetup/images/tree_plus.gif" alt="">
		<xsl:attribute name="id">
			<xsl:text>Img</xsl:text><xsl:value-of select="$param1" />
		</xsl:attribute>
		<xsl:attribute name="style">
			<xsl:text>cursor:hand;</xsl:text>
		</xsl:attribute>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '2'">
			<xsl:attribute name="onclick">
				<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '2'">
			<xsl:if test="string-length($param3) = 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" />SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="string-length($param3) != 0">
				<xsl:attribute name="onclick">
					<xsl:text>ShowHide3('Key</xsl:text><xsl:value-of select="$param1" /><xsl:text>','Img</xsl:text><xsl:value-of select="$param1" /><xsl:text>');</xsl:text><xsl:value-of select="$param2" /><xsl:value-of select="$param3" />SetScrollTop('xslt_main');
				</xsl:attribute>
			</xsl:if>
		</xsl:if>
	</img>
	<img src="../MfpMenuSetup/images/tree_node.gif" alt="" />
</xsl:when>
<xsl:otherwise>
	<span class="pg7" />
	<img src="../MfpMenuSetup/images/tree_item.gif" alt="" />
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="createeditstring">
<xsl:param name="title" />
<xsl:param name="editid" />
<xsl:param name="fieldsize" />
<xsl:param name="data" />
<xsl:param name="textmode" />
<xsl:param name="maxsize" />
<xsl:param name="command" />
	<tr><td class="nowrap">
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">0</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="$title" /></span>
	</td>
	<td class="padding3">:</td>
	<td class="nowrap">
		<input class="treefont" type="text">
			<xsl:attribute name="name"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="size"><xsl:value-of select="$fieldsize" /></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$data" /></xsl:attribute>
			<xsl:if test="$textmode = 1">
				<xsl:attribute name="maxlength"><xsl:value-of select="$maxsize" /></xsl:attribute>
				<xsl:attribute name="class">imeoff12</xsl:attribute>
<!--
				<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
				<xsl:attribute name="onkeyup">SetEditColorEx('<xsl:value-of select="$editid" />');</xsl:attribute>
			</xsl:if>
			<xsl:if test="$textmode = 2">
				<xsl:attribute name="onkeyup">SetEditColorEx2('<xsl:value-of select="$editid" />',1);</xsl:attribute>
			</xsl:if>
			<xsl:if test="$textmode = 3">
				<xsl:attribute name="onkeyup">SetEditColorEx2('<xsl:value-of select="$editid" />',1);</xsl:attribute>
			</xsl:if>
		</input>
		<span class="textcenter">
		<xsl:if test="$textmode = 1">
			<xsl:call-template name="viewlimit1">
				<xsl:with-param name="limitmax"><xsl:value-of select="$maxsize" /></xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$textmode = 2">
			<xsl:call-template name="viewlimit2">
				<xsl:with-param name="limitmax"><xsl:value-of select="$maxsize" /></xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$textmode = 3">
			<xsl:call-template name="viewlimit1">
				<xsl:with-param name="limitmax"><xsl:value-of select="$maxsize" /></xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		</span>
	</td>
	<td>
		<button class="valcheck">
			<xsl:if test="$textmode = 1">
				<xsl:attribute name="onclick">ResetEditColor('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />');</xsl:attribute>
			</xsl:if>
			<xsl:if test="$textmode = 2">
				<xsl:attribute name="onclick">TrimMaxLength('<xsl:value-of select="$editid" />',<xsl:value-of select="$maxsize" />);ResetEditColor('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />');</xsl:attribute>
			</xsl:if>
			<xsl:if test="$textmode = 3">
				<xsl:attribute name="onclick">ResetEditColor('<xsl:value-of select="$editid" />','<xsl:value-of select="$command" />');</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="value"><xsl:value-of select="/root/Resource/General/Item/@ValText" /></xsl:attribute>
			<xsl:value-of select="/root/Resource/General/Item/@ValText" />
		</button>
	</td>
	<td class="rpadding12"></td>
	</tr>
</xsl:template>
<xsl:template name="createselectcheck">
<xsl:param name="title" />
<xsl:param name="selectid" />
<xsl:param name="data" />
<xsl:param name="command" />
<xsl:param name="checkno" />
	<tr><td class="nowrap">
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">0</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="$title" /></span>
	</td>
	<td class="padding3">:</td>
	<td>
		<select class="treefont">
			<xsl:attribute name="name"><xsl:value-of select="$selectid" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="$selectid" /></xsl:attribute>
			<xsl:attribute name="onchange">OnCallModule2('<xsl:value-of select="$command" />',<xsl:value-of select="$selectid" />.value);</xsl:attribute>
			<xsl:choose>
			<xsl:when test="$checkno = 1">
				<xsl:apply-templates select="/root/Config/Check1/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 2">
				<xsl:apply-templates select="/root/Config/Check2/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 3">
				<xsl:apply-templates select="/root/Config/Check3/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 4">
				<xsl:apply-templates select="/root/Config/Check4/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 5">
				<xsl:apply-templates select="/root/Config/Check5/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 6">
				<xsl:apply-templates select="/root/Config/Check6/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 7">
				<xsl:apply-templates select="/root/Config/Check7/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 8">
				<xsl:apply-templates select="/root/Config/Check8/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 9">
				<xsl:apply-templates select="/root/Config/Check9/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 10">
				<xsl:apply-templates select="/root/Config/Check10/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 11">
				<xsl:apply-templates select="/root/Config/Check11/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 12">
				<xsl:apply-templates select="/root/Config/Check12/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 13">
				<xsl:apply-templates select="/root/Config/Check13/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 14">
				<xsl:apply-templates select="/root/Config/Check14/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 15">
				<xsl:apply-templates select="/root/Config/Check15/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="$checkno = 16">
				<xsl:apply-templates select="/root/Config/Check16/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="/root/Config/Check1/Item">
					<xsl:with-param name="param1"><xsl:value-of select="$data" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:otherwise>
			</xsl:choose>
		</select>
	</td>
	<td class="rpadding16"></td>
	</tr>
</xsl:template>
<xsl:template name="createselectprefix">
<xsl:param name="title" />
	<td class="nowrap">
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">0</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="$title" /></span>
	</td>
	<td class="padding3">:</td>
</xsl:template>

<xsl:template name="createselectrangelist">
<xsl:param name="title" />
<xsl:param name="selectid" />
<xsl:param name="command" />
<xsl:param name="data" />
<xsl:param name="start" />
<xsl:param name="end" />
<xsl:param name="margin" />
	<xsl:call-template name="createselectrangelistex">
		<xsl:with-param name="title"><xsl:value-of select="$title" /></xsl:with-param>
		<xsl:with-param name="selectid"><xsl:value-of select="$selectid" /></xsl:with-param>
		<xsl:with-param name="command"><xsl:value-of select="$command" /></xsl:with-param>
		<xsl:with-param name="data"><xsl:value-of select="$data" /></xsl:with-param>
		<xsl:with-param name="start"><xsl:value-of select="$start" /></xsl:with-param>
		<xsl:with-param name="end"><xsl:value-of select="$end" /></xsl:with-param>
		<xsl:with-param name="margin"><xsl:value-of select="$margin" /></xsl:with-param>
		<xsl:with-param name="mode">1</xsl:with-param>
		<xsl:with-param name="unit">0</xsl:with-param>
	</xsl:call-template>
</xsl:template>
<xsl:template name="createselectrangelistex">
<xsl:param name="title" />
<xsl:param name="selectid" />
<xsl:param name="command" />
<xsl:param name="data" />
<xsl:param name="start" />
<xsl:param name="end" />
<xsl:param name="margin" />
<xsl:param name="mode" />
<xsl:param name="unit" />
	<tr><td class="nowrap">
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">0</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="$title" /></span>
	</td>
	<td class="padding3">:</td>
	<td>
		<select class="treefont">
			<xsl:attribute name="name"><xsl:value-of select="$selectid" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="$selectid" /></xsl:attribute>
			<xsl:attribute name="onchange">OnCallModule2('<xsl:value-of select="$command" />',<xsl:value-of select="$selectid" />.value);</xsl:attribute>
			<xsl:if test="$mode = 1">
				<xsl:call-template name="itemlistex1">
					<xsl:with-param name="selected"><xsl:value-of select="$data" /></xsl:with-param>
					<xsl:with-param name="start"><xsl:value-of select="$start" /></xsl:with-param>
					<xsl:with-param name="end"><xsl:value-of select="$end" /></xsl:with-param>
					<xsl:with-param name="margin"><xsl:value-of select="$margin" /></xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$mode = 2">
				<xsl:call-template name="itemlistex2">
					<xsl:with-param name="selected"><xsl:value-of select="$data" /></xsl:with-param>
					<xsl:with-param name="start"><xsl:value-of select="$start" /></xsl:with-param>
					<xsl:with-param name="end"><xsl:value-of select="$end" /></xsl:with-param>
					<xsl:with-param name="margin"><xsl:value-of select="$margin" /></xsl:with-param>
				</xsl:call-template>
			</xsl:if>
		</select>
		<xsl:if test="$unit = 1">
			<span class="textcenter"><xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Times" /></span>
		</xsl:if>
		<xsl:if test="$unit = 2">
			<span class="textcenter"><xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Minutes" /></span>
		</xsl:if>
		<xsl:if test="$unit = 3">
			<span class="textcenter"><xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Seconds" /></span>
		</xsl:if>
	</td>
	<td class="rpadding16"></td>
	</tr>
</xsl:template>
<xsl:template name="createeditinchmilli">
<xsl:param name="editid" />
<xsl:param name="data" />
<xsl:param name="start" />
<xsl:param name="end" />
<xsl:param name="margin" />
<xsl:param name="unit" />
<xsl:param name="command" />
	<table class="tree3" cellpadding="0" cellspacing="0" border="0">
	<tr>
	<td class="nowrap">
		<input class="imeoff12" type="text" size="5">
			<xsl:attribute name="name"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="onkeyup">SetEditColorEx('<xsl:value-of select="$editid" />');</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$data" /></xsl:attribute>
<!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
      <!-- 20111129 ODD Wang xiaoyue -->
      <xsl:attribute name="datafld">
        <xsl:value-of select ="$start"/>$<xsl:value-of select="$end"/>
      </xsl:attribute>
		</input>
		<span class="textcenter">
		(<xsl:value-of select="$start" /> - <xsl:value-of select="$end" />)
		<xsl:if test="$unit = 0">
			<xsl:value-of select="/root/Resource/General/Item/@Milli" />
		</xsl:if>
		<xsl:if test="$unit = 1">
			<xsl:value-of select="/root/Resource/General/Item/@Inch" />
		</xsl:if>
		<xsl:if test="$unit = 2">
			<xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Milli" />
		</xsl:if>
		<xsl:if test="$unit = 3">
			<xsl:value-of select="/root/Config/RootMenuFunctionText/Item/@Inch" />
		</xsl:if>
		</span>
	</td>
	<td>
		<button class="valcheck">
			<xsl:attribute name="onclick">
        ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');
        TransInchMilli('<xsl:value-of select="$editid" />');
      </xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/root/Resource/General/Item/@Validate" /></xsl:attribute>
			<xsl:value-of select="/root/Resource/General/Item/@Validate" />
		</button>
	</td>
	<td class="rpadding16"></td>
	</tr>
	</table>
</xsl:template>
<xsl:template name="createeditnumber">
<xsl:param name="title" />
<xsl:param name="editid" />
<xsl:param name="fieldsize" />
<xsl:param name="data" />
<xsl:param name="start" />
<xsl:param name="end" />
<xsl:param name="margin" />
<xsl:param name="command" />
	<xsl:call-template name="createeditnumberex">
		<xsl:with-param name="title"><xsl:value-of select="$title" /></xsl:with-param>
		<xsl:with-param name="editid"><xsl:value-of select="$editid" /></xsl:with-param>
		<xsl:with-param name="fieldsize"><xsl:value-of select="$fieldsize" /></xsl:with-param>
		<xsl:with-param name="data"><xsl:value-of select="$data" /></xsl:with-param>
		<xsl:with-param name="start"><xsl:value-of select="$start" /></xsl:with-param>
		<xsl:with-param name="end"><xsl:value-of select="$end" /></xsl:with-param>
		<xsl:with-param name="margin"><xsl:value-of select="$margin" /></xsl:with-param>
		<xsl:with-param name="command"><xsl:value-of select="$command" /></xsl:with-param>
		<xsl:with-param name="unit">0</xsl:with-param>
	</xsl:call-template>
</xsl:template>
<xsl:template name="createeditnumberex">
<xsl:param name="title" />
<xsl:param name="editid" />
<xsl:param name="fieldsize" />
<xsl:param name="data" />
<xsl:param name="start" />
<xsl:param name="end" />
<xsl:param name="margin" />
<xsl:param name="command" />
<xsl:param name="unit" />
	<tr><td class="nowrap">
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">0</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="$title" /></span>
	</td>
	<td class="padding3">:</td>
	<td class="nowrap">
		<input class="imeoff12" type="text">
			<xsl:attribute name="name"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="$editid" /></xsl:attribute>
			<xsl:attribute name="size"><xsl:value-of select="$fieldsize" /></xsl:attribute>
			<xsl:attribute name="onkeyup">SetEditColorEx('<xsl:value-of select="$editid" />');</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$data" /></xsl:attribute>
<!--
			<xsl:attribute name="onpaste">return false;</xsl:attribute>
-->
		</input>
		<span class="textcenter">(<xsl:value-of select="$start" /> - <xsl:value-of select="$end" />)
		<xsl:if test="$unit = 1">
			<xsl:value-of select="/root/Config/UnitMenuFunctionText/Item/@Lines" />
		</xsl:if>
		<xsl:if test="$unit = 2">
			<xsl:value-of select="/root/Resource/UnitMenuFunctionText/Item/@Lines" />
		</xsl:if>
		</span>
	</td>
	<td>
		<button class="valcheck">
			<xsl:attribute name="onclick">ValidateNumberEx('<xsl:value-of select="$editid" />','<xsl:value-of select="$start" />','<xsl:value-of select="$end" />','<xsl:value-of select="$data" />','<xsl:value-of select="$margin" />','<xsl:value-of select="$command" />');</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/root/Resource/General/Item/@Validate" /></xsl:attribute>
			<xsl:value-of select="/root/Resource/General/Item/@Validate" />
		</button>
	</td>
	<td class="rpadding12"></td>
	</tr>
</xsl:template>
<xsl:template name="createtextvalue">
<xsl:param name="title" />
<xsl:param name="data" />
	<tr>
	<td class="nowrap">
		<xsl:call-template name="treeicons">
			<xsl:with-param name="param1">0</xsl:with-param>
		</xsl:call-template>
		<span class="textcenter"><xsl:value-of select="$title" /></span>
	</td>
	<td class="padding3">:</td>
	<td class="nowrap"><xsl:value-of select="$data" /></td>
	<td class="rpadding16"></td>
	</tr>
</xsl:template>
<xsl:template name="createpushbutton">
<xsl:param name="title" />
<xsl:param name="command" />
	<tr>
	<xsl:call-template name="createselectprefix">
		<xsl:with-param name="title"><xsl:value-of select="$title" /></xsl:with-param>
	</xsl:call-template>
	<td>
		<button class="menuexec">
			<xsl:attribute name="onclick">
				OnCallModule2('<xsl:value-of select="$command" />','');
			</xsl:attribute>
			<xsl:value-of select="/root/Resource/General/Item/@Execute" />
		</button>
	</td>
	<td class="rpadding16"></td>
	</tr>
</xsl:template>
  <xsl:template name="c2">
    <xsl:param name="title" />
    <xsl:param name="selectid" />
    <xsl:param name="data" />
    <xsl:param name="command" />
    <xsl:param name="checkno" />
    <tr>
      <td class="nowrap">
<div id="Key255">
 <xsl:call-template name="treeicons">
          <xsl:with-param name="param1">0</xsl:with-param>
        </xsl:call-template>
        <span class="textcenter">
          <xsl:value-of select="$title" />
        </span>
</div>
      </td>
      <td class="padding3">
        <div id="Key256">:</div></td>
      <td>
        <div id="Key257">
        <select class="treefont">
          <xsl:attribute name="name">
            <xsl:value-of select="$selectid" />
          </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="$selectid" />
          </xsl:attribute>
          <xsl:attribute name="onchange">
            OnCallModule2('<xsl:value-of select="$command" />',<xsl:value-of select="$selectid" />.value);
          </xsl:attribute>
          <xsl:choose>
            <xsl:when test="$checkno = 1">
              <xsl:apply-templates select="/root/Config/Check1/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 2">
              <xsl:apply-templates select="/root/Config/Check2/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 3">
              <xsl:apply-templates select="/root/Config/Check3/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 4">
              <xsl:apply-templates select="/root/Config/Check4/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 5">
              <xsl:apply-templates select="/root/Config/Check5/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 6">
              <xsl:apply-templates select="/root/Config/Check6/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 7">
              <xsl:apply-templates select="/root/Config/Check7/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 8">
              <xsl:apply-templates select="/root/Config/Check8/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 9">
              <xsl:apply-templates select="/root/Config/Check9/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 10">
              <xsl:apply-templates select="/root/Config/Check10/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 11">
              <xsl:apply-templates select="/root/Config/Check11/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 12">
              <xsl:apply-templates select="/root/Config/Check12/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 13">
              <xsl:apply-templates select="/root/Config/Check13/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 14">
              <xsl:apply-templates select="/root/Config/Check14/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 15">
              <xsl:apply-templates select="/root/Config/Check15/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:when test="$checkno = 16">
              <xsl:apply-templates select="/root/Config/Check16/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="/root/Config/Check1/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="$data" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:otherwise>
          </xsl:choose>
        </select>
        </div>
      </td>
      <td class="rpadding16"></td>
    </tr>
    <xsl:if test="/root/Config/DeviceManage/Item/@DmSysAccessView = '1'">
      <img src="../MfpMenuSetup/images/blank.gif" width="1" height="1" alt="" onload="ShowHide25('dmsysaccess','Key255','Key256','Key257');" />
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
