<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:include href="./nic_list.xsl" />
<xsl:include href="./nic_filter.xsl" />

<xsl:template match="Config/PrinterList">

<link rel="stylesheet" href="../NICSetup/mfp_style.css" type="text/css" />
  <img src="../NICSetup/images/blank.gif" width="1" height="1" alt="" onload="RLViewBox2();AddScript('../NICSetup/mfp_config.js');" />

<xsl:variable name="sortalg" select="../Settings/Item/@Sort" />
<xsl:variable name="order" select="../Settings/Item/@Order" />

<xsl:variable name="newtext1" select="concat(../../Resource/PrinterList/Item/@State, ',', ../../Resource/PrinterList/Item/@PrinterName)" />
<xsl:variable name="newtext2" select="concat($newtext1, ',', ../../Resource/PrinterList/Item/@IPMethod)" />
<xsl:variable name="newtext3" select="concat($newtext2, ',', ../../Resource/PrinterList/Item/@PrinterIPAddress)" />
<xsl:variable name="newtext4" select="concat($newtext3, ',', ../../Resource/PrinterList/Item/@PrinterMACAddress)" />
<xsl:variable name="newtext5" select="concat($newtext4, ',', ../../Resource/PrinterList/Item/@PrinterNetMask)" />
<xsl:variable name="newtext6" select="concat($newtext5, ',', ../../Resource/PrinterList/Item/@PrinterDefaultGW)" />
<xsl:variable name="newtext7" select="concat($newtext6, ',', ../../Resource/PrinterList/Item/@PrinterNICModule)" />
<xsl:variable name="newtext8" select="concat($newtext7, ',', ../../Resource/PrinterList/Item/@PrinterNICVersion)" />
<xsl:variable name="newtext9" select="concat($newtext8, ',', ../../Resource/PrinterList/Item/@PrinterWebPage)" />
  <h2 class="pg2" >
    <xsl:value-of select="/root/Resource/PrinterList/Item/@Guide" />
  </h2>
  
  <table class="invisible" style="margin-top:0;" >
    <tr>

      <td clase="pg1" >
        <span class="pg6" />
        <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Enable = '0'">
          <img border="0" >
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Image" />
              <xsl:text>DISABLED.gif</xsl:text>
            </xsl:attribute>
          </img>
        </xsl:if>
        <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Enable = '1'">
          <img border="0"  onclick="OnCallModule2('g_DiscoveryStart','');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Image" />
              <xsl:text>ENABLED.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Main/Item/@Discovery" />
            </xsl:attribute>
          </img>
        </xsl:if>
      </td>

      <td clase="pg1" >
        <span class="pg6" />
        <xsl:if test="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Enable = '0'">
          <img border="0" >
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Image" />
              <xsl:text>DISABLED.gif</xsl:text>
            </xsl:attribute>
          </img>
        </xsl:if>
        <xsl:if test="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Enable = '1'">
          <img border="0"  onclick="OnCallModule2('g_EnvView','');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Image" />
              <xsl:text>ENABLED.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Main/Item/@Environment" />
            </xsl:attribute>
          </img>
        </xsl:if>
      </td>

      <td clase="pg1" >
        <span class="pg6" />
        <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Enable = '0'">
          <img border="0" >
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Image" />
              <xsl:text>DISABLED.gif</xsl:text>
            </xsl:attribute>
          </img>
        </xsl:if>
        <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Enable = '1'">
          <img border="0"  onclick="OnCallModule2('g_SettingView','');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Image" />
              <xsl:text>ENABLED.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/PrinterList/Item/@DeviceSetting" />
            </xsl:attribute>
          </img>
        </xsl:if>
      </td>

      <td clase="pg1" >
        <span class="pg6" />
        <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Enable = '0'">
          <img border="0" >
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Image" />
              <xsl:text>DISABLED.gif</xsl:text>
            </xsl:attribute>
          </img>
        </xsl:if>
        <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Enable = '1'">
          <img border="0"  onclick="OnCallModule2('g_Reboot','');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Image" />
              <xsl:text>ENABLED.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/PrinterList/Item/@Restart" />
            </xsl:attribute>
          </img>
        </xsl:if>
      </td>
      <td clase="pg1" >
        <span class="pg6" />
        <xsl:if test="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Enable = '0'">
          <img border="0" >
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Image" />
              <xsl:text>DISABLED.gif</xsl:text>
            </xsl:attribute>
          </img>
        </xsl:if>
        <xsl:if test="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Enable = '1'">
          <img border="0"  onclick="OnCallModule2('g_ChangePassword','');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Image" />
              <xsl:text>ENABLED.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/PrinterList/Item/@PWChange" />
            </xsl:attribute>
          </img>
        </xsl:if>
      </td>
      <td clase="pg1" >
        <span class="pg6" />
        <xsl:if test="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Enable = '0'">
          <img border="0">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Image" />
              <xsl:text>DISABLED.gif</xsl:text>
            </xsl:attribute>
          </img>
        </xsl:if>
        <xsl:if test="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Enable = '1'">
          <img border="0"  onclick="OnCallModule2('g_WebPage','');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\NICSetup\</xsl:text>
              <xsl:value-of select="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Image" />
              <xsl:text>ENABLED.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/PrinterList/Item/@WebPageView" />
            </xsl:attribute>
          </img>
        </xsl:if>
      </td>
    </tr>
  </table>
  <hr color="gray"/>
<form id="list" action="#" style="margin-top:0;">
<table class="pg1" cellpadding="1" cellspacing="1" border="1" width="90%">
<tr>

	<th class="pg1" width="1%" />

<xsl:call-template name="makesortheader">
	<xsl:with-param name="param1"><xsl:value-of select="$sortalg" /></xsl:with-param>
	<xsl:with-param name="param2"><xsl:value-of select="$order" /></xsl:with-param>
	<xsl:with-param name="param3"><xsl:value-of select="$newtext9" /></xsl:with-param>
	<xsl:with-param name="param4">10</xsl:with-param>
	<xsl:with-param name="param5">1</xsl:with-param>
	<xsl:with-param name="param6">5%,7%,11%,7%,9%,10%,12%,8%,12%,14%</xsl:with-param>
</xsl:call-template>
</tr>
<xsl:variable name="newid1" select="concat('attr_pfname', ',', 'attr_pfname')" />
<xsl:variable name="newid2" select="concat($newid1, ',', 'attr_pfname')" />
<xsl:variable name="newid3" select="concat($newid2, ',', 'attr_address')" />
<xsl:variable name="newid4" select="concat($newid3, ',', 'attr_address')" />
<xsl:variable name="newid5" select="concat($newid4, ',', 'attr_address')" />
<xsl:variable name="newid6" select="concat($newid5, ',', 'attr_address')" />
<xsl:variable name="newid7" select="concat($newid6, ',', 'attr_pfname')" />
<xsl:variable name="newid8" select="concat($newid7, ',', 'attr_pfname')" />
<xsl:variable name="newid9" select="concat($newid8, ',', 'attr_pfname')" />
  <xsl:call-template name="makesortitem">
	<xsl:with-param name="param1"><xsl:value-of select="$sortalg" /></xsl:with-param>
	<xsl:with-param name="param2"><xsl:value-of select="$order" /></xsl:with-param>
	<xsl:with-param name="param3"><xsl:value-of select="$newid9" /></xsl:with-param>
	<xsl:with-param name="param4">10</xsl:with-param>
	<xsl:with-param name="param5">1</xsl:with-param>
</xsl:call-template>
</table>
</form>
<xsl:if test="/root/Config/Settings/Item/@CalcTotal != 0">
  <form>
    <table class="pg2" cellpadding="0" cellspacing="0" border="0" width="90%">
      <tr>
        <td width="35%">
          <xsl:call-template name="multipage">
            <xsl:with-param name="param1">
              <xsl:value-of select="/root/Config/Settings/Item/@CalcTotal" />
            </xsl:with-param>
            <xsl:with-param name="param2">g_</xsl:with-param>
          </xsl:call-template>
        </td>
        <td width="65%">
          <xsl:value-of select="/root/Resource/PrinterList/Item/@ViewCount" />:
          <select class="font12" id="ipp" onchange="OnCallModule2('g_ipp',ipp.value);">
            <xsl:apply-templates select="/root/Resource/ItemPerPage/Item">
              <xsl:with-param name="param1">
                <xsl:value-of select="/root/Config/Settings/Item/@ItemPerPage" />
              </xsl:with-param>
            </xsl:apply-templates>
          </select>
        </td>
      </tr>
    </table>
  </form>
</xsl:if>
  <div id="minimenu" style="position:absolute;display:none;">
    <table class="invisible" width="20%">
      <tr>

        <td clase="pg1" >
          <span class="pg6" />
          <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Enable = '0'">
            <img border="0" >
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Image" />
                <xsl:text>DISABLED.gif</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Enable = '1'">
            <img border="0"  onclick="OnCallModule2('g_DiscoveryStart','');" style="cursor:hand;">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_DISCOVERY/Item/@Image" />
                <xsl:text>ENABLED.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Main/Item/@Discovery" />
              </xsl:attribute>
            </img>
          </xsl:if>
        </td>

        <td clase="pg1" >
          <span class="pg6" />
          <xsl:if test="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Enable = '0'">
            <img border="0" >
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Image" />
                <xsl:text>DISABLED.gif</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Enable = '1'">
            <img border="0"  onclick="OnCallModule2('g_EnvView','');" style="cursor:hand;">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_ENV_SETTING/Item/@Image" />
                <xsl:text>ENABLED.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Main/Item/@Environment" />
              </xsl:attribute>
            </img>
          </xsl:if>
        </td>

        <td clase="pg1" >
          <span class="pg6" />
          <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Enable = '0'">
            <img border="0" >
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Image" />
                <xsl:text>DISABLED.gif</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Enable = '1'">
            <img border="0"  onclick="OnCallModule2('g_SettingView','');" style="cursor:hand;">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_SETTING/Item/@Image" />
                <xsl:text>ENABLED.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/PrinterList/Item/@DeviceSetting" />
              </xsl:attribute>
            </img>
          </xsl:if>
        </td>

        <td clase="pg1" >
          <span class="pg6" />
          <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Enable = '0'">
            <img border="0" >
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Image" />
                <xsl:text>DISABLED.gif</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Enable = '1'">
            <img border="0"  onclick="OnCallModule2('g_Reboot','');" style="cursor:hand;">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_PRINTER_RESTART/Item/@Image" />
                <xsl:text>ENABLED.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/PrinterList/Item/@Restart" />
              </xsl:attribute>
            </img>
          </xsl:if>
        </td>
        <td clase="pg1" >
          <span class="pg6" />
          <xsl:if test="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Enable = '0'">
            <img border="0" >
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Image" />
                <xsl:text>DISABLED.gif</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Enable = '1'">
            <img border="0"  onclick="OnCallModule2('g_ChangePassword','');" style="cursor:hand;">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_CHANGE_PW/Item/@Image" />
                <xsl:text>ENABLED.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/PrinterList/Item/@PWChange" />
              </xsl:attribute>
            </img>
          </xsl:if>
        </td>
        <td clase="pg1" >
          <span class="pg6" />
          <xsl:if test="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Enable = '0'">
            <img border="0">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Image" />
                <xsl:text>DISABLED.gif</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Enable = '1'">
            <img border="0"  onclick="OnCallModule2('g_WebPage','');" style="cursor:hand;">
              <xsl:attribute name="src">
                <xsl:text>..\NICSetup\</xsl:text>
                <xsl:value-of select="/root/Config/Menu/IDC_MENU_WEB_PAGE/Item/@Image" />
                <xsl:text>ENABLED.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/PrinterList/Item/@WebPageView" />
              </xsl:attribute>
            </img>
          </xsl:if>
        </td>
      </tr>
    </table>
  </div>
</xsl:template>

<xsl:template match="Config/PrinterList/Item">
<xsl:param name="select" select="'0'" />
<xsl:param name="first" select="0" />
<xsl:param name="last" select="0" />


 <xsl:if test="$select != '0'">
 <xsl:variable name="current" select="position()" />
 <xsl:if test="($current &gt;= $first and $current &lt;= $last) or ($last = 0)">
	<tr>
    <td clase="pg1" ><nobr>
      <input type="radio" name="PrinterSelect">
        <xsl:attribute name="onclick">
          <xsl:text>OnCallMenuModule('NICSetup','g_Select','</xsl:text>
          <xsl:value-of select="@ID" />
          <xsl:text>');</xsl:text>
        </xsl:attribute>
        <xsl:if test="./@ID = ../../Temp/Item/@Select">
          <xsl:attribute name="checked">
            <xsl:text>checked</xsl:text>
          </xsl:attribute>
        </xsl:if>
      </input>
      </nobr>
  </td>
    <td clase="pg1">
      <nobr>
      <xsl:if test="@State = '1'">
        <img border="0">
          <xsl:attribute name="src">
            <xsl:text>..\NICSetup\images\</xsl:text>
            <xsl:value-of select="/root/Resource/PrinterList/Item/@Green" />
          </xsl:attribute>
        </img>
      </xsl:if>
      <xsl:if test="@State = '0'">
        <img border="0">
          <xsl:attribute name="src">
            <xsl:text>..\NICSetup\images\</xsl:text>
            <xsl:value-of select="/root/Resource/PrinterList/Item/@Red" />
          </xsl:attribute>
        </img>
      </xsl:if>
        </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@Name" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@IPMethod" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@IP" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@MAC" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@NetMask" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@DefaultGW" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@NICModule" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@NICVersion" />
      </nobr>
    </td>
    <td clase="pg1" >
      <nobr>
      <xsl:value-of select="@WebPage" />
      </nobr>
    </td>
	</tr>

 </xsl:if>
</xsl:if>
  </xsl:template>
</xsl:stylesheet>
