<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:template match="Resource/SortOrder">
  <xsl:param name="sortalg" select="'0'" />
  <xsl:param name="order" select="'0'" />
  <xsl:param name="text" select="''" />
  <xsl:param name="currentsort" select="'0'" />
  <xsl:if test="$order != '0'">
    <a href="#" class="pg1">
      <xsl:attribute name="onclick">
        <xsl:text>OnCallModule2('g_sort','</xsl:text>
        <xsl:value-of select="$currentsort" />
        <xsl:text>')</xsl:text>
      </xsl:attribute>
      <xsl:value-of select="$text" />
      <xsl:if test="$sortalg = $currentsort">
        <xsl:choose>
          <xsl:when test="$order = 'ASC'">
            <img border="0">
              <xsl:attribute name="src">
                <xsl:text>../NICSetup/images/page_sort.gif</xsl:text>
              </xsl:attribute>
              <!--
			<xsl:attribute name="alt">
				<xsl:value-of select="Item/@Asc" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:value-of select="Item/@Asc" />
			</xsl:attribute>
-->
            </img>
          </xsl:when>
          <xsl:otherwise>
            <img border="0">
              <xsl:attribute name="src">
                <xsl:text>../NICSetup/images/page_sort.gif</xsl:text>
              </xsl:attribute>
              <!--
			<xsl:attribute name="alt">
				<xsl:value-of select="Item/@Dsc" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:value-of select="Item/@Dsc" />
			</xsl:attribute>
-->
            </img>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
    </a>
  </xsl:if>
</xsl:template>

<xsl:template name="makesortheader">
  <xsl:param name="param1" />
  <xsl:param name="param2" />
  <xsl:param name="param3" />
  <xsl:param name="param4" />
  <xsl:param name="param5" />
  <xsl:param name="param6" />
  <xsl:if test="$param4 >= $param5">
    <xsl:variable name="size" select="substring-before($param6, ',')" />
    <th class="pg1">
      <nobr>
      <xsl:if test="string-length($param6) != 0">
        <xsl:choose>
          <xsl:when test="string-length($size) != 0">
            <xsl:attribute name="width">
              <xsl:value-of select="$size" />
            </xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="width">
              <xsl:value-of select="$param6" />
            </xsl:attribute>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
      <xsl:variable name="nextid" select="$param5 + 1" />
      <xsl:variable name="viewtext" select="substring-before($param3, ',')" />
      <xsl:choose>
        <xsl:when test="string-length($viewtext) != 0">
          <xsl:apply-templates select="/root/Resource/SortOrder">
            <xsl:with-param name="sortalg">
              <xsl:value-of select="$param1" />
            </xsl:with-param>
            <xsl:with-param name="order">
              <xsl:value-of select="$param2" />
            </xsl:with-param>
            <xsl:with-param name="text">
              <xsl:value-of select="$viewtext" />
            </xsl:with-param>
            <xsl:with-param name="currentsort">
              <xsl:value-of select="$param5" />
            </xsl:with-param>
          </xsl:apply-templates>
          <xsl:variable name="resttext" select="substring-after($param3, ',')" />
          <xsl:variable name="restsize" select="substring-after($param6, ',')" />
          <xsl:call-template name="makesortheader">
            <xsl:with-param name="param1">
              <xsl:value-of select="$param1" />
            </xsl:with-param>
            <xsl:with-param name="param2">
              <xsl:value-of select="$param2" />
            </xsl:with-param>
            <xsl:with-param name="param3">
              <xsl:value-of select="$resttext" />
            </xsl:with-param>
            <xsl:with-param name="param4">
              <xsl:value-of select="$param4" />
            </xsl:with-param>
            <xsl:with-param name="param5">
              <xsl:value-of select="$nextid" />
            </xsl:with-param>
            <xsl:with-param name="param6">
              <xsl:value-of select="$restsize" />
            </xsl:with-param>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="/root/Resource/SortOrder">
            <xsl:with-param name="sortalg">
              <xsl:value-of select="$param1" />
            </xsl:with-param>
            <xsl:with-param name="order">
              <xsl:value-of select="$param2" />
            </xsl:with-param>
            <xsl:with-param name="text">
              <xsl:value-of select="$param3" />
            </xsl:with-param>
            <xsl:with-param name="currentsort">
              <xsl:value-of select="$param5" />
            </xsl:with-param>
          </xsl:apply-templates>
          <xsl:call-template name="makesortheader">
            <xsl:with-param name="param1">
              <xsl:value-of select="$param1" />
            </xsl:with-param>
            <xsl:with-param name="param2">
              <xsl:value-of select="$param2" />
            </xsl:with-param>
            <xsl:with-param name="param3"></xsl:with-param>
            <xsl:with-param name="param4">
              <xsl:value-of select="$param4" />
            </xsl:with-param>
            <xsl:with-param name="param5">
              <xsl:value-of select="$nextid" />
            </xsl:with-param>
            <xsl:with-param name="param6"></xsl:with-param>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
        </nobr>
    </th>
  </xsl:if>
</xsl:template>

<xsl:template name="makesortitem">
  <xsl:param name="param1" />
  <xsl:param name="param2" />
  <xsl:param name="param3" />
  <xsl:param name="param4" />
  <xsl:param name="param5" />
  <xsl:if test="$param4 >= $param5">
    <xsl:variable name="nextid" select="$param5 + 1" />
    <xsl:variable name="viewtext" select="substring-before($param3, ',')" />
    <xsl:choose>
      <xsl:when test="string-length($viewtext) != 0">
        <xsl:if test="$param1 = $param5">
          <xsl:call-template name="makesortattr">
            <xsl:with-param name="param1">
              <xsl:value-of select="$param2" />
            </xsl:with-param>
            <xsl:with-param name="param2">
              <xsl:value-of select="$viewtext" />
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:variable name="resttext" select="substring-after($param3, ',')" />
        <xsl:call-template name="makesortitem">
          <xsl:with-param name="param1">
            <xsl:value-of select="$param1" />
          </xsl:with-param>
          <xsl:with-param name="param2">
            <xsl:value-of select="$param2" />
          </xsl:with-param>
          <xsl:with-param name="param3">
            <xsl:value-of select="$resttext" />
          </xsl:with-param>
          <xsl:with-param name="param4">
            <xsl:value-of select="$param4" />
          </xsl:with-param>
          <xsl:with-param name="param5">
            <xsl:value-of select="$nextid" />
          </xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="$param1 = $param5">
          <xsl:call-template name="makesortattr">
            <xsl:with-param name="param1">
              <xsl:value-of select="$param2" />
            </xsl:with-param>
            <xsl:with-param name="param2">
              <xsl:value-of select="$param3" />
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="makesortitem">
          <xsl:with-param name="param1">
            <xsl:value-of select="$param1" />
          </xsl:with-param>
          <xsl:with-param name="param2">
            <xsl:value-of select="$param2" />
          </xsl:with-param>
          <xsl:with-param name="param3"></xsl:with-param>
          <xsl:with-param name="param4">
            <xsl:value-of select="$param4" />
          </xsl:with-param>
          <xsl:with-param name="param5">
            <xsl:value-of select="$nextid" />
          </xsl:with-param>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template name="makesortattr">
  <xsl:param name="param1" />
  <xsl:param name="param2" />
  <xsl:variable name="filter" select="/root/Config/Settings/Item/@Filter" />
  <xsl:variable name="perpage" select="/root/Config/Settings/Item/@ItemPerPage" />
  <xsl:variable name="current" select="/root/Config/Settings/Item/@CurrentPage" />
  <xsl:variable name="last" select="$current * $perpage" />
  <xsl:variable name="first" select="$last - $perpage + 1" />
  <xsl:choose>
    <xsl:when test="$param2 = 'attr_id'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:apply-templates select="Item">
            <xsl:sort select="@SubId" data-type="text" order="ascending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="Item">
            <xsl:sort select="@SubId" data-type="text" order="descending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>

    <xsl:when test="$param2 = 'attr_name'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Name" data-type="text" order="ascending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                  <xsl:sort select="@Name" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter)]">
                  <xsl:sort select="@Name" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Name" data-type="text" order="descending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                  <xsl:sort select="@Name" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode != '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter)]">
                  <xsl:sort select="@Name" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>

    <xsl:when test="$param2 = 'attr_alias'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Alias" data-type="text" order="ascending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                <xsl:sort select="@Alias" data-type="text" order="ascending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Alias" data-type="text" order="descending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                <xsl:sort select="@Alias" data-type="text" order="descending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>

    <xsl:when test="$param2 = 'attr_address'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Address" data-type="text" order="ascending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                  <xsl:sort select="@Address" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '0'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter)]">
                  <xsl:sort select="@Address" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Address" data-type="text" order="descending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                  <xsl:sort select="@Address" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '0'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter)]">
                  <xsl:sort select="@Address" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:when test="$param2 = 'attr_number'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Number" data-type="text" order="ascending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                  <xsl:sort select="@Number" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '0'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter)]">
                  <xsl:sort select="@Number" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item">
                <xsl:sort select="@Number" data-type="text" order="descending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter)]">
                  <xsl:sort select="@Number" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '0'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter)]">
                  <xsl:sort select="@Number" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:when test="$param2 = 'attr_print'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:apply-templates select="Item">
            <xsl:sort select="@Print" data-type="text" order="ascending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="Item">
            <xsl:sort select="@Print" data-type="text" order="descending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>

    <xsl:when test="$param2 = 'attr_pfname'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:apply-templates select="Item">
            <xsl:sort select="@Name" data-type="text" order="ascending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="Item">
            <xsl:sort select="@Name" data-type="text" order="descending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:when test="$param2 = 'attr_prot'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:apply-templates select="Item">
            <xsl:sort select="@IPMethod" data-type="text" order="ascending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="Item">
            <xsl:sort select="@IPMethod" data-type="text" order="descending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:when test="$param2 = 'attr_url'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:apply-templates select="Item">
            <xsl:sort select="@IP" data-type="text" order="ascending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="Item">
            <xsl:sort select="@IP" data-type="text" order="descending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:when test="$param2 = 'attr_name2'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:apply-templates select="../PinLocalList/Item">
            <xsl:sort select="@Name" data-type="text" order="ascending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="../PinLocalList/Item">
            <xsl:sort select="@Name" data-type="text" order="descending" />
            <xsl:with-param name="select">1</xsl:with-param>
            <xsl:with-param name="first">
              <xsl:value-of select="$first" />
            </xsl:with-param>
            <xsl:with-param name="last">
              <xsl:value-of select="$last" />
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>

    <xsl:when test="$param2 = 'attr_address2'">
      <xsl:choose>
        <xsl:when test="$param1 = 'ASC'">
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item[(@Kind = 0) and contains(@Group, /root/Config/Settings/Item/@EditItem)]">
                <xsl:sort select="@Address" data-type="text" order="ascending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter) and (@Kind = 0) and contains(@Group, /root/Config/Settings/Item/@EditItem)]">
                  <xsl:sort select="@Address" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '0'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter) and (@Kind = 0) and contains(@Group, /root/Config/Settings/Item/@EditItem)]">
                  <xsl:sort select="@Address" data-type="text" order="ascending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="string-length($filter) = 0 or $filter = 'ALL'">
              <xsl:apply-templates select="Item[(@Kind = 0) and contains(@Group, /root/Config/Settings/Item/@EditItem)]">
                <xsl:sort select="@Address" data-type="text" order="descending" />
                <xsl:with-param name="select">1</xsl:with-param>
                <xsl:with-param name="first">
                  <xsl:value-of select="$first" />
                </xsl:with-param>
                <xsl:with-param name="last">
                  <xsl:value-of select="$last" />
                </xsl:with-param>
              </xsl:apply-templates>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '1'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Alias),$filter) and (@Kind = 0) and contains(@Group, /root/Config/Settings/Item/@EditItem)]">
                  <xsl:sort select="@Address" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
              <xsl:if test="/root/Config/DeviceSettings/Item/@LocalCode = '0'">
                <xsl:apply-templates select="Item[starts-with(normalize-space(@Name),$filter) and (@Kind = 0) and contains(@Group, /root/Config/Settings/Item/@EditItem)]">
                  <xsl:sort select="@Address" data-type="text" order="descending" />
                  <xsl:with-param name="select">1</xsl:with-param>
                  <xsl:with-param name="first">
                    <xsl:value-of select="$first" />
                  </xsl:with-param>
                  <xsl:with-param name="last">
                    <xsl:value-of select="$last" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>