<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"  />
    <xsl:template match="root">
        <div class="contentF">
            <xsl:variable  name="status" select="DeviceInfoConfig/DeviceInfo/Item/@STOPSTATUS"/>
            <xsl:variable  name="port" select="DeviceInfoConfig/DeviceInfo/Item/@PORT"/>
            <xsl:variable  name="connect" select="DeviceInfoConfig/DeviceInfo/Item/@CONNECT"/>
            <br/>
            <table cellpadding="0" cellspacing="0"  width="610px">
                <tr>
                    <td width ="290" valign="top">
	            		<div class="deviceinfohead">
		                    <h2>
		                        <xsl:value-of select="Resource/Message/Item/@Console"/>
		                    </h2>
	                    </div>                    	
		                <xsl:choose>
		                	<xsl:when test="$port='IP' and $connect ='false'">
		                		<div class="deftable">
				                    <table border ="1px">
				                        <tr height="80px">
				                            <td width="290px"><xsl:value-of select="Resource/Message/Item/@ConnectEr" disable-output-escaping="yes"/></td>
				                        </tr>
				                    </table>
				                </div>
		                	</xsl:when>
		                	<xsl:when test="$port='IP' and $connect='true'">
			                    <div class="deftable">
				                    <table border ="1px">
				                        <tr height="80px">
				                            <td width="290px"><xsl:value-of select="DeviceInfoConfig/DeviceInfo/Item/@STOPSTATUS" disable-output-escaping="yes"/></td>
				                        </tr>
				                    </table>
				                </div>
		                	</xsl:when>
		                	<xsl:when test="$port='LPT' and $connect='true'">
		                		<div class="deftableP">
				                    <table border ="1px">
				                        <tr height="80px">
				                            <td width="290px"><xsl:value-of select="Resource/Message/Item/@LPTConnect" disable-output-escaping="yes"/></td>
				                        </tr>
				                    </table>
				                </div>
		                	</xsl:when>
		                	<xsl:when test="$port='USB' and $connect='true'">
			                    <div class="deftableP">
				                    <table border ="1px">
				                        <tr height="80px">
				                            <td width="290px"><xsl:value-of select="Resource/Message/Item/@USBConnect" disable-output-escaping="yes"/></td>
				                        </tr>
				                    </table>
				                </div>
		                	</xsl:when>
		                	<xsl:otherwise>
				        		<div class="deftableP">
				                    <table border ="1px">
				                        <tr height="80px">
				                            <td width="290px"><xsl:value-of select="Resource/Message/Item/@NotConnect" disable-output-escaping="yes"/></td>
				                        </tr>
				                    </table>
				                </div>
		                	</xsl:otherwise>
		                </xsl:choose>
		                <div align="center">
	            			<button class="size280" onClick="javascript:OnCallModule('core_update_loadmodule','1');">
		                        <xsl:value-of select="Resource/DeviceInfo/Item/@Reload"/>
		                    </button>
	                    </div>
	                    <xsl:variable  name="getInfo" select="MstConfig/Information/Item/@getInfo"/>
	                    <div class="deviceinfocheck">
			                <xsl:choose>
		                		<xsl:when test="$getInfo='true'">
		                			<input type="checkbox" name="infocheck" id="infocheck" checked="" OnClick="OnCallModule2('getInfoCheck','')"><label for="infocheck"><xsl:value-of select="Resource/Message/Item/@GetInfoCheck"/></label></input>
		                		</xsl:when>
		                		<xsl:otherwise>
		                			<input type="checkbox" name="infocheck" id="infocheck" OnClick="OnCallModule2('getInfoCheck','')"><label for="infocheck"><xsl:value-of select="Resource/Message/Item/@GetInfoCheck"/></label></input>
		                		</xsl:otherwise>
		                	</xsl:choose>
		                </div>
		                
         				<xsl:variable  name="Key" select="MstConfig/Information/Item/@SelectPrinterKey"/>
         				<xsl:variable  name="ChacheKey" select="PrinterInfo/SelectDevice/Item/@Key"/>
         				<xsl:choose>
         					<xsl:when test="$Key and $ChacheKey and $Key=$ChacheKey"><!--キャッシュ有-->
         						<xsl:variable  name="ipv4" select="PrinterInfo/SelectDevice/Item/@IPV4"/>
	         					<xsl:variable  name="subnet" select="PrinterInfo/SelectDevice/Item/@SUBNET"/>
		                    	<xsl:variable  name="gateway" select="PrinterInfo/SelectDevice/Item/@GATEWAY"/>
		                    	<xsl:variable  name="ipv6local" select="PrinterInfo/SelectDevice/Item/@IPV6LOCAL"/>
								<xsl:variable  name="ipv6global" select="PrinterInfo/SelectDevice/Item/@IPV6GLOBAL"/>
                <xsl:variable  name="ipv6stateful" select="PrinterInfo/SelectDevice/Item/@IPV6STATEFUL"/>
								<xsl:variable  name="macaddress" select="PrinterInfo/SelectDevice/Item/@MACADDRESS"/>
		                    	<xsl:variable  name="serialNo" select="PrinterInfo/SelectDevice/Item/@SERIALNO"/>
		                    	<xsl:variable  name="assetNo" select="PrinterInfo/SelectDevice/Item/@ASSETNO"/>
								<xsl:variable  name="rotNo" select="PrinterInfo/SelectDevice/Item/@ROTNO"/>
				                <xsl:variable  name="cuVersion" select="PrinterInfo/SelectDevice/Item/@CUVERSION"/>						
				                <xsl:variable  name="puVersion" select="PrinterInfo/SelectDevice/Item/@PUVERSION"/>
								<xsl:variable  name="panelVersion" select="PrinterInfo/SelectDevice/Item/@PANELVERSION"/>
				                <xsl:variable  name="sipVersion" select="PrinterInfo/SelectDevice/Item/@SIPVERSION"/>
				                <xsl:variable  name="scVersion" select="PrinterInfo/SelectDevice/Item/@SCANNERVERSION"/>
				                <xsl:variable  name="nicVersion" select="PrinterInfo/SelectDevice/Item/@NICVERSION"/>
				                <xsl:variable  name="mSize" select="PrinterInfo/SelectDevice/Item/@MEMORYSIZE"/>
				                <xsl:variable  name="fSize" select="PrinterInfo/SelectDevice/Item/@FLASHSIZE"/>
				                <xsl:if test="$ipv4 and $subnet and $gateway and $ipv6local and $ipv6global and $ipv6stateful and $macaddress and $serialNo and $rotNo and $cuVersion and $cuVersion and $puVersion and $panelVersion and $sipVersion and $scVersion and $nicVersion and $mSize and $fSize">
	         						<div class="deviceinfoheads">
					                    <h2>
					                        <xsl:value-of select="Resource/DeviceInfo/Item/@Title"/><!--デバイス情報-->
					                    </h2>
					                </div>
					                <div class="deviceinfohead">
					                    <h2>
					                        <xsl:value-of select="Resource/Message/Item/@Device"/>
					                    </h2>
					                </div>
				                    <div class="deftable">
					                    <table cellpadding="0" cellspacing="0" width="290">
					                        <tr>
					                            <!--<td width="100px"><xsl:value-of select="MstResource/String/Item/@DeviceNameR"/></td>-->
					                            <td width="140px">
					                            	<a href="#">
														<xsl:attribute name="onClick">
															<xsl:text>OnCallModule2('DeviceNameChange','');</xsl:text>
														</xsl:attribute>
														<xsl:value-of select="MstResource/String/Item/@DeviceNameR"/>
													</a>
												</td>
					                            <td width="150px"><xsl:value-of select="MstConfig/Information/Item/@Printer"/></td>
					                        </tr>
					                        <tr>
					                            <td ><xsl:value-of select="MstResource/String/Item/@DeviceName"/></td>
					                            <td ><xsl:value-of select="MstConfig/Information/Item/@ModelName"/></td>
					                        </tr>
					                        <xsl:if test="$port!='IP'">
				                        		<tr>
			                            			<td><xsl:value-of select="MstResource/String/Item/@PortName"/></td>
			                            			<td><xsl:value-of select="MstConfig/Information/Item/@Port"/></td>
			                            		</tr>
			                            	</xsl:if>					                    
						                    <xsl:choose>
						                    	<xsl:when test="$ipv4!='&quot;?&quot;' and $ipv4!=''">
						                    		<tr>
					                            		<td><xsl:value-of select="Resource/DeviceInfo/Item/@NtIP"/></td>
							                            <td><xsl:value-of select="PrinterInfo/SelectDevice/Item/@IPV4"/></td>
							                        </tr>
						                    	</xsl:when>
						                    	<xsl:otherwise>
						                    		<xsl:if test="$port='IP'">
							                    		<tr>
					                            			<td><xsl:value-of select="Resource/DeviceInfo/Item/@NtIP"/></td>
							                        	    <td><xsl:value-of select="MstConfig/Information/Item/@Port"/></td>
							                        	</tr>
							                        </xsl:if>
						                    	</xsl:otherwise>
						                    </xsl:choose>
					                        <xsl:if test="$subnet!='&quot;?&quot;' and $subnet!=''">
						                        <tr>
						                            <td><xsl:value-of select="Resource/DeviceInfo/Item/@NtSubnet"/></td>
						                            <td><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SUBNET"/></td>
						                        </tr>
					                        </xsl:if>
					                        <xsl:if test="$gateway!='&quot;?&quot;' and $gateway!=''">
						                        <tr>
						                            <td><xsl:value-of select="Resource/DeviceInfo/Item/@NtGateway"/></td>
						                            <td><xsl:value-of select="PrinterInfo/SelectDevice/Item/@GATEWAY"/></td>
						                        </tr>
						                    </xsl:if>
						                    <xsl:if test="$ipv6local!='&quot;?&quot;' and $ipv6local!=''">
						                        <tr>
						                            <td colspan="2"><div><xsl:value-of select="Resource/DeviceInfo/Item/@NtIPv6Local"/></div><div align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@IPV6LOCAL"/></div></td>
						                        </tr>
					                        </xsl:if>
					                        <xsl:if test="$ipv6global!='&quot;?&quot;' and $ipv6global!=''">
						                        <tr>
						                            <td colspan="2"><div><xsl:value-of select="Resource/DeviceInfo/Item/@NtIPv6Global"/></div><div align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@IPV6GLOBAL"/></div></td>
						                        </tr>
						                    </xsl:if>
                                <xsl:if test="$ipv6stateful!='&quot;?&quot;' and $ipv6stateful!=''">
                                  <tr>
                                    <td colspan="2"><div><xsl:value-of select="Resource/DeviceInfo/Item/@NtIPv6Stateful"/></div><div align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@IPV6STATEFUL"/></div></td>
                                  </tr>
                                </xsl:if>
						                    <xsl:choose>
						                    	<xsl:when test="$port='IP'">
							                    	<tr>
							                            <td><xsl:value-of select="MstResource/String/Item/@MacAddress"/></td>
							                            <td><xsl:value-of select="MstConfig/Information/Item/@Mac"/></td>
							                        </tr>
							                        <tr>
							                            <td><xsl:value-of select="MstResource/String/Item/@NICName"/></td>
							                            <td><xsl:value-of select="MstConfig/Information/Item/@NIC"/></td>
							                        </tr>				                    	
						                    	</xsl:when>
						                    	<xsl:otherwise>
						                    		<xsl:if test="$macaddress!='&quot;?&quot;' and $macaddress!=''">
								                        <tr>
								                            <td><xsl:value-of select="MstResource/String/Item/@MacAddress"/></td>
								                            <td><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MACADDRESS"/></td>
								                        </tr>
								                    </xsl:if>
						                    	</xsl:otherwise>
						                    </xsl:choose>
					                    </table>
				                    </div>
				                    <xsl:if test="($serialNo!='&quot;?&quot;' and $serialNo!='') or ($assetNo!='&quot;?&quot;' and $assetNo!='') or 
			                					($rotNo!='&quot;?&quot;' and $rotNo!='') or ($cuVersion!='&quot;?&quot;' and $cuVersion!='') or
			                					($puVersion!='&quot;?&quot;' and $puVersion!='') or ($panelVersion!='&quot;?&quot;' and $panelVersion!='') or 
												($sipVersion!='&quot;?&quot;' and $sipVersion!='') or
			                					($scVersion!='&quot;?&quot;' and $scVersion!='') or ($nicVersion!='&quot;?&quot;' and $nicVersion!='') or
			                					($mSize!='&quot;?&quot;' and $mSize!='') or ($fSize!='&quot;?&quot;' and $fSize!='')">
					                    <div class="deviceinfohead">
						                    <h2>
						                        <xsl:value-of select="Resource/DeviceInfo/Item/@System"/><!--システム情報-->
						                    </h2>
						                </div>
					                    <div class="deftable">
						                    <table cellpadding="0" cellspacing="0">	
						                        <tr>
													<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiSerial"/></td>
													<td width="150px">
														<xsl:if test="$serialNo!='&quot;?&quot;'">
															<xsl:value-of select="PrinterInfo/SelectDevice/Item/@SERIALNO"/>
														</xsl:if>
														<xsl:if test="$serialNo='&quot;?&quot;'">
														</xsl:if>
													</td>
						                        </tr>
						                        <tr>
													<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiManage"/></td>
													<td width="150px">
														<xsl:if test="$assetNo!='&quot;?&quot;'">
															<xsl:value-of select="PrinterInfo/SelectDevice/Item/@ASSETNO"/>
														</xsl:if>
														<xsl:if test="$assetNo='&quot;?&quot;'">
														</xsl:if>
													</td>
						                        </tr>
						                        <tr>
													<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiLot"/></td>
													<td width="150px">
														<xsl:if test="$rotNo!='&quot;?&quot;'">
															<xsl:value-of select="PrinterInfo/SelectDevice/Item/@ROTNO"/>
														</xsl:if>
														<xsl:if test="$rotNo='&quot;?&quot;'">
														</xsl:if>
													</td>
						                        </tr>
						                        <tr>
													<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiCUVer"/></td>
													<td width="150px">
														<xsl:if test="$cuVersion!='&quot;?&quot;'">
															<xsl:value-of select="PrinterInfo/SelectDevice/Item/@CUVERSION"/>
														</xsl:if>
														<xsl:if test="$cuVersion='&quot;?&quot;'">
														</xsl:if>
													</td>
						                        </tr>
						                        <tr>
													<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiPUVer"/></td>
													<td width="150px">
														<xsl:if test="$puVersion!='&quot;?&quot;'">
															<xsl:value-of select="PrinterInfo/SelectDevice/Item/@PUVERSION"/>
														</xsl:if>
														<xsl:if test="$puVersion='&quot;?&quot;'">
														</xsl:if>
													</td>
						                        </tr>
												<tr>
													<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiPanelVer"/></td>
													<td width="150px">
														<xsl:if test="$panelVersion!='&quot;?&quot;'">
															<xsl:value-of select="PrinterInfo/SelectDevice/Item/@PANELVERSION"/>
														</xsl:if>
														<xsl:if test="$panelVersion='&quot;?&quot;'">
														</xsl:if>
													</td>
						                        </tr>
						                        <xsl:if test="$sipVersion!='&quot;?&quot;' and $sipVersion!=''">
							                        <tr>
														<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiSIPVer"/></td>
														<td width="150px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SIPVERSION"/></td>
							                        </tr>
							                    </xsl:if>
							                    <xsl:if test="$scVersion!='&quot;?&quot;' and $scVersion!=''">
							                        <tr>
														<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiScanVer"/></td>
														<td width="150px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SCANNERVERSION"/></td>
							                        </tr>
						                        </xsl:if>
						                        <xsl:if test="$nicVersion!='&quot;?&quot;' and $nicVersion!=''">
							                        <tr>
														<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@NtNIC"/></td>
														<td width="150px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@NICVERSION"/></td>
							                        </tr>
						                        </xsl:if>
						                        <xsl:if test="$mSize!='&quot;?&quot;' and $mSize!=''">
							                        <tr>
														<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiMemory"/></td>
														<td width="150px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MEMORYSIZE"/> MB</td>
							                        </tr>
						                        </xsl:if>
						                        <xsl:if test="$fSize!='&quot;?&quot;' and $fSize!=''">
							                        <tr>
														<td width="140px"><xsl:value-of select="Resource/DeviceInfo/Item/@SiFlush"/></td>
														<td width="150px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@FLASHSIZE"/> MB</td>
							                        </tr>
						                        </xsl:if>
						                    </table>
					                    </div>
				                    </xsl:if>
				                </xsl:if>                	                    
         					</xsl:when>
         					<xsl:otherwise><!--キャッシュなし-->
				                <div class="deviceinfohead">
				                    <h2>
				                        <xsl:value-of select="Resource/Message/Item/@Device"/>
				                    </h2>
				                </div>
			                    <div class="deftable">
				                    <table cellpadding="0" cellspacing="0" width="290">
				                        <tr>
				                            <!--<td width="100px"><xsl:value-of select="MstResource/String/Item/@DeviceNameR"/></td>-->
				                            <td width="140px">
				                            	<a href="#">
													<xsl:attribute name="onClick">
														<xsl:text>OnCallModule('DeviceNameChange','');</xsl:text>
													</xsl:attribute>
													<xsl:value-of select="MstResource/String/Item/@DeviceNameR"/>
												</a>
											</td>
				                            <td width="150px"><xsl:value-of select="MstConfig/Information/Item/@Printer"/></td>
				                        </tr>
				                        <tr>
				                            <td ><xsl:value-of select="MstResource/String/Item/@DeviceName"/></td>
				                            <td ><xsl:value-of select="MstConfig/Information/Item/@ModelName"/></td>
				                        </tr>
				                        <xsl:choose>
				            				<xsl:when test="$port='IP'">
				                        		<tr>
				                            		<td><xsl:value-of select="Resource/DeviceInfo/Item/@NtIP"/></td>
						                            <td><xsl:value-of select="MstConfig/Information/Item/@Port"/></td>
						                        </tr>
						                        <tr>
						                            <td><xsl:value-of select="MstResource/String/Item/@MacAddress"/></td>
						                            <td><xsl:value-of select="MstConfig/Information/Item/@Mac"/></td>
						                        </tr>
						                        <tr>
						                            <td><xsl:value-of select="MstResource/String/Item/@NICName"/></td>
						                            <td><xsl:value-of select="MstConfig/Information/Item/@NIC"/></td>
						                        </tr>
			                            	</xsl:when>
			                            	<xsl:otherwise>
			                            		<tr>
			                            			<td><xsl:value-of select="MstResource/String/Item/@PortName"/></td>
			                            			<td><xsl:value-of select="MstConfig/Information/Item/@Port"/></td>
			                            		</tr>
			                            	</xsl:otherwise>
			                            </xsl:choose>
				                    </table>
			                    </div>
         				　　　 </xsl:otherwise>
         				</xsl:choose>
                    </td>
                    <td width ="290" valign="top">
                    	<xsl:variable  name="black" select="PrinterInfo/SelectDevice/Item/@BLACKTONER"/>
                    	<xsl:variable  name="cyan" select="PrinterInfo/SelectDevice/Item/@CYANTONER"/>
                    	<xsl:variable  name="magenta" select="PrinterInfo/SelectDevice/Item/@MAGENTATONER"/>
                    	<xsl:variable  name="yellow" select="PrinterInfo/SelectDevice/Item/@YELLOWTONER"/>
                      <xsl:variable  name="white" select="PrinterInfo/SelectDevice/Item/@WHITETONER"/>
                      <xsl:variable  name="gloss" select="PrinterInfo/SelectDevice/Item/@GLOSSTONER"/>
						          <xsl:variable  name="kdrum" select="PrinterInfo/SelectDevice/Item/@BLACKDRUM"/>
		                  <xsl:variable  name="cdrum" select="PrinterInfo/SelectDevice/Item/@CYANDRUM"/>						
		                  <xsl:variable  name="mdrum" select="PrinterInfo/SelectDevice/Item/@MAGENTADRUM"/>
		                  <xsl:variable  name="ydrum" select="PrinterInfo/SelectDevice/Item/@YELLOWDRUM"/>
                      <xsl:variable  name="wdrum" select="PrinterInfo/SelectDevice/Item/@WHITEDRUM"/>
                      <xsl:variable  name="gdrum" select="PrinterInfo/SelectDevice/Item/@GLOSSDRUM"/>
		                  <xsl:variable  name="belt" select="PrinterInfo/SelectDevice/Item/@BELT"/>
		                  <xsl:variable  name="fuser" select="PrinterInfo/SelectDevice/Item/@FUSER"/>
		                  <xsl:variable  name="ksize" select="PrinterInfo/SelectDevice/Item/@BLACKTONERSIZE" />
		                  <xsl:variable  name="csize" select="PrinterInfo/SelectDevice/Item/@CYANTONERSIZE" />
		                  <xsl:variable  name="msize" select="PrinterInfo/SelectDevice/Item/@MAGENTATONERSIZE" />
						          <xsl:variable  name="ysize" select="PrinterInfo/SelectDevice/Item/@YELLOWTONERSIZE" />
                      <xsl:variable  name="wsize" select="PrinterInfo/SelectDevice/Item/@WHITETONERSIZE" />
                      <xsl:variable  name="gsize" select="PrinterInfo/SelectDevice/Item/@GLOSSTONERSIZE" />
						          <xsl:variable  name="tonertype" select="PrinterInfo/SelectDevice/Item/@TONERTYPE"/>
		                  <xsl:if test="$black and $cyan and $magenta and $yellow and $white and $gloss and $kdrum and $cdrum and $mdrum and $ydrum and $wdrum and $gdrum and $belt and $fuser and $ksize and $csize and $msize and $ysize and $wsize and $gsize">
		                	<xsl:if test="($black!='&quot;?&quot;' and $black!='') or ($cyan!='&quot;?&quot;' and $cyan!='') or 
		                					      ($magenta!='&quot;?&quot;' and $magenta!='') or ($yellow!='&quot;?&quot;' and $yellow!='') or ($white!='&quot;?&quot;' and $white!='') or ($gloss!='&quot;?&quot;' and $gloss!='') or
		                					      ($kdrum!='&quot;?&quot;' and $kdrum!='') or ($cdrum!='&quot;?&quot;' and $cdrum!='') or 
		                					      ($mdrum!='&quot;?&quot;' and $mdrum!='') or ($ydrum!='&quot;?&quot;' and $ydrum!='') or ($wdrum!='&quot;?&quot;' and $wdrum!='') or ($gdrum!='&quot;?&quot;' and $gdrum!='') or
		                					      ($belt!='&quot;?&quot;' and $belt!='') or ($fuser!='&quot;?&quot;' and $fuser!='') or
		                					      ($tonertype!='&quot;?&quot;' and $tonertype!='')">
			                    <div class="deviceinfoheads">
				                    <h2>
				                        <xsl:value-of select="Resource/DeviceInfo/Item/@Supply"/><!--消耗品情報-->
				                    </h2>
				                </div>
				                <xsl:if test="($black!='&quot;?&quot;' and $black!='') or ($cyan!='&quot;?&quot;' and $cyan!='') or ($magenta!='&quot;?&quot;' and $magenta!='') or ($yellow!='&quot;?&quot;' and $yellow!='') or ($white!='&quot;?&quot;' and $white!='') or ($gloss!='&quot;?&quot;' and $gloss!='')">
					                <div class="deviceinfohead">
					                    <h2>
					                        <xsl:value-of select="Resource/DeviceInfo/Item/@SrToner"/><!--消耗品情報(トナー)-->
					                    </h2>
					                </div>
				                    <div class="deftable">
					                    <table cellpadding="0" cellspacing="0">
					                    	<xsl:if test="$black!='&quot;?&quot;' and $black!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    				<tr>                     	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@EPKToner" /><xsl:if test="$ksize!='&quot;?&quot;' and $ksize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@BLACKTONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$black}%" height="10" src="images/blackbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@BLACKTONER" />%</td>					                        			
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:when>
								                    <xsl:otherwise>
								                    	<tr>		                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrKToner" /><xsl:if test="$ksize!='&quot;?&quot;' and $ksize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@BLACKTONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$black}%" height="10" src="images/blackbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@BLACKTONER" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>
											
					                    	<xsl:if test="$cyan!='&quot;?&quot;' and $cyan!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    				<tr>                     	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@EPCToner" /><xsl:if test="$csize!='&quot;?&quot;' and $csize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@CYANTONERSIZE" />K)</xsl:if></td>
															<td width="170px">
															<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$cyan}%" height="10" src="images/cyanbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@CYANTONER" />%</td>					                        			
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:when>
								                    <xsl:otherwise>
								                    	<tr>		                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrCToner" /><xsl:if test="$csize!='&quot;?&quot;' and $csize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@CYANTONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$cyan}%" height="10" src="images/cyanbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@CYANTONER" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>	

					                    	<xsl:if test="$magenta!='&quot;?&quot;' and $magenta!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    				<tr>                     	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@EPMToner" /><xsl:if test="$msize!='&quot;?&quot;' and $msize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@MAGENTATONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$magenta}%" height="10" src="images/magentabar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MAGENTATONER" />%</td>					                        			
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:when>
								                    <xsl:otherwise>
								                    	<tr>		                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrMToner" /><xsl:if test="$msize!='&quot;?&quot;' and $msize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@MAGENTATONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$magenta}%" height="10" src="images/magentabar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MAGENTATONER" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>	
					                    	<xsl:if test="$yellow!='&quot;?&quot;' and $yellow!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    				<tr>                     	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@EPYToner" /><xsl:if test="$ysize!='&quot;?&quot;' and $ysize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@YELLOWTONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$yellow}%" height="10" src="images/yellowbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@YELLOWTONER" />%</td>					                        			
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:when>
								                    <xsl:otherwise>
								                    	<tr>		                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrYToner" /><xsl:if test="$ysize!='&quot;?&quot;' and $ysize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@YELLOWTONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$yellow}%" height="10" src="images/yellowbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@YELLOWTONER" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>	
					                    	<xsl:if test="$white!='&quot;?&quot;' and $white!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    				<tr>                     	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@EPWToner" /><xsl:if test="$wsize!='&quot;?&quot;' and $wsize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@WHITETONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$white}%" height="10" src="images/whitebar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@WHITETONER" />%</td>					                        			
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:when>
								                    <xsl:otherwise>
								                    	<tr>		                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrWToner" /><xsl:if test="$wsize!='&quot;?&quot;' and $wsize!=''">(<xsl:value-of select="PrinterInfo/SelectDevice/Item/@WHITETONERSIZE" />K)</xsl:if></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$white}%" height="10" src="images/whitebar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@WHITETONER" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>											
															
                                <xsl:if test="$gloss!='&quot;?&quot;' and $gloss!=''">
                                  <tr>
                                    <td width="120px">
                                      <xsl:value-of select="Resource/DeviceInfo/Item/@SrGToner" />
                                      <xsl:if test="$gsize!='&quot;?&quot;' and $gsize!=''">
                                        (<xsl:value-of select="PrinterInfo/SelectDevice/Item/@GLOSSTONERSIZE" />K)
                                      </xsl:if>
                                    </td>
                                    <td width="170px">
                                      <table class="ab" width="97%">
                                        <tr>
                                          <td class="ab">
                                            <table class="sb" width="130px" border="0" cellpadding="0">
                                              <tr>
                                                <td class="sb">
                                                  <IMG width="{$gloss}%" height="10" src="images/glossbar.gif"></IMG>
                                                </td>
                                              </tr>
                                            </table>
                                          </td>
                                          <td class="ab" align="right">
                                            <xsl:value-of select="PrinterInfo/SelectDevice/Item/@GLOSSTONER" />%
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </xsl:if>

                              </table>
					                </div>
					            </xsl:if>
					            
					            <xsl:if test="($kdrum!='&quot;?&quot;' and $kdrum!='') or ($cdrum!='&quot;?&quot;' and $cdrum!='') or ($mdrum!='&quot;?&quot;' and $mdrum!='') or ($ydrum!='&quot;?&quot;' and $ydrum!='') or ($wdrum!='&quot;?&quot;' and $wdrum!='') or ($gdrum!='&quot;?&quot;' and $gdrum!='') or ($belt!='&quot;?&quot;' and $belt!='') or ($fuser!='&quot;?&quot;' and $fuser!='')">
					                <div class="deviceinfohead">
					                    <h2>
					                    	<xsl:choose>
					                    		<xsl:when test="$tonertype='COMBINATION'">
							                    	<xsl:if test="($cdrum!='&quot;?&quot;' and $cdrum!='') or ($mdrum!='&quot;?&quot;' and $mdrum!='') or ($ydrum!='&quot;?&quot;' and $ydrum!='') or ($wdrum!='&quot;?&quot;' and $wdrum!='') or ($gdrum!='&quot;?&quot;' and $gdrum!='') or ($belt!='&quot;?&quot;' and $belt!='') or ($fuser!='&quot;?&quot;' and $fuser!='')">
							                       		<xsl:value-of select="Resource/DeviceInfo/Item/@StEtc"/><!--他-->
							                       	</xsl:if>					                    		
							                    </xsl:when>
							                    <xsl:otherwise>
							                    	<xsl:value-of select="Resource/DeviceInfo/Item/@SrDrums"/><!--ドラム、他-->
							                    </xsl:otherwise>
					                    	</xsl:choose>
					                    	<!--
						                    <xsl:if test="$tonertype!='COMBINATION'">
						                       <xsl:value-of select="Resource/DeviceInfo/Item/@SrDrums"/><!ドラム、他>
						                    </xsl:if>
						                    <xsl:if test="$tonertype='COMBINATION'"> 
						                    	<xsl:if test="($cdrum!='&quot;?&quot;' and $cdrum!='') or ($mdrum!='&quot;?&quot;' and $mdrum!='') or ($ydrum!='&quot;?&quot;' and $ydrum!='') or ($belt!='&quot;?&quot;' and $belt!='') or ($fuser!='&quot;?&quot;' and $fuser!='')">
						                       		<xsl:value-of select="Resource/DeviceInfo/Item/@StEtc"/><!他->
						                       	</xsl:if>
						                    </xsl:if>
						                    -->					                    
					                    </h2>
					                </div>
					                <div class="deftable">
					                    <table cellpadding="0" cellspacing="0">
					                    	<xsl:if test="$kdrum!='&quot;?&quot;' and $kdrum!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    			</xsl:when>
													<xsl:otherwise>					                    		
								                        <tr>					                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrKDrum" /></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$kdrum}%" height="10" src="images/blackbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@BLACKDRUM" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>
											
					                    	<xsl:if test="$cdrum!='&quot;?&quot;' and $cdrum!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    			</xsl:when>
													<xsl:otherwise>					                    		
								                        <tr>					                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrCDrum" /></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$cdrum}%" height="10" src="images/cyanbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@CYANDRUM" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>		

					                    	<xsl:if test="$mdrum!='&quot;?&quot;' and $mdrum!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    			</xsl:when>
													<xsl:otherwise>					                    		
								                        <tr>					                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrMDrum" /></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$mdrum}%" height="10" src="images/magentabar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MAGENTADRUM" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>		
					                    	<xsl:if test="$ydrum!='&quot;?&quot;' and $ydrum!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    			</xsl:when>
													<xsl:otherwise>					                    		
								                        <tr>					                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrYDrum" /></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$ydrum}%" height="10" src="images/yellowbar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@YELLOWDRUM" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>	
					                    	<xsl:if test="$wdrum!='&quot;?&quot;' and $wdrum!=''">
					                    		<xsl:choose>
					                    			<xsl:when test="$tonertype='COMBINATION'">
					                    			</xsl:when>
													<xsl:otherwise>					                    		
								                        <tr>					                        	
															<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrWDrum" /></td>
															<td width="170px">
								                        	<table class="ab" width="97%">
								                        		<tr>
								                        			<td class="ab">
								                        				<table class="sb" width="130px" border="0" cellpadding="0">
																			<tr><td class="sb"><IMG width="{$wdrum}%" height="10" src="images/whitebar.gif"></IMG></td></tr>
																		</table>
																	</td>
								                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@WHITEDRUM" />%</td>
								                        		</tr>
								                        	</table>
															</td>
								                        </tr>
								                    </xsl:otherwise>
								                </xsl:choose>
					                        </xsl:if>											
						
                                <xsl:if test="$gdrum!='&quot;?&quot;' and $gdrum!=''">
                                  <tr>
                                    <td width="120px">
                                      <xsl:value-of select="Resource/DeviceInfo/Item/@SrGDrum" />
                                    </td>
                                    <td width="170px">
                                      <table class="ab" width="97%">
                                        <tr>
                                          <td class="ab">
                                            <table class="sb" width="130px" border="0" cellpadding="0">
                                              <tr>
                                                <td class="sb">
                                                  <IMG width="{$gdrum}%" height="10" src="images/glossbar.gif"></IMG>
                                                </td>
                                              </tr>
                                            </table>
                                          </td>
                                          <td class="ab" align="right">
                                            <xsl:value-of select="PrinterInfo/SelectDevice/Item/@GLOSSDRUM" />%
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </xsl:if>

                                <xsl:if test="$belt!='&quot;?&quot;' and $belt!=''">
						                        <tr>			
													<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrBelt" /></td>
													<td width="170px">
						                        	<table class="ab" width="97%">
						                        		<tr>
						                        			<td class="ab">
						                        				<table class="sb" width="130px" border="0" cellpadding="0">
																	<tr><td class="sb"><IMG width="{$belt}%" height="10" src="images/supply_black.gif"></IMG></td></tr>
																</table>
															</td>
						                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@BELT" />%</td>
						                        		</tr>
						                        	</table>
													</td>
						                        </tr>
					                        </xsl:if>
					                        <xsl:if test="$fuser!='&quot;?&quot;' and $fuser!=''">
						                        <tr>
													<td width="120px"><xsl:value-of select="Resource/DeviceInfo/Item/@SrFuser" /></td>
													<td width="170px">
							                        	<table class="ab" width="97%">
							                        		<tr>
							                        			<td class="ab">
							                        				<table class="sb" width="130px" border="0" cellpadding="0">
																		<tr><td class="sb"><IMG width="{$fuser}%" height="10" src="images/supply_black.gif"></IMG></td></tr>
																	</table>
																</td>
							                        			<td class="ab" align="right"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@FUSER" />%</td>
							                        		</tr>
							                        	</table>
													</td>
						                        </tr>
					                        </xsl:if>
					                    </table>
				                    </div>
				                </xsl:if>
		                	</xsl:if>
		                </xsl:if>
		                <xsl:variable  name="tray1" select="PrinterInfo/SelectDevice/Item/@TRAY1COUNT"/>
	                    <xsl:variable  name="tray2" select="PrinterInfo/SelectDevice/Item/@TRAY2COUNT"/>
	                    <xsl:variable  name="tray3" select="PrinterInfo/SelectDevice/Item/@TRAY3COUNT"/>
	                    <xsl:variable  name="tray4" select="PrinterInfo/SelectDevice/Item/@TRAY4COUNT"/>
	                    <xsl:variable  name="tray5" select="PrinterInfo/SelectDevice/Item/@TRAY5COUNT"/>
	                    <xsl:variable  name="mptray" select="PrinterInfo/SelectDevice/Item/@MPTRAYCOUNT"/>
	                    <xsl:variable  name="mppage" select="PrinterInfo/SelectDevice/Item/@MPPAGECOUNT"/>
	                    <!--<xsl:variable  name="ccount" select="PrinterInfo/SelectDevice/Item/@COLORCOUNT"/>-->
	                    <!--<xsl:variable  name="mcount" select="PrinterInfo/SelectDevice/Item/@MONOCOUNT"/>-->
	                    <xsl:variable  name="scmcount" select="PrinterInfo/SelectDevice/Item/@SCANMAINCOUNT"/>
	                    <xsl:variable  name="sccount" select="PrinterInfo/SelectDevice/Item/@SCANCOUNT"/>
						<xsl:variable  name="scacount" select="PrinterInfo/SelectDevice/Item/@SCANADFCOUNT"/>
						<xsl:variable  name="scamcount" select="PrinterInfo/SelectDevice/Item/@SCANADFMAINCOUNT"/>
	                    <xsl:variable  name="fxspage" select="PrinterInfo/SelectDevice/Item/@SENTPAGECOUNT"/>
	                    <xsl:variable  name="fxrpage" select="PrinterInfo/SelectDevice/Item/@RECVPAGECOUNT"/>
						<xsl:variable  name="fxstime" select="PrinterInfo/SelectDevice/Item/@SENTTIMES"/>
						<xsl:variable  name="fxrtime" select="PrinterInfo/SelectDevice/Item/@RECVTIMES"/>
						<xsl:if test="$tray1 and $tray2 and $tray3 and $tray4 and $tray5 and $mptray and $mppage and $scmcount and $sccount and $scacount and $scamcount and $fxspage and $fxrpage and $fxstime and $fxrtime">
							<xsl:if test="($tray1!='&quot;?&quot;' and $tray1!='') or ($tray2!='&quot;?&quot;' and $tray2!='') or 
											($tray3!='&quot;?&quot;' and $tray3!='') or ($tray4!='&quot;?&quot;' and $tray4!='') or 
											($tray5!='&quot;?&quot;' and $tray5!='') or ($mptray!='&quot;?&quot;' and $mptray!='') or 
											($mppage!='&quot;?&quot;' and $mppage!='') or ($scmcount!='&quot;?&quot;' and $scmcount!='') or 
											($sccount!='&quot;?&quot;' and $sccount!='') or ($scacount!='&quot;?&quot;' and $scacount!='') or 
											($scamcount!='&quot;?&quot;' and $scamcount!='') or ($fxspage!='&quot;?&quot;' and $fxspage!='') or 
											($fxrpage!='&quot;?&quot;' and $fxrpage!='') or ($fxstime!='&quot;?&quot;' and $fxstime!='') or ($fxrtime!='&quot;?&quot;' and $fxrtime!='')">
				                <div class="deviceinfoheads">
				                    <h2>
				                        <xsl:value-of select="Resource/DeviceInfo/Item/@CountInfo"/><!--カウンタ情報-->
				                    </h2>
				                </div>
							</xsl:if>
	                    	<xsl:if test="($tray1!='&quot;?&quot;' and $tray1!='') or ($tray2!='&quot;?&quot;' and $tray2!='') or ($tray3!='&quot;?&quot;' and $tray3!='') or ($tray4!='&quot;?&quot;' and $tray4!='') or ($tray5!='&quot;?&quot;' and $tray5!='') or ($mptray!='&quot;?&quot;' and $mptray!='') or ($mppage!='&quot;?&quot;' and $mppage!='')">
				                <div class="deviceinfohead">
				                    <h2>
				                        <xsl:value-of select="Resource/DeviceInfo/Item/@PrintCount"/><!--印刷カウンタ-->
				                    </h2>
				                </div>
			                    <div class="deftable">
				                    <table cellpadding="0" cellspacing="0">
				                    	<xsl:if test="$tray1!='&quot;?&quot;' and $tray1!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@Tray1"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@TRAY1COUNT" /></td>
					                        </tr>
				                        </xsl:if>
				                        <xsl:if test="$tray2!='&quot;?&quot;' and $tray2!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@Tray2"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@TRAY2COUNT" /></td>
					                        </tr>
					                    </xsl:if>
					                    <xsl:if test="$tray3!='&quot;?&quot;' and $tray3!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@Tray3"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@TRAY3COUNT" /></td>
					                        </tr>
					                    </xsl:if>
					                    <xsl:if test="$tray4!='&quot;?&quot;' and $tray4!=''">					                    
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@Tray4"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@TRAY4COUNT" /></td>
					                        </tr>
					                    </xsl:if>
					                    <xsl:if test="$tray5!='&quot;?&quot;' and $tray5!=''">						                    
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@Tray5"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@TRAY5COUNT" /></td>
					                        </tr>
					                    </xsl:if>
					                    <xsl:if test="$mptray!='&quot;?&quot;' and $mptray!=''">					                        
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@MnTray"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MPTRAYCOUNT" /></td>
					                        </tr>
					                    </xsl:if>
					                    <xsl:if test="$mppage!='&quot;?&quot;' and $mppage!=''">					                        
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@MpfTray"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MPPAGECOUNT" /></td>
					                        </tr>
				                        </xsl:if>
				                    </table>
			                    </div>
			                </xsl:if>
							<!--
							<xsl:if test="($ccount!='&quot;?&quot;' and $ccount!='') or ($mcount!='&quot;?&quot;' and $mcount!='')">
			                    <div class="deviceinfohead">
				                    <h2>
				                        <xsl:value-of select="Resource/DeviceInfo/Item/@A4LetterCount"/>A4/レター換算カウンタ
				                    </h2>
				                </div>
			                    <div class="deftable">
				                    <table cellpadding="0" cellspacing="0">
				                    	<xsl:if test="$ccount!='&quot;?&quot;' and $ccount!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@PcColor"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@COLORCOUNT" /></td>
					                        </tr>
					                    </xsl:if>
					                    <xsl:if test="$mcount!='&quot;?&quot;' and $mcount!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@PcMono"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@MONOCOUNT" /></td>
					                        </tr>
					                    </xsl:if>
				                    </table>
			                    </div>
			                </xsl:if>
							-->
		                    <xsl:if test="($scmcount!='&quot;?&quot;' and $scmcount!='') or ($sccount!='&quot;?&quot;' and $sccount!='') or ($scacount!='&quot;?&quot;' and $scacount!='') or ($scamcount!='&quot;?&quot;' and $scamcount!='')">
			                    <div class="deviceinfohead">
				                    <h2>
				                        <xsl:value-of select="Resource/DeviceInfo/Item/@ScanCount"/><!--スキャナカウンタ-->
				                    </h2>
				                </div>
			                    <div class="deftable">
				                    <table cellpadding="0" cellspacing="0">
				                    	<xsl:if test="$scmcount!='&quot;?&quot;' and $scmcount!=''">
			                    			<tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@ScTotal"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SCANMAINCOUNT" /></td>
					                        </tr>
						                </xsl:if>
						                <xsl:if test="$sccount!='&quot;?&quot;' and $sccount!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@ScScan"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SCANCOUNT" /></td>
					                        </tr>
						                </xsl:if>
				                    	<xsl:if test="$scacount!='&quot;?&quot;' and $scacount!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@ScAdfTotal"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SCANADFCOUNT" /></td>
					                        </tr>
						                </xsl:if>
						                <xsl:if test="$scamcount!='&quot;?&quot;' and $scamcount!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@ScAdf"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SCANADFMAINCOUNT" /></td>
					                        </tr>
						                </xsl:if>								                
						        	</table>
			                    </div>
							</xsl:if>

							<xsl:if test="($fxspage!='&quot;?&quot;' and $fxspage!='') or ($fxrpage!='&quot;?&quot;' and $fxrpage!='') or ($fxstime!='&quot;?&quot;' and $fxstime!='') or ($fxrtime!='&quot;?&quot;' and $fxrtime!='')">
								<div class="deviceinfohead">
				                    <h2>
				                        <xsl:value-of select="Resource/DeviceInfo/Item/@FxCount"/><!--ファクスカウンタ-->
				                    </h2>
				                </div>
			                    <div class="deftable">
				                    <table cellpadding="0" cellspacing="0">
										<xsl:if test="$fxspage!='&quot;?&quot;' and $fxspage!=''">
											<tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@FxSPage"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SENTPAGECOUNT" /></td>
					                        </tr>
										</xsl:if>
										<xsl:if test="$fxrpage!='&quot;?&quot;' and $fxrpage!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@FxRPage"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@RECVPAGECOUNT" /></td>
					                        </tr>
					                    </xsl:if>
										<xsl:if test="$fxstime!='&quot;?&quot;' and $fxstime!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@FxSTime"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@SENTTIMES" /></td>
					                        </tr>
					                    </xsl:if>
										<xsl:if test="$fxrtime!='&quot;?&quot;' and $fxrtime!=''">
					                        <tr>
												<td width="220px"><xsl:value-of select="Resource/DeviceInfo/Item/@FxRTime"/></td>
												<td width="70px"><xsl:value-of select="PrinterInfo/SelectDevice/Item/@RECVTIMES" /></td>
					                        </tr>
					                    </xsl:if>
				                    </table>
			                    </div>
							</xsl:if>						
						</xsl:if>
	                </td>
                </tr>
            </table>
        </div>
    </xsl:template>
</xsl:stylesheet>
