﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

  <xsl:template match="root">
    <xsl:variable name="Printerkey" select="/root/PrinterConfig/ActivePrinter/Item/@PrinterKey"/>
    <xsl:variable name="PSSizeChangable" select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultFlashState/Item/@InitAble"/>
    <xsl:variable name="HDDSDExist" select="count(/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item) != 0"/>
    <!--Page Title-->
    <h2 class="multiline_title">
      <xsl:value-of select="Resource/AdminFunction/Item/@Title_Line1"/>
    </h2>
    <h2 class="multiline_title">
      <xsl:value-of select="Resource/AdminFunction/Item/@Title_Line2"/>
    </h2>
    <!--2 buttons-->
    <table  class="invisible" style="margin-left:10px;width:50px">
      <tr>
        <td style="width:50%;text-align:left;">
          <!--button１：変更前に戻るボタン-->
          <xsl:variable name="msg" select="Resource/AdminFunction/Item/@Msg"></xsl:variable>
		  <xsl:choose>
		  <xsl:when test="$HDDSDExist = 0">
          <img border="0" src="..\StorageManager\images\admin_goback_disable.gif"  style="cursor:hand;" >
            <xsl:attribute name="alt">
              <xsl:value-of select="Resource/AdminFunction/Item/@ImgAlt_Cleanup"/>
            </xsl:attribute>
            <xsl:if test="$HDDSDExist or $PSSizeChangable = 1">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"></xsl:value-of>
                <xsl:text>");</xsl:text>
                <xsl:text>admin_cleanUpInput("</xsl:text>
                <xsl:value-of select="$msg"/>
                <xsl:text>")</xsl:text>
              </xsl:attribute>
            </xsl:if>
          </img>
		 </xsl:when>
		 <xsl:otherwise>
		    <img border="0" src="..\StorageManager\images\admin_goback.gif"  style="cursor:hand;" >
            <xsl:attribute name="alt">
              <xsl:value-of select="Resource/AdminFunction/Item/@ImgAlt_Cleanup"/>
            </xsl:attribute>
            <xsl:if test="$HDDSDExist or $PSSizeChangable = 1">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"></xsl:value-of>
                <xsl:text>");</xsl:text>
                <xsl:text>admin_cleanUpInput("</xsl:text>
                <xsl:value-of select="$msg"/>
                <xsl:text>")</xsl:text>
              </xsl:attribute>
            </xsl:if>
          </img>
		  </xsl:otherwise>
		 </xsl:choose>
        </td>
		
		
        <td style="width:50%;text-align:left;">
          <!--button2：更新(プリンタから再読み込む)ボタン-->
		  <xsl:choose>
		  <xsl:when test="$HDDSDExist = 0">
          <img border="0" src="..\StorageManager\images\admin_reload_disable.gif" style="cursor:hand;">
            <xsl:attribute name="alt">
              <xsl:value-of select="Resource/AdminFunction/Item/@ImgAlt_Reload"/>
            </xsl:attribute>
            <xsl:if test="$HDDSDExist or $PSSizeChangable =1">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"></xsl:value-of>
                <xsl:text>");</xsl:text>
                <xsl:text> OnCallModule2("a_reload","");</xsl:text>
              </xsl:attribute>
            </xsl:if>
          </img>
		   </xsl:when>
		   <xsl:otherwise>
		    <img border="0" src="..\StorageManager\images\admin_reload.gif" style="cursor:hand;">
            <xsl:attribute name="alt">
              <xsl:value-of select="Resource/AdminFunction/Item/@ImgAlt_Reload"/>
            </xsl:attribute>
            <xsl:if test="$HDDSDExist or $PSSizeChangable =1">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"></xsl:value-of>
                <xsl:text>");</xsl:text>
                <xsl:text> OnCallModule2("a_reload","");</xsl:text>
              </xsl:attribute>
            </xsl:if>
           </img>
		   </xsl:otherwise>
		   </xsl:choose>
        </td>

      </tr>
    </table>
    <div style="width:500px;margin-left:10px;">
      <hr></hr>
    </div>
   
    <!--Operations about HDD/SD-->
    <xsl:if test="count(/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item)!=0">
      <div style="margin:0 0 0 10;width:500px;font-size:12;">

        <fieldset>
          <legend>
            <xsl:value-of select="Resource/AdminFunction/Item/@HDDSDTitle"/>
          </legend>
          <!--The table where partitions can be initialized.-->
          <div style="width:100%;margin:0 10 10 10">
            <table  border="1" cellpadding="3" cellspacing="0" class="sm3">
              <!--テーブルのヘーダ-->
              <tr>
                <th class="pg1" style="width:45%">
                  <xsl:value-of select="/root/Resource/AdminFunction/Item/@Partition"/>
                </th>
                <th class="pg1" style="width:40%">
                  <xsl:value-of select="/root/Resource/AdminFunction/Item/@Use"/>
                </th>
                <th class="pg1">
                  <xsl:value-of select="/root/Resource/AdminFunction/Item/@Init"/>
                </th>
              </tr>
              <!--テーブルの項目-->

              <xsl:apply-templates select="PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item"></xsl:apply-templates>
            </table>
          </div>
          <!--The table where the user can change the size(percent) of each partition. -->
		 <xsl:variable name="modelID"  select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDiskState/Item/@MODELID"></xsl:variable> 
		 <xsl:if test="$modelID = 'PX756' or $modelID = 'PX755' or $modelID = 'PX757' or $modelID = 'PX753' or $modelID = 'PX753WT' or $modelID = 'PV701'">
          <div style="width:100%;margin:0 10 10 10">
            <fieldset>
              <legend>
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@PartitionChangeTitle"/>
              </legend>
              <span style="margin: 5px 0 5px 5px;display:block;">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@PartitionChangeSubTitle"/>
              </span>
              <form id="radioButtonsContainer" style="padding:0px;margin:0px;">
                <table cellspacing="0" cellpadding="0"  style="font-size:12px;width:100%;text-align:left">
                  <!--各パーティションを表示する-->
                  <xsl:for-each select="PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item">
                    <xsl:call-template name="Disk_Item_Percent_Change"></xsl:call-template>
                  </xsl:for-each>
                </table>
              </form>
              <!--初期化ボタンを表示するテーブル-->
              <table width="20%" style="text-align:left">
                <tr>
                  <td>
                    <button>
                      <xsl:attribute name="onclick">
                        <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                        <xsl:value-of select="$Printerkey"></xsl:value-of>
                        <xsl:text>");</xsl:text>
                        <xsl:text>admin_initAllHDDSD(</xsl:text>
                        <xsl:value-of select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDiskState/Item/@SumSize"/>
                        <xsl:text>)</xsl:text>
                      </xsl:attribute>
                      <xsl:value-of select="/root/Resource/AdminFunction/Item/@DoPartitionChange"/>
                    </button>
                  </td>
                </tr>
              </table>
            </fieldset>
          </div>
        </xsl:if>
		</fieldset>

      </div>
    </xsl:if>
    <!--Operations about Flash-->
    <xsl:variable name="sumFlashSize" select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultFlashState/Item/@SumSize" />
    <div style="margin:0 0 10 10;width:500px;font-size:12;">
      <fieldset>
        <legend>
          <xsl:value-of select="/root/Resource/AdminFunction/Item/@FlashPSMemChangeTitle"/>
        </legend>
        <!--各フラッシュパーティションの状況を表示するテーブル-->
        <div style="margin:0 10 10 10;width:100%">
          <table cellpadding="3" border="1" cellspacing="0" class="sm3" >
            <!--テーブルのヘーダ-->
            <tr>
              <th class="pg1" style="width:45%">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Partition"/>
              </th>
              <th class="pg1" style="width:40%">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Use"/>
              </th>
              <th class="pg1" style="width:15%">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Init"/>
              </th>
            </tr>
            <!--テーブルの項目-->
            <xsl:apply-templates select="PrinterConfig/Initialise/DefaultInitialise/DefaultFlash/Item"></xsl:apply-templates>
          </table>
        </div>
        <!--「ボリューム全体の初期化のボタンを格納するテーブル」-->
        <xsl:choose>
          <!--PSボリュームのサイズの変更がサポートされれば、テキストボックスまたはフレームを表示する。-->
          <xsl:when test="$PSSizeChangable= 1">
            <div style="margin:0 10 10 10;width:100%">
              <fieldset>
                <legend>
                  <xsl:value-of select="/root/Resource/AdminFunction/Item/@FlashPSMemPSSizeChangeTitle"/>
                </legend>
                <table class="invisible">
                  <!--The textbox: PS partition size percent.-->
                  <tr>
                    <td>
                      <xsl:value-of select="/root/Resource/AdminFunction/Item/@FlashPSMemChange"/>
                    </td>
                    <!--textbox-->
                    <td>
                      <input type="text" id="textPSPercent" class="sm_nodrag_textbox" size="3"  onkeydown="return admin_inputControl(event,this)" >
                        <xsl:attribute name="value">
                          <xsl:value-of select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultFlashState/Item/@PSPercent"/>
                        </xsl:attribute>
                        <xsl:attribute name="onkeyup">
                          <xsl:text>admin_ChangeFlashSpaceText(</xsl:text>
                          <xsl:value-of select="$sumFlashSize"/>
                          <xsl:text>)</xsl:text>
                        </xsl:attribute>
                        <!--Keep the data on the page and the "current" data in the xml file synchronous in real time.-->
                        <xsl:attribute name="onchange">
                          <xsl:text>admin_textBoxChanged(this, </xsl:text>
                          <xsl:text>"", "flash"</xsl:text>
                          <xsl:text>)</xsl:text>
                        </xsl:attribute>
                      </input>
                    </td>
                    <td>
                      <xsl:text>%</xsl:text>
                    </td>
                    <!--text of the size.-->
                    <td style="width:10%;text-align:right" id="spaceFlash">
                      <xsl:value-of select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultFlashState/Item/@PSSize"/>
                    </td>
                    <!--the uint of the size.-->
                    <td style="width:40%">
                      <xsl:value-of select="/root/Resource/AdminFunction/Item/@PartitionSizeUnit"/>
                    </td>
                  </tr>
                  <!--The button: Init entire flash-->
                  <tr>
                    <td rowspan="3">
                      <button>
                        <xsl:attribute name="onclick">
                          <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                          <xsl:value-of select="$Printerkey"></xsl:value-of>
                          <xsl:text>");</xsl:text>
                          <xsl:text>OnCallModule2("a_initEntireFlashMemory","")</xsl:text>
                        </xsl:attribute>
                        <xsl:if test="PSSizeChangable = 0">
                          <xsl:attribute name="disabled">
                            <xsl:text>true</xsl:text>
                          </xsl:attribute>
                        </xsl:if>
                        <xsl:value-of select="/root/Resource/AdminFunction/Item/@DoFlashPSMemChange"/>
                      </button>
                    </td>
                  </tr>
                </table>
              </fieldset>
            </div>
          </xsl:when>
          <!--PSボリュームのサイズの変更がサポートされなければ、全体初期化ボタンだけを表示する。-->
          <xsl:otherwise>
            <div style="width:100%;margin:0 10 10 10">
              <table style="sm3">
                <tr>
                  <td>
                    <!--Format Entire Flash Button-->
                    <button>
                      <xsl:attribute name="onclick">
                        <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                        <xsl:value-of select="$Printerkey"></xsl:value-of>
                        <xsl:text>");</xsl:text>
                        <xsl:text>OnCallModule2("a_initEntireFlashMemory","");</xsl:text>
                      </xsl:attribute>
                      <xsl:value-of select="/root/Resource/AdminFunction/Item/@DoFlashPSMemChange"/>
                    </button>
                  </td>
                </tr>

              </table>
            </div>
          </xsl:otherwise>
        </xsl:choose>
      </fieldset>
    </div>
  </xsl:template>


  <xsl:template name="Disk_Item_Percent_Change" >
    <xsl:variable name="sumHDDSDSize" select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDiskState/Item/@SumSize"/>
    <xsl:variable name="currentPartitionName" select="@Partition"/>
    <!--spin イメージボタンのidはprefixとこの二つのイメージボタンのindexで構成される-->
    <xsl:variable name="upArrowImgIdPrefix">
      <xsl:text>upArrow</xsl:text>
    </xsl:variable>
    <xsl:variable name="downArrowImgIdPrefix">
      <xsl:text>downArrow</xsl:text>
    </xsl:variable>


    <!--頁が最初にロードされた途端に、デフォルトチェックされたラヂオボックスに関連するSPINを無効にする-->
    <xsl:if test="count(/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item)>1">
      <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="admin_onLockRadioButtonSelect()" />
    </xsl:if>
    <tr>
      <td rowspan="2" style="width:7%">
        <input type="text" class="sm_nodrag_textbox"  name="textPercent" size="4"  onkeydown="return admin_inputControl(event,this)">
          <!--SPINコントロールを有効にするために、textboxのIDを動的に指定する-->
          <xsl:attribute name="id">
            <xsl:text>textBoxPercentChange</xsl:text>
            <xsl:number/>
          </xsl:attribute>
          <xsl:attribute name="onkeyup">
            <xsl:text>admin_ChangeHDDSDSpaceText('space</xsl:text>
            <xsl:number/>
            <xsl:text>',this,</xsl:text>
            <xsl:value-of select="$sumHDDSDSize"/>
            <xsl:text>)</xsl:text>
          </xsl:attribute>
          <!--Keep the data on the page and the "current" data in the xml file synchronous in real time.-->
          <xsl:attribute name="onchange">
            <xsl:text>admin_textBoxChanged(this,"</xsl:text>
            <xsl:value-of select="$currentPartitionName"/>
            <xsl:text>", "HDDSD"</xsl:text>
            <xsl:text>)</xsl:text>
          </xsl:attribute>
          <xsl:attribute name="value">
            <xsl:value-of select="@Percent"/>
          </xsl:attribute>
        </input>
      </td>
      <td valign="bottom">
        <input type="button" style="height:10px;width:15px;background-repeat:no-repeat;background-image: url(..\storagemanager\images\admin_arrowup.gif);background-position:0 0;">
          <xsl:if test="position()=1">
            <xsl:attribute name="onload">
              <xsl:text>admin_onLockRadioButtonSelect()</xsl:text>
            </xsl:attribute>
          </xsl:if>
          <!--idを動的に指定-->
          <xsl:attribute name="id">
            <xsl:value-of select="$upArrowImgIdPrefix"/>
            <xsl:number/>
          </xsl:attribute>
          <xsl:attribute name="onclick">
            <xsl:text>admin_spinOnClick("textBoxPercentChange",</xsl:text>
            <xsl:number/>
            <xsl:text>,"up",</xsl:text>
            <xsl:value-of select="$sumHDDSDSize"/>
            <xsl:text>)</xsl:text>
          </xsl:attribute>
        </input>
      </td>
      <td rowspan="2">
        <xsl:text>%</xsl:text>
      </td>
      <td rowspan="2">
        <!--二つのパーティションだけがあれば、固定ボタンは不用になる-->
        <xsl:if test="count(/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item)>2">
          <input type="radio" name="lock">
            <!--デフォルトでは、一番目のディスクは固定されている-->
            <xsl:if test="position()=1">
              <xsl:attribute name="checked">
                <xsl:text>true</xsl:text>
              </xsl:attribute>
            </xsl:if>
            <!--radio buttonはvalueで関連するTEXTBOXのidを維持する-->
            <xsl:attribute name="value">
              <xsl:text>textBoxPercentChange</xsl:text>
              <xsl:number/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>admin_onLockRadioButtonSelect()</xsl:text>
            </xsl:attribute>
          </input>
        </xsl:if>
      </td>
      <td style="width:10%" rowspan="2">
        <!--TDの内容を動的に変更するために、tdのIDを動的に設定する-->
        <xsl:attribute name="id">
          <xsl:text>space</xsl:text>
          <xsl:number/>
        </xsl:attribute>
        <xsl:value-of select="@Size"/>
      </td>
      <td rowspan="2">
        <xsl:value-of select="/root/Resource/AdminFunction/Item/@PartitionSizeUnit"/>
      </td>
      <td rowspan="2">
        <xsl:choose>
          <xsl:when test="@Image=1">
            <img src="../storagemanager/images/device_tree_pjl.gif"></img>
          </xsl:when>
          <xsl:when test="@Image=2">
            <img src="../storagemanager/images/device_tree_com.gif"></img>
          </xsl:when>
          <xsl:when test="@Image=3">
            <img src="../storagemanager/images/device_tree_ps.gif"></img>
          </xsl:when>
        </xsl:choose>
        <xsl:value-of select="@Partition"/>
      </td>
    </tr>
    <tr>
      <td valign="top">
        <input type="button" style="height:10px;width:15px;background-repeat:no-repeat;background-image: url(..\storagemanager\images\admin_arrowdown.gif);background-position:0 0;" >
          <!--idを動的に指定-->
          <xsl:attribute name="id">
            <xsl:value-of select="$downArrowImgIdPrefix"/>
            <xsl:number/>
          </xsl:attribute>
          <xsl:attribute name="onclick">
            <xsl:text>admin_spinOnClick("textBoxPercentChange",</xsl:text>
            <xsl:number/>
            <xsl:text>,"down",</xsl:text>
            <xsl:value-of select="$sumHDDSDSize"/>
            <xsl:text>)</xsl:text>
          </xsl:attribute>
        </input>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="PrinterConfig/Initialise/DefaultInitialise/DefaultDisk/Item">
    <xsl:variable name="image" select="@Image"></xsl:variable>
    <xsl:variable name="supportPS" select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDiskState/Item/@SupportPS"/>
    <xsl:variable name="supportPCL"  select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDiskState/Item/@SupportPCL"></xsl:variable>
	<xsl:variable name="supportChangeUse"  select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultDiskState/Item/@SupportChangeUse"></xsl:variable>
    <xsl:variable name="currentPartitionName" select="@Partition"></xsl:variable>
    <xsl:variable name="defaultSelectedOption" select="@Image"></xsl:variable>
    <xsl:variable name="Printerkey" select="/root/PrinterConfig/ActivePrinter/Item/@PrinterKey"></xsl:variable>
    <tr>
      <td style="text-align:left">
        <xsl:choose>
          <xsl:when test="$image=1">
            <img src="../storagemanager/images/device_tree_pjl.gif"></img>
          </xsl:when>
          <xsl:when test="$image=2">
            <img src="../storagemanager/images/device_tree_com.gif"></img>
          </xsl:when>
          <xsl:when test="$image=3">
            <img src="../storagemanager/images/device_tree_ps.gif"></img>
          </xsl:when>
        </xsl:choose>
        <xsl:value-of select="@Partition"/>
      </td>
      <!--The Combobox or String-->
      <td style="text-align:left;">
        <select id="position()"  class="treefont" style="width:75%">
          <!--Keep the data on the page and the "current" data in the xml file synchronous in real time.-->
          <xsl:attribute name="onchange">
            <xsl:text>admin_selectControlChanged("</xsl:text>
            <xsl:value-of select="$currentPartitionName"/>
            <xsl:text>", this)</xsl:text>
          </xsl:attribute>
          <xsl:choose>
			<!--For PX753-->
			<!--The usage of the PCL/PS partition could not be changed if not support.-->
			<xsl:when test="position() = 1 and $supportChangeUse = 0">
              <xsl:attribute name="disabled">
                <xsl:text>disabled</xsl:text>
              </xsl:attribute>
              <option value="1">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@PCL"/>
              </option>
            </xsl:when>
			<xsl:when test="position() = 3 and $supportChangeUse = 0">
              <xsl:attribute name="disabled">
                <xsl:text>disabled</xsl:text>
              </xsl:attribute>
              <option value="3">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@PS"/>
              </option>
            </xsl:when>
            <!--For PN86-->
            <!--The usage of the PS partition of PN86 could not be changed.-->
            <xsl:when test="@Image = 3 and $supportPS = 0">
              <xsl:attribute name="disabled">
                <xsl:text>disabled</xsl:text>
              </xsl:attribute>
              <option value="3">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@PS"/>
              </option>
            </xsl:when>
            <!--For the second partition(could be not "common")-->
            <!--The usage of the 2nd partition could not be changed.-->
            <xsl:when test="position() = 2">
              <xsl:attribute name="disabled">
                <xsl:text>disabled</xsl:text>
              </xsl:attribute>
              <option value="2">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Common"/>
              </option>
            </xsl:when>
            <!--The usage of other partitions CAN be changed-->
            <xsl:otherwise>
              <xsl:if test="$supportPCL=1">
                <option value="1">
                  <xsl:if test="$defaultSelectedOption= 1">
                    <xsl:attribute name="selected">
                      <xsl:text>selected</xsl:text>
                    </xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="/root/Resource/AdminFunction/Item/@PCL"/>
                </option>
              </xsl:if>
              <option value="2">
                <xsl:if test="$defaultSelectedOption= 2">
                  <xsl:attribute name="selected">
                    <xsl:text>selected</xsl:text>
                  </xsl:attribute>
                </xsl:if>
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Common"/>
              </option>
              <xsl:if test="$supportPS=1">
                <option value="3">
                  <xsl:if test="$defaultSelectedOption= 3">
                    <xsl:attribute name="selected">
                      <xsl:text>selected</xsl:text>
                    </xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="/root/Resource/AdminFunction/Item/@PS"/>
                </option>
              </xsl:if>

            </xsl:otherwise>
          </xsl:choose>
        </select>
      </td>
      <!--ストレージ初期化のボタン-->
      <td style="text-align:center">
        <xsl:choose>
          <!--for PN86-->
          <xsl:when test="@Image = 3 and $supportPS = 0">
            <img border="0"  src="..\StorageManager\images\admin_init_disabled.gif"/>
          </xsl:when>
          <xsl:otherwise>
            <img border="0"  src="..\StorageManager\images\admin_init.gif" style="cursor:hand">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Init"/>
              </xsl:attribute>
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"></xsl:value-of>
                <xsl:text>");</xsl:text>
                <xsl:text>admin_formatPartition("</xsl:text>
                <xsl:value-of select="$currentPartitionName"/>
                <xsl:text>")</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="PrinterConfig/Initialise/DefaultInitialise/DefaultFlash/Item">
    <xsl:variable name="image" select="@Image"></xsl:variable>
    <xsl:variable name="supportInit" select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultFlashState/Item/@SupportInit"/>
    <xsl:variable name="initAble"  select="/root/PrinterConfig/Initialise/DefaultInitialise/DefaultFlashState/Item/@InitAble"></xsl:variable>
    <xsl:variable name="currentPartitionName" select="@Partition"></xsl:variable>
    <xsl:variable name="Printerkey" select="/root/PrinterConfig/ActivePrinter/Item/@PrinterKey"></xsl:variable>
    <tr>
      <!--Partition Icon-->
      <td style="text-align:left;width:45%">
        <xsl:choose>
          <xsl:when test="$image=1">
            <img src="../storagemanager/images/device_tree_pjl.gif"></img>
          </xsl:when>
          <xsl:when test="$image=2">
            <img src="../storagemanager/images/device_tree_com.gif"></img>
          </xsl:when>
          <xsl:when test="$image=3">
            <img src="../storagemanager/images/device_tree_ps.gif"></img>
          </xsl:when>
        </xsl:choose>
        <xsl:value-of select="@Partition"/>
      </td>
      <!--Partition Type String-->
      <td style="text-align:left;width:35%">
        <xsl:choose>
          <xsl:when test="$image = 1">
            <xsl:value-of select="/root/Resource/AdminFunction/Item/@PCL"/>
          </xsl:when>
          <xsl:when test="$image = 2">
            <xsl:value-of select="/root/Resource/AdminFunction/Item/@Common"/>
          </xsl:when>
          <xsl:when test="$image = 3">
            <xsl:value-of select="/root/Resource/AdminFunction/Item/@PS"/>
          </xsl:when>
        </xsl:choose>
      </td>
      <!--Partition Init Icon-->
      <td style="width:35%;text-align:center">
        <xsl:choose>
          <xsl:when test="$supportInit=1">
            <img border="0" src="..\StorageManager\images\admin_init.gif" >
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/AdminFunction/Item/@Init"/>
              </xsl:attribute>
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"></xsl:value-of>
                <xsl:text>");</xsl:text>
                <xsl:text>admin_formatPartition("</xsl:text>
                <xsl:value-of select="$currentPartitionName"/>
                <xsl:text>")</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="src">
                <xsl:text>..\StorageManager\images\admin_init.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="style">
                <xsl:text>cursor:hand</xsl:text>
              </xsl:attribute>
            </img>
          </xsl:when>
          <xsl:otherwise>
            <img border="0" src="..\StorageManager\images\admin_init_disabled.gif" ></img>
          </xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>