<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" />
  <xsl:template match="root">
<div class="sm_frame" >
    <table class="sm3"  border="1" cellpadding="1" cellspacing="0" style="width:95%;margin-left:15px">
      <tr>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_Storage" />
        </th>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_Volume" />
        </th>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_TotalSpace" />
        </th>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_FreeSpace" />
        </th>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_Location" />
        </th>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_Label" />
        </th>
        <th class="sm2" align="center">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@StorageTableTitle_Status" />
        </th>
      </tr>
      <xsl:apply-templates select="PrinterConfig/PrinterInfo/Storage/Item">
      </xsl:apply-templates>
    </table>
</div>
  </xsl:template>

  <xsl:template match="PrinterConfig/PrinterInfo/Storage/Item">
    <xsl:call-template name="storagetable">
      <xsl:with-param name="StorageName">
        <xsl:value-of select="@StorageName" />
      </xsl:with-param>
      <xsl:with-param name="Volume">
        <xsl:value-of select="@Volume" />
      </xsl:with-param>
      <xsl:with-param name="TotalSpace">
        <xsl:value-of select="@TotalSpace" />
      </xsl:with-param>
      <xsl:with-param name="FreeSpace">
        <xsl:value-of select="@FreeSpace" />
      </xsl:with-param>
      <xsl:with-param name="Location">
        <xsl:value-of select="@Location" />
      </xsl:with-param>
      <xsl:with-param name="Label">
        <xsl:value-of select="@Label" />
      </xsl:with-param>
      <xsl:with-param name="Status">
        <xsl:value-of select="@Status" />
      </xsl:with-param>
      <xsl:with-param name="VolumeNum">
        <xsl:value-of select="@VolumeNum" />
      </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="storagetable">
    <xsl:param name="StorageName" />
    <xsl:param name="Volume" />
    <xsl:param name="TotalSpace" />
    <xsl:param name="FreeSpace" />
    <xsl:param name="Location" />
    <xsl:param name="Label" />
    <xsl:param name="Status" />
    <xsl:param name="VolumeNum" />
    <tr>
      <xsl:if test="$VolumeNum &gt;= 1">
        <td class="sm4">
          <xsl:attribute name="rowspan">
            <xsl:value-of select="$VolumeNum" />
          </xsl:attribute>
          <xsl:value-of select="$StorageName" />
        </td>
      </xsl:if>
      <td class="sm4">
        <xsl:value-of select="$Volume" />
      </td>
      <td class="sm4">
        <xsl:value-of select="$TotalSpace" />
      </td>
      <td class="sm4">
        <xsl:value-of select="$FreeSpace" />
      </td>
      <td class="sm4">
        <xsl:value-of select="$Location" />
      </td>
      <td class="sm4">
        <xsl:value-of select="$Label" />
      </td>
      <td class="sm4">
        <xsl:value-of select="$Status" />
      </td>
    </tr>
  </xsl:template>
</xsl:stylesheet>