<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:include href="../storagemanager/sm_e_filelist.xsl" />
  <xsl:include href="../storagemanager/sm_e_filefilter.xsl" />
  <xsl:template match="PrinterConfig/DeviceExplorer/Tree/ChosenNode/FileList">


    <xsl:variable name="sortalg" select="../../../../../PrinterConfig/DeviceSettings/Item/@Sort" />
    <!-- sortalg変数に値を割り当てる -->
    <xsl:variable name="order" select="../../../../../PrinterConfig/DeviceSettings/Item/@Order" />
    <!-- order変数に値を割り当てる -->
    <xsl:variable name="newtext1" select="concat(/root/Resource/DeviceExplorer/Item/@TableHeader1, ',', /root/Resource/DeviceExplorer/Item/@TableHeader2)" />
    <xsl:variable name="fullHeaderText" select="concat($newtext1, ',', /root/Resource/DeviceExplorer/Item/@TableHeader3)" />
    <!-- newtext2変数に列に表示する3つの文字列を","区切りで指定する(文字列を結合) -->
    <xsl:variable name="Printerkey" select="/root/PrinterConfig/ActivePrinter/Item/@PrinterKey"></xsl:variable>
    <table class="pg1" cellpadding="1" cellspacing="1" border="1" width="440px" style="margin-top:10px">
      <tr>
        <th class="pg1"  style="width:10%">
        </th>
        <xsl:call-template name="makesortheader">
          <xsl:with-param name="param1">
            <xsl:value-of select="$sortalg" />
          </xsl:with-param>
          <xsl:with-param name="param2">
            <xsl:value-of select="$order" />
          </xsl:with-param>
          <xsl:with-param name="param3">
            <xsl:value-of select="$fullHeaderText" />
          </xsl:with-param>
          <xsl:with-param name="param4">3</xsl:with-param>
          <xsl:with-param name="param5">1</xsl:with-param>
          <xsl:with-param name="param6">30%,18%,42%</xsl:with-param>
        </xsl:call-template>
      </tr>
      <form id="form_files">
        <xsl:variable name="newid1" select="concat('attr_name', ',', 'attr_size')" />
        <xsl:variable name="newid2" select="concat($newid1, ',', 'attr_comment')" />
        <xsl:call-template name="makesortitem">
          <xsl:with-param name="param1">
            <xsl:value-of select="$sortalg" />
          </xsl:with-param>
          <xsl:with-param name="param2">
            <xsl:value-of select="$order" />
          </xsl:with-param>
          <xsl:with-param name="param3">
            <xsl:value-of select="$newid2" />
          </xsl:with-param>
          <xsl:with-param name="param4">3</xsl:with-param>
          <xsl:with-param name="param5">1</xsl:with-param>
        </xsl:call-template>
      </form>
      <xsl:if test="count(/root/PrinterConfig/DeviceExplorer/Tree/ChosenNode/FileList/Item[@Type='file'] )!= 0">
        <tr>
          <td class="pg1">
            <input class="font12" type="checkbox" name="noselect" id="noselect" value="noselect" onclick="common_setSmallCheckBoxesStates('smallcheckbox', this, false);device_file_on_select();" />
          </td>
          <td class="sm1" colspan="8">
            <xsl:value-of select="/root/Resource/Common/Item/@All" />
          </td>
        </tr>
      </xsl:if>
    </table>

    <xsl:if test="/root/PrinterConfig/DeviceSettings/Item/@CalcTotal != 0">
      <table class="mp"  cellpadding="0" cellspacing="0" border="0" width="90%">
        <tr>
          <td width="50%">
            <xsl:call-template name="multipage">
              <xsl:with-param name="param1">
                <xsl:value-of select="/root/PrinterConfig/DeviceSettings/Item/@CalcTotal" />
              </xsl:with-param>
              <xsl:with-param name="param2">e_</xsl:with-param>
            </xsl:call-template>
          </td>
          <td>
            <xsl:value-of select="/root/Resource/Common/Item/@ViewCount" />:
            <select class="font12" id="ipp" onchange="eOnPerPageChange('e_perPageChange',ipp.value);">
              <xsl:apply-templates select="/root/Resource/ItemPerPage_DeviceResource/Item">
                <xsl:with-param name="param1">
                  <xsl:value-of select="/root/PrinterConfig/DeviceSettings/Item/@ItemPerPage" />
                </xsl:with-param>
              </xsl:apply-templates>
            </select>
          </td>
        </tr>
      </table>
    </xsl:if>

    <div name="minimenu" id="minimenu" style="position:absolute;display:none;" >
      <table>
        <tr>
          <td>
            <img id="icon_delete_file"  onclick="device_delete_file()" disabled="true">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                <xsl:value-of select="$Printerkey"/>
                <xsl:text>");</xsl:text>
                <xsl:text>device_deleteFile()</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/DeviceExplorer/Item/@ImgAlt_DeleteFile" />
              </xsl:attribute>
              <xsl:attribute name="src">
                <xsl:text>..\StorageManager\images\device_delete_file_disabled.gif</xsl:text>
              </xsl:attribute>
            </img>
          </td>
        </tr>
      </table>
      <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="RLV_XMargin2=55;RLV_YMargin2=30;RLViewBox2();" />
      <!--<img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="DisableScroll();" />-->
    </div>
  </xsl:template>


  <xsl:template match="PrinterConfig/DeviceExplorer/Tree/ChosenNode/FileList/Item">
    <xsl:param name="select" select="'0'" />
    <xsl:param name="first" select="0" />
    <xsl:param name="last" select="0" />
    <xsl:param name="type" select="@Type" />
    <xsl:variable name="current" select="position()" />

    <xsl:if test="($current &gt;= $first and $current &lt;= $last) or ($last = 0)">
      <tr>
        <td class="sm3">
          <xsl:if test="@Type= 'file'">
            <input type="checkbox" name="smallcheckbox"  onclick="device_file_on_select();common_setBigCheckBoxState(this, 'smallcheckbox', 'noselect', false)">
              <xsl:attribute name="id">
                <xsl:value-of select="@Name"/>
                <xsl:if test ="@InfoFile!=''">
                  <xsl:text>$</xsl:text><xsl:value-of select="@InfoFile"/>
                </xsl:if>
              </xsl:attribute>
            </input>
          </xsl:if>
        </td>
        <td class="sm1">
          <!--disk、partition、folderのアイコンが違う-->
          <xsl:choose>
            
            <xsl:when test="@Type= 'hdd'">
              <img src="../StorageManager/images/device_tree_hdd.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'sd'">
              <img src="../StorageManager/images/device_tree_sd.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'flash'">
              <img src="../StorageManager/images/device_tree_flash.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'pjl'">
              <img src="../StorageManager/images/device_tree_pjl.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'com'">
              <img src="../StorageManager/images/device_tree_com.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'ps'">
              <img src="../StorageManager/images/device_tree_ps.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'folder'">
              <img src="../StorageManager/images/device_tree_folder.gif"/>
            </xsl:when>
            <xsl:when test="@Type= 'file'">
              <img src="../StorageManager/images/device_tree_file.gif"/>
            </xsl:when>
          </xsl:choose>
          <xsl:value-of select="@Name" />
        </td>
        <td class="sm3">
          <xsl:value-of select="@Size" />
        </td>

        <!--If the length of the commenet string is more than 30, show suspension points-->
        <xsl:variable name="comment" select="@Comment"/>
        <xsl:variable name="lenComment" select="string-length($comment)"></xsl:variable>
        <xsl:variable name="comment_head" select="substring($comment,1, 30 )"></xsl:variable>
        <xsl:choose>
        <xsl:when test="$lenComment> '30'">
          <td class="sm1">
            <xsl:value-of select="$comment_head" />
            <xsl:text>...</xsl:text>
          </td>
        </xsl:when>
          <xsl:otherwise>
            <td class="sm1">
              <xsl:value-of select="$comment" />
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </xsl:if>

  </xsl:template>
</xsl:stylesheet>