<?xml version="1.0" encoding="utf-8"?>  
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:template match="root">
    <xsl:variable name="IsPCL" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsPCL"></xsl:variable>
    <xsl:variable name="IsPS" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsPS"></xsl:variable>
	<xsl:variable name="IsFILELISTEXEC" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsFILELISTEXEC"></xsl:variable>
	<xsl:variable name="IsFONTLISTEXEC" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsFONTLISTEXEC"></xsl:variable>
    <xsl:variable name="Printerkey" select="PrinterConfig/ActivePrinter/Item/@PrinterKey"></xsl:variable>
	<xsl:variable name="IsDemoPage" select="PrinterConfig/DeviceExplorer/DemoPageEX/Item/@IsDemoPage"></xsl:variable>

        <h2 class="multiline_title" >
          <xsl:value-of select="Resource/DeviceExplorer/Item/@FirstMessage1"/>
        </h2>
        <h2 class="multiline_title">
          <xsl:value-of select="Resource/DeviceExplorer/Item/@FirstMessage2"/>
        </h2>
        <!--アイコンを描画する-->
        <table cellspacing="1" style="width:200px;margin-left:10px">
          <tr>
            <!--アイコン１：ファイルを削除する-->
            <td>
              <img src="../StorageManager/images/device_delete_file_disabled.gif" id="icon_delete_file" disabled="true">
                <xsl:attribute name="alt">
                  <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_DeleteFile"/>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                  <xsl:value-of select="$Printerkey"/>
                  <xsl:text>");</xsl:text>
                  <xsl:text>device_deleteFile()</xsl:text>
                </xsl:attribute>
              </img>
            </td>
    
            <!--アイコン２：最読み込む-->
            <td>
              <img src="../StorageManager/images/device_reload.gif" style="cursor:hand">
                <xsl:attribute name="alt">
                  <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_Reload"/>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                 <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                  <xsl:value-of select="$Printerkey"/>
                  <xsl:text>");</xsl:text>
                  <xsl:text>device_reload()</xsl:text>
                </xsl:attribute>
              </img>
            </td>
    
            <td style="width:10%"></td>
    
            <!--アイコン３：PCLフォームのテスト印刷-->
            <td>
              <img>
                <xsl:choose>
                  <xsl:when test="$IsPCL='true'">
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_pcl_form_test.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="style">
                      <xsl:text>cursor:hand</xsl:text>
                    </xsl:attribute>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_pcl_form_test_disabled.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="disabled">
                      <xsl:text>true</xsl:text>
                    </xsl:attribute>
                  </xsl:otherwise>
                </xsl:choose>
                <xsl:attribute name="alt">
                  <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_PrintPCLFormTest"/>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                  <xsl:value-of select="$Printerkey"/>
                  <xsl:text>");OnCallModule2("e_printPCLFormTest", "")</xsl:text>
                </xsl:attribute>
              </img>
            </td>
    
            <!--アイコン４：PSフォームのテスト印刷-->
            <td>
              <img>
                <xsl:choose>
                  <xsl:when test="$IsPS='true'">
                  
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_ps_form_test.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="style">
                      <xsl:text>cursor:hand</xsl:text>
                    </xsl:attribute>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_ps_form_test_disabled.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="disabled">
                      <xsl:text>true</xsl:text>
                    </xsl:attribute>
                  </xsl:otherwise>
                </xsl:choose>
                <xsl:attribute name="alt">
                  <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_PrintPSFormTest"/>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                  <xsl:value-of select="$Printerkey"/>
                  <xsl:text>");OnCallModule2("e_printPSFormTest", "")</xsl:text>
                </xsl:attribute>
              </img>
            </td>
    
            <!--アイコン５：デモページの印刷-->
			<td>
              <img>
                <xsl:choose>
                  <xsl:when test="$IsDemoPage='true'">
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_demo_page.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="style">
                      <xsl:text>cursor:hand</xsl:text>
                    </xsl:attribute>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_demo_page_disabled.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="disabled">
                      <xsl:text>true</xsl:text>
                    </xsl:attribute>
                  </xsl:otherwise>
                </xsl:choose>
              <xsl:attribute name="alt">
                  <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_PrintDemoPage"/>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                  <xsl:value-of select="$Printerkey"/>
                  <xsl:text>");OnCallModule2("e_printDemoPage", "")</xsl:text>
                </xsl:attribute>
              </img>
            </td>
			
            <!--アイコン6：Test printing ps font-->
            <td>
              <img>
                <xsl:attribute name="alt">
                  <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_PrintPSFontTest"/>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                  <xsl:value-of select="$Printerkey"/>
                  <xsl:text>");OnCallModule2("e_printDownloadedPSFontTest", "")</xsl:text>
                </xsl:attribute>
                <xsl:choose>
                  <xsl:when test="$IsPS='true'">
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_sample_of_downloaded_ps_font.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="style">
                      <xsl:text>cursor:hand</xsl:text>
                    </xsl:attribute>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:attribute name="src">
                      <xsl:text>../StorageManager/images/device_print_sample_of_downloaded_ps_font_disabled.gif</xsl:text>
                    </xsl:attribute>
                    <xsl:attribute name="disabled">
                      <xsl:text>true</xsl:text>
                    </xsl:attribute>
                  </xsl:otherwise>
                </xsl:choose>
              </img>
            </td>
            <td style="width:10%"></td>
            <!--アイコン7：リストの印刷-->
            <td>
            <xsl:choose>
              <xsl:when test="($IsPCL = 'true' and $IsFONTLISTEXEC = 'true') or ($IsPS = 'true' and $IsFONTLISTEXEC = 'true') or ($IsPCL = 'true' and $IsFILELISTEXEC = 'true') ">
                <img src="../StorageManager/images/device_print_lists.gif">
                  <xsl:attribute name="style">
                    <xsl:text>cursor:hand</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="alt">
                    <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_PrintLists"/>
                  </xsl:attribute>
                  <xsl:attribute name="onclick">
                    <xsl:text>OnCallModule2("m_updateActivePrinter","</xsl:text>
                    <xsl:value-of select="$Printerkey"/>
                    <xsl:text>");OnCallModule2("e_printLists","")</xsl:text>
                  </xsl:attribute>
                </img>
              </xsl:when>
              <xsl:otherwise>
                <img src="../StorageManager/images/device_print_lists_disabled.gif">
                  <xsl:attribute name="alt">
                    <xsl:value-of select="Resource/DeviceExplorer/Item/@ImgAlt_PrintLists"/>
                  </xsl:attribute>
                </img>
              </xsl:otherwise>
              </xsl:choose>
            </td>
            <td style="width:10%"></td>
          </tr>
        </table>

  </xsl:template>
</xsl:stylesheet>