<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" />
  <xsl:template match="root">
    <xsl:variable name="supportPCL" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsPCL"></xsl:variable>
    <xsl:variable name="supportPS" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsPS"></xsl:variable>
	<xsl:variable name="supportFONTLISTEXEC" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsFONTLISTEXEC"></xsl:variable>
	<xsl:variable name="supportFILELISTEXEC" select="PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@IsFILELISTEXEC"></xsl:variable>
	
    <div style="border: 1px solid #969696;width:100%">
      <h3 style="margin:10 0 0 10px">
        <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_Title"/>
      </h3>
      <!--Lists-->
      <table style="width:92%;text-align:left;border: 1px solid #969696;font-size:12px;margin:5,10,10,10">
        <form id="checkboxContainer">
          <xsl:if test="$supportPCL= 'true'">
		  <xsl:if test="$supportFONTLISTEXEC= 'true'">
            <tr>
              <td width="10%">
                <input type="checkbox" id="chk_pclFontList" onclick="common_set_okbutton_state('checkboxContainer','ok')"></input>
              </td>
              <td >
                <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_PCLFontList"/>
              </td>
            </tr>
          </xsl:if>
		  <xsl:if test="$supportFONTLISTEXEC= 'false'">
		    <tr>
              <td width="10%">
                <input type="checkbox" id="chk_pclFontList" disabled="disabled" onclick="common_set_okbutton_state('checkboxContainer','ok')"></input>
              </td>
              <td style= "color:gray">
                <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_PCLFontList"/>
              </td>
            </tr>
		  </xsl:if>
		  </xsl:if>
          <xsl:if test="$supportPS= 'true'">
		  <xsl:if test="$supportFONTLISTEXEC= 'true'">
            <tr>
              <td>
                <input type="checkbox" id="chk_psFontList" onclick="common_set_okbutton_state('checkboxContainer','ok')"></input></td>
              <td>
                <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_PSFontList"/>
              </td>
            </tr>
          </xsl:if>
		  <xsl:if test="$supportFONTLISTEXEC= 'false'">
		    <tr>
              <td>
                <input type="checkbox" id="chk_psFontList" disabled="disabled" onclick="common_set_okbutton_state('checkboxContainer','ok')"></input></td>
              <td style= "color:gray">
                <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_PSFontList"/>
              </td>
            </tr>
		  </xsl:if>
		  </xsl:if>
		  <xsl:if test="$supportPCL= 'true'">
		   <xsl:if test="$supportFILELISTEXEC= 'true'">
            <tr>
              <td>
                <input type="checkbox" id="chk_fileList" onclick="common_set_okbutton_state('checkboxContainer','ok')"></input></td>
              <td>
                <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_FileList"/>
              </td>
            </tr>
          </xsl:if>
		  <xsl:if test="$supportFILELISTEXEC= 'false'">
		    <tr>
              <td>
                <input type="checkbox" id="chk_fileList" disabled="disabled" onclick="common_set_okbutton_state('checkboxContainer','ok')"></input></td>
              <td style= "color:gray">
                <xsl:value-of select="Resource/DeviceExplorer/Item/@PrintLists_FileList"/>
              </td>
            </tr>
		  </xsl:if>
		  </xsl:if>
        </form>
      </table>
      <!--Select All-->
      <table style="font-size:12px;margin:0 10 10 10">
        <tr>
          <TD>
            <input type="checkbox" id="selectall" onclick="common_select_all_checkboxes('checkboxContainer',checked);common_set_okbutton_state('checkboxContainer','ok')" >
            </input>
          </TD>
          <TD>
            <xsl:value-of select="/root/Resource/Common/Item/@All" />
          </TD>
        </tr>
      </table>
    </div>
    
    <!--2 Buttons-->
    <table style="width:98%;margin:10 2 0 2px;">
      <tr>
        <td style="width:60%">
        </td>
        <td>
          <button class="okcancel"  style="button" ID="ok" disabled="true"  onclick="device_printListsOK()">
            <xsl:value-of select="Resource/Common/Item/@OK"/>
          </button>
        </td>
        <td>
          <button class="okcancel" style="button" onclick="OnCallModule2('e_closeModalDialog','')">
            <xsl:value-of select="Resource/Common/Item/@Cancel"/>
          </button>
        </td>

      </tr>
    </table>

  </xsl:template>

</xsl:stylesheet>