﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:include href="./sm_filelist.xsl" />
  <xsl:include href="./sm_filefilter.xsl" />
  <xsl:template match="Config/Project/Files">

    <xsl:variable name="sortalg" select="../../Settings/Item/@Sort" />
    <xsl:variable name="order" select="../../Settings/Item/@Order" />
    <xsl:variable name="newtext1" select="concat(../../../Resource/Project/Item/@Component, ',', ../../../Resource/Project/Item/@ID)" />
    <xsl:variable name="newtext2" select="concat($newtext1, ',', ../../../Resource/Project/Item/@Type)" />
    <xsl:variable name="newtext3" select="concat($newtext2, ',', ../../../Resource/Project/Item/@Size)" />
    <xsl:variable name="newtext4" select="concat($newtext3, ',', ../../../Resource/Project/Item/@CreateDate)" />
    <xsl:variable name="ShowFlag" select="/root/Config/PrinterInfo/Functions/Item/@SendfileSupport"/>
    <h2 class="sm1">
      <xsl:value-of select="/root/Resource/Project/Item/@FirstMessage" />
    </h2>
    <link rel="stylesheet" href="../StorageManager/sm.css" type="text/css" />
    <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="AddScript('../StorageManager/mfp_config.js');" />
    <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="">
      <xsl:attribute name="onload">
        <xsl:text>RLV_XMargin=120;RLV_YMargin=20;RLViewBox_SM();ThereIsCheck('smallcheckbox','project_deletefile', 1);ThereIsCheck('smallcheckbox','project_sendfiles', </xsl:text>
        <xsl:value-of select="$ShowFlag"/>
        <xsl:text>);</xsl:text>
      </xsl:attribute>
    </img>
    <table style="margin-top:0;" >
      <tr>
        <td width="5"></td>
        <!--button 1 New Project-->
        <td>
          <img border="0"  onclick="OnCallModule2('p_new','');IconUpdate('list');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\StorageManager\images\project_new.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@NewProject" />
            </xsl:attribute>
          </img>
        </td>
        <!--button 2 Open Project-->
        <td>
          <img border="0" onclick="OnCallModule2('p_open','');IconUpdate('list');" style="cursor:hand;">
            <xsl:attribute name="src">
              <xsl:text>..\StorageManager\images\project_open.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@OpenProject" />
            </xsl:attribute>
          </img>
        </td>
        <!--button 3 Save Project-->
        <td>
          <img border="0" onclick="OnCallModule2('p_save','');">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@SaveProject" />
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = ''">
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_save_unable.gif</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_save.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand;</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </img>
        </td>
        <!--button 4 Save Project As-->
        <td>
          <img border="0" onclick="OnCallModule2('p_saveas','');">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@SaveAsProject" />
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = ''">
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_saveas_unable.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_saveas.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand;</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </img>
        </td>

        <td>
          <img border="0" src="..\StorageManager\images\blank.gif">
          </img>
        </td>
        <!--button 5 Add File To Project-->
        <td>
          <img border="0" onclick="OnCallModule2('p_addfile','');">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@AddFileToProject" />
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = ''">
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_addfile_unable.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_addfile.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand;</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </img>
        </td>
        <!--button 6 Delete File From Project-->
        <td>
          <img border="0" name="project_deletefile" onclick="GetSelectedList2('list','p_delfile');" id="DelIcon">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@DelFileFromProject" />
            </xsl:attribute>
          </img>
        </td>
        <!--button 7 PCL Form Filter-->
        <td onclick="OnCallModule2('p_pclformfilter','');" style="cursor:hand;">
          <img border="0">
            <xsl:attribute name="src">
              <xsl:text>..\StorageManager\images\project_filterpclform.gif</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@FormFilter" />
            </xsl:attribute>
          </img>
        </td>

        <td>
          <img border="0" src="..\StorageManager\images\blank.gif">
          </img>
        </td>
        <!--button 8 Create Download File-->
        <td>
          <img border="0" onclick="OnCallModule2('p_downcreate','');">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@CreateDownloadFile" />
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = '' or /root/Config/Settings/Item/@CalcTotal = 0">
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_createdownloadfile_unable.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_createdownloadfile.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand;</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </img>
        </td>
        <!--button 9 Send Download File-->
        <td>
          <img border="0">
            <xsl:choose>
              <xsl:when test="/root/Config/PrinterInfo/Functions/Item/@JobSupport = 1">
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_senddownloadfile.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2('p_senddown','')</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_senddownloadfile_unable.gif</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@SendDownloadFile" />
            </xsl:attribute>
          </img>
        </td>
        <!--button 10 Send Project-->
        <td>
          <img border="0" onclick="OnCallModule2('p_sendproject','');">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@SendProject" />
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = '' or /root/Config/Settings/Item/@CalcTotal = 0 or /root/Config/PrinterInfo/Functions/Item/@SendfileSupport = 0" >
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_sendproject_unable.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_sendproject.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand;</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </img>
        </td>
        <!--button 11 Send Files-->
        <td>
          <img border="0" name="project_sendfiles" onclick="GetSelectedList2('list','p_sendfile');">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@SendFiles" />
            </xsl:attribute>
          </img>
        </td>

        <td>
          <img border="0" src="..\StorageManager\images\blank.gif">
          </img>
        </td>

        <td width="20px"></td>
        <!--2010-11-29alt文字xmlファイルから読み取るように修正 wzq -->
        <!--button 12 Job management page-->
        <!--<td>
          <img border="0">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@PrintJobButton"/>
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/PrinterInfo/Functions/Item/@JobSupport = 1">
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_jobpage.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>jobNewDialog()</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="style">
                  <xsl:text>cursor:hand</xsl:text>
                </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="src">
                  <xsl:text>..\StorageManager\images\project_jobpage_disabled.gif</xsl:text>
                </xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
          </img>
        </td>-->
        <!--button 13 administrator functions page-->
        <td>
          <img border="0">
            <xsl:attribute name="alt">
              <xsl:value-of select="/root/Resource/Project/Item/@AdminButton"/>
            </xsl:attribute>
            <xsl:choose>
              <xsl:when test="/root/Config/PrinterInfo/Functions/Item/@AdminSupport = 1">
              <xsl:attribute name="onclick">
                <xsl:text>adminNewDialog()</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="src">
                <xsl:text>..\StorageManager\images\project_adminpage.gif</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="style">
                <xsl:text>cursor:hand</xsl:text>
              </xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
              <xsl:attribute name="src">
                <xsl:text>..\StorageManager\images\project_adminpage_disabled.gif</xsl:text>
              </xsl:attribute>
              </xsl:otherwise>
              </xsl:choose>
          </img>
        </td>
      </tr>
    </table>

    <hr color="gray"/>
    <table class="sm1">
      <tr>
        <td width="20"></td>
        <td>
          <font class="font14">
            <xsl:value-of select="/root/Config/Project/Property/Item/@ProjectName"/>
          </font>
        </td>
      </tr>
    </table>
    <!--wzq 2010-11-30 after cd-review select-allボタンは今delete fileに関連しない   lihe test lihe -->
      <table class="pg1" border="1" cellpadding="1" cellspacing="1" width="90%">
        <form action="#" style="margin-top:0;" id="list">
        <tr>
          <th class="pg1" width="1%">
          </th>
          <xsl:call-template name="makesortheader">
            <xsl:with-param name="param1">
              <xsl:value-of select="$sortalg" />
            </xsl:with-param>
            <xsl:with-param name="param2">
              <xsl:value-of select="$order" />
            </xsl:with-param>
            <xsl:with-param name="param3">
              <xsl:value-of select="$newtext4" />
            </xsl:with-param>
            <xsl:with-param name="param4">5</xsl:with-param>
            <xsl:with-param name="param5">1</xsl:with-param>
            <xsl:with-param name="param6">20%,20%,20%,20%,20%</xsl:with-param>
          </xsl:call-template>
        </tr>
        <xsl:variable name="newid1" select="concat('attr_component', ',', 'attr_number')" />
        <xsl:variable name="newid2" select="concat($newid1, ',', 'attr_type')" />
          <!--
        <xsl:variable name="newid3" select="concat($newid2, ',', 'attr_path1')" />
        <xsl:variable name="newid4" select="concat($newid3, ',', 'attr_path2')" />
        <xsl:variable name="newid5" select="concat($newid4, ',', 'attr_path3')" />
        <xsl:variable name="newid6" select="concat($newid5, ',', 'attr_size')" />
        <xsl:variable name="newid7" select="concat($newid6, ',', 'attr_date')" />
        -->
        <xsl:variable name="newid3" select="concat($newid2, ',', 'attr_size')" />
        <xsl:variable name="newid4" select="concat($newid3, ',', 'attr_date')" />
          <xsl:call-template name="makesortitem">
          <xsl:with-param name="param1">
            <xsl:value-of select="$sortalg" />
          </xsl:with-param>
          <xsl:with-param name="param2">
            <xsl:value-of select="$order" />
          </xsl:with-param>
          <xsl:with-param name="param3">
            <xsl:value-of select="$newid4" />
          </xsl:with-param>
          <xsl:with-param name="param4">5</xsl:with-param>
          <xsl:with-param name="param5">1</xsl:with-param>
        </xsl:call-template>
    
        <xsl:if test="/root/Config/Settings/Item/@CalcTotal != 0">
          <tr>
            <td class="sm3">
              <input class="font12" type="checkbox" name="noselect" id="noselect" value="noselect">
                <xsl:attribute name="onclick">
                  <xsl:text>common_setSmallCheckBoxesStates('smallcheckbox', this, true);ThereIsCheck('smallcheckbox','project_deletefile', 1);ThereIsCheck('smallcheckbox','project_sendfiles', </xsl:text>
                  <xsl:value-of select="$ShowFlag"/>
                  <xsl:text>);project_saveCheckBoxState_SelectAll(this);</xsl:text>
                </xsl:attribute>
                <xsl:if test="/root/Config/StateSaving/ProjectSelectAllCheckbox/Item/@Checked = 'true'">
                  <xsl:attribute name="checked">
                    <xsl:text>checked</xsl:text>
                  </xsl:attribute>
                </xsl:if>
              </input>
            </td>
            <td class="sm1" colspan="8">
              <xsl:value-of select="/root/Resource/Common/Item/@All" />
            </td>
          </tr>
        </xsl:if>
        </form>
      </table>

    <form>
      <table class="mp" cellpadding="0" cellspacing="0" border="0" width="90%">

        <tr>
          <xsl:if test="/root/Config/Settings/Item/@CalcTotal != 0">
            <td width="30%">
              <xsl:call-template name="multipage">
                <xsl:with-param name="param1">
                  <xsl:value-of select="/root/Config/Settings/Item/@CalcTotal" />
                </xsl:with-param>
                <xsl:with-param name="param2">g_</xsl:with-param>
              </xsl:call-template>
            </td>
            <td width="30%">
              <xsl:value-of select="/root/Resource/Common/Item/@ViewCount" />:
              <select class="font12" id="ipp" onchange="OnCallModule2('g_ipp',ipp.value);">
                <xsl:apply-templates select="/root/Resource/ItemPerPage/Item">
                  <xsl:with-param name="param1">
                    <xsl:value-of select="/root/Config/Settings/Item/@ItemPerPage" />
                  </xsl:with-param>
                </xsl:apply-templates>
              </select>
            </td>
          </xsl:if>
          <td width="40%" align="right">
            <xsl:value-of select="/root/Resource/Common/Item/@FilterName" />:
            <xsl:call-template name="namefilter">
              <xsl:with-param name="param1">p_filter</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </form>
    <div name="minimenu" id="minimenu" style="position:absolute;display:none;">
      <table>
        <tr>
          <td>
            <img border="0" onclick="OnCallModule2('p_save','');">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Project/Item/@SaveProject" />
              </xsl:attribute>
              <xsl:choose>
                <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = ''">
                  <xsl:attribute name="src">
                    <xsl:text>..\StorageManager\images\project_save_unable.gif</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="disabled">
                    <xsl:text>disabled</xsl:text>
                  </xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:attribute name="src">
                    <xsl:text>..\StorageManager\images\project_save.gif</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="style">
                    <xsl:text>cursor:hand;</xsl:text>
                  </xsl:attribute>
                </xsl:otherwise>
              </xsl:choose>
            </img>
          </td>
          <td>
            <img border="0" onclick="OnCallModule2('p_saveas','');">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Project/Item/@SaveAsProject" />
              </xsl:attribute>
              <xsl:choose>
                <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = ''">
                  <xsl:attribute name="src">
                    <xsl:text>..\StorageManager\images\project_saveas_unable.gif</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="disabled">
                    <xsl:text>disabled</xsl:text>1
                  </xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:attribute name="src">
                    <xsl:text>..\StorageManager\images\project_saveas.gif</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="style">
                    <xsl:text>cursor:hand;</xsl:text>1
                  </xsl:attribute>
                </xsl:otherwise>
              </xsl:choose>
            </img>
          </td>
          <td>
            <img border="0" onclick="OnCallModule2('p_addfile','');">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Project/Item/@AddFileToProject" />
              </xsl:attribute>
              <xsl:choose>
                <xsl:when test="/root/Config/Project/Property/Item/@ProjectName = ''">
                  <xsl:attribute name="src">
                    <xsl:text>..\StorageManager\images\project_addfile_unable.gif</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="disabled">
                    <xsl:text>disabled</xsl:text>
                  </xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:attribute name="src">
                    <xsl:text>..\StorageManager\images\project_addfile.gif</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="style">
                    <xsl:text>cursor:hand;</xsl:text>
                  </xsl:attribute>
                </xsl:otherwise>
              </xsl:choose>
            </img>
          </td>
          <td>
            <img border="0" name="project_deletefile" onclick="GetSelectedList2('list','p_delfile');" id="DelIcon">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Project/Item/@DelFileFromProject" />
              </xsl:attribute>
            </img>
          </td>
        </tr>
      </table>
      <!--<img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="AddScript('../StorageManager/mfp_config.js');" />-->
      <!--<img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="RLV_XMargin2=100;RLV_YMargin2=30;RLViewBox2();" />-->
      <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="DisableScroll();" />
    </div>
  </xsl:template>
  <xsl:template match="/root/Config/Project/Files/Item">
    <xsl:param name="select" select="'0'" />
    <xsl:param name="first" select="0" />
    <xsl:param name="last" select="0" />
    <xsl:param name="type" select="@Type" />

    <xsl:variable name="current" select="position()" />
    <xsl:variable name="fileid" select="@FileID"/>
    <xsl:variable name="profiletype" select="@ProfileType+1"/>
    <xsl:variable name="ShowFlag" select="/root/Config/PrinterInfo/Functions/Item/@SendfileSupport"/>
    <xsl:if test="($current &gt;= $first and $current &lt;= $last) or ($last = 0)">
      <tr>
        <td class="sm3">
          <input type="checkbox" name="smallcheckbox">
            <xsl:attribute name="onclick">
              <xsl:text>ThereIsCheck('smallcheckbox','project_deletefile', 1);ThereIsCheck('smallcheckbox','project_sendfiles', </xsl:text>
              <xsl:value-of select="$ShowFlag"/>
              <xsl:text>);common_setBigCheckBoxState(this, 'smallcheckbox', 'noselect', true);</xsl:text>
              <xsl:text>project_saveCheckBoxState(this);</xsl:text> 
            </xsl:attribute>
            <xsl:attribute name="id">
              <xsl:value-of select="@FileID"/>
            </xsl:attribute>
            <xsl:if test="(/root/Config/StateSaving/ProjectFileCheckboxes/Item[@FileID=$fileid]/@Checked)='true'">
              <xsl:attribute name="checked">
                <xsl:text>checked</xsl:text>
              </xsl:attribute>
            </xsl:if>
            <xsl:attribute name="ID">
              <xsl:value-of select="@FileID"/>
            </xsl:attribute>
          </input>
        </td>
        <td class="sm1" >
          <a href="#">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_fileedit','</xsl:text>
              <xsl:value-of select="@FileID"/>
              <xsl:text>')</xsl:text>
            </xsl:attribute>
            <img border="0">
              <xsl:attribute name="src">
                <xsl:choose>
                  <xsl:when test="@Type='1'">
                    <xsl:text>../storagemanager/images/project_file_bmp.gif</xsl:text>
                  </xsl:when>
                  <xsl:when test="@Type='2'">
                    <xsl:text>../storagemanager/images/project_file_macro.gif</xsl:text>
                  </xsl:when>
                  <xsl:when test="@Type='3'">
                    <xsl:text>../storagemanager/images/project_file_psfont.gif</xsl:text>
                  </xsl:when>
                  <xsl:when test="@Type='4'">
                    <xsl:text>../storagemanager/images/project_file_psform.gif</xsl:text>

                  </xsl:when>
                  <xsl:when test="@Type='5'">
                    <xsl:text>../storagemanager/images/project_file_ttf.gif</xsl:text>

                  </xsl:when>
                  <xsl:when test="@Type='6'">
                    <xsl:text>../storagemanager/images/project_file_icm.gif</xsl:text>
                  </xsl:when>
                  <xsl:when test="@Type='7'">
                    <xsl:text>../storagemanager/images/project_file_dmo.gif</xsl:text>
                  </xsl:when>
                  <!--PCL6マクロファイル ODD GCY 2012/11/06-->
                  <xsl:when test="@Type='8'">
                    <xsl:text>../storagemanager/images/project_file_macro.gif</xsl:text>
                  </xsl:when>

                </xsl:choose>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Filter/ProjectFilter/Item[@ID=$type]/@Value" />
              </xsl:attribute>
            </img>
            <xsl:value-of select="@Component" />
          </a>
        </td>
        <td class="sm3"  >
          <xsl:value-of select="@ID" />
        </td>
        <td class="sm3">
          <xsl:value-of select="/root/Resource/Filter/ProjectFilter/Item[@ID=$type]/@Value" />
          <xsl:if test ="@Type='6'">
            <br/>
            <xsl:text>[</xsl:text>
            <xsl:value-of select="/root/Resource/Filter/ICMFilter/Item[@ID=$profiletype]/@Value" />
            <xsl:text>]</xsl:text>
          </xsl:if>
        </td>
        <td class="sm2">
          <xsl:value-of select="@Size" />
        </td>
        <td class="sm1" >
          <xsl:value-of select="@CreateDate" />
        </td>
      </tr>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/root/Resource/Filter/ProjectFilter/Item">
    <xsl:param name="param1" />
    <xsl:if test="$param1 != ''">
      <option>
        <xsl:attribute name="value">
          <xsl:value-of select="@ID" />
        </xsl:attribute>
        <xsl:if test="$param1 = @ID">
          <xsl:attribute name="selected">
            <xsl:text>selected</xsl:text>
          </xsl:attribute>
        </xsl:if>
        <xsl:value-of select="@Value" />
      </option>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>