﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:include href="./sm_joblist.xsl" />
  <xsl:include href="./sm_jobfilter.xsl" />
  <xsl:template match="PrinterConfig/Job/Jobs">
    <script language="JavaScript" src="../common/mst_index.js"></script>
    <xsl:variable name="sortalg" select="../../JobSettings/Item/@Sort" />
    <xsl:variable name="order" select="../../JobSettings/Item/@Order" />
    <xsl:variable name="newtext1" select="concat(../../../Resource/Job/Item/@JobName, ',', ../../../Resource/Job/Item/@JobID)" />
    <xsl:variable name="newtext2" select="concat($newtext1, ',', ../../../Resource/Job/Item/@JobCopies)" />
    <xsl:variable name="newtext3" select="concat($newtext2, ',', ../../../Resource/Job/Item/@JobState)" />
    <xsl:variable name="printerKey" select="/root/PrinterConfig/ActivePrinter/Item/@PrinterKey"></xsl:variable>
	<xsl:variable name="password32length" select="/root/PrinterConfig/DeviceExplorer/PrinterEmulation/Item/@Password32Length" /><!--xX760管理者パスワード文字数制限変更 jiangweinan add-->
    <div style="width:620px;">
      <h2 class="multiline_title" >
        <xsl:value-of select ="/root/Resource/Job/Item/@FirstMessage1"/>
      </h2>
      <h2 class="multiline_title" >
        <xsl:value-of select ="/root/Resource/Job/Item/@FirstMessage2"/>
      </h2>
      <h2 class="multiline_title" >
        <xsl:value-of select ="/root/Resource/Job/Item/@FirstMessage3"/>
      </h2>
      <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="RLV_XMargin=200;RLV_YMargin=20;ThereIsCheck('JobCheckboxName','job_print', 1);ThereIsCheck('JobCheckboxName','job_delete', 1);" />

      <table width="99%" style="margin-left:10px;font-size:12px">

        <tr >
          <td>
            <b style="color:red">
              <xsl:if test="/root/PrinterConfig/Job/JobFunction/Item/@CurrentMode='0'">
                <xsl:text>
                        *
                      </xsl:text>
              </xsl:if>
            </b>
          </td>
          <td>
            <input id="InputPasswordPIN" type="password" size="9"  class="sm_noime" onkeyup="ChangeButtonStateByInput('InputPasswordPIN','ButtonPasswordPIN','4','4')" onkeypress="return checkInputIsNum(event,this,3)">
              <xsl:attribute name="value">
                <xsl:value-of select='/root/PrinterConfig/Job/JobFunction/Item/@PIN'/>
              </xsl:attribute>
            </input>
          </td>
          <td>
            <button id="ButtonPasswordPIN" class="smmain" style="width:210px">
              <xsl:if test="/root/PrinterConfig/Job/JobFunction/Item/@PIN = ''">
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
              </xsl:if>
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('m_updateActivePrinter','</xsl:text>
                <xsl:value-of select="$printerKey"/>
                <xsl:text>');PwdApplyButtonClicked('j_PINApply','InputPasswordPIN');</xsl:text>
              </xsl:attribute>
              <xsl:value-of select="/root/Resource/Job/Item/@PINApplyButton" />
            </button>
          </td>
          <td>
            <xsl:value-of select="/root/Resource/Job/Item/@PINRequire_Line1" />
            <br/>
            <xsl:value-of select="/root/Resource/Job/Item/@PINRequire_Line2" />
          </td>
        </tr>

        <tr>
          <td>
            <b style="color:red">
              <xsl:if test="/root/PrinterConfig/Job/JobFunction/Item/@CurrentMode='1'">
                <xsl:text>
                        *
                      </xsl:text>
              </xsl:if>
            </b>
          </td>
		  <xsl:choose>
              <xsl:when test="$password32length = 'ENABLE'">
                  <td>
                    <input id="InputPasswordAdmin" type="password" size="9" class="sm_noime" onkeyup="ChangeButtonStateByInput('InputPasswordAdmin','ButtonPasswordAdmin','1','64')" onkeypress="return checkPW(event,this,63)">
                      <xsl:attribute name="value">
                        <xsl:value-of select='/root/PrinterConfig/Job/JobFunction/Item/@PrinterPW'/>
                      </xsl:attribute>
                      <xsl:if test="/root/PrinterConfig/PrinterInfo/Functions/Item/@HaveAdminPW='1'">
                        <xsl:attribute name="disabled">
                          <xsl:text>disabled</xsl:text>
                        </xsl:attribute>
                      </xsl:if>
                    </input>
                  </td>
		      </xsl:when>
		      <xsl:otherwise>
			      <td>
                    <input id="InputPasswordAdmin" type="password" size="9" class="sm_noime" onkeyup="ChangeButtonStateByInput('InputPasswordAdmin','ButtonPasswordAdmin','6','12')" onkeypress="return checkPW(event,this,11)">
                      <xsl:attribute name="value">
                        <xsl:value-of select='/root/PrinterConfig/Job/JobFunction/Item/@PrinterPW'/>
                      </xsl:attribute>
                      <xsl:if test="/root/PrinterConfig/PrinterInfo/Functions/Item/@HaveAdminPW='1'">
                        <xsl:attribute name="disabled">
                          <xsl:text>disabled</xsl:text>
                        </xsl:attribute>
                      </xsl:if>
                    </input>
                  </td>
			  </xsl:otherwise>		
	      </xsl:choose>
          <td>
            <button id="ButtonPasswordAdmin" class="smmain" style="width:210px">
              <xsl:if test="/root/PrinterConfig/Job/JobFunction/Item/@PrinterPW = ''">
                <xsl:attribute name="disabled">
                  <xsl:text>disabled</xsl:text>
                </xsl:attribute>
              </xsl:if>
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('m_updateActivePrinter','</xsl:text>
                <xsl:value-of select="$printerKey"/>
                <xsl:text>');PwdApplyButtonClicked('j_AdminPasswordApply','InputPasswordAdmin');</xsl:text>
              </xsl:attribute>

              <xsl:value-of select="/root/Resource/Job/Item/@AdminPasswordApplyButton" />
            </button>

          </td>
		  <xsl:choose>
              <xsl:when test="$password32length = 'ENABLE'">
                  <td>
                    <xsl:value-of select="/root/Resource/Job/Item/@AdminPWRequire_Line1" />
                  </td>
			  </xsl:when>
		      <xsl:otherwise>
			      <td>
                    <xsl:value-of select="/root/Resource/Job/Item/@AdminPWRequire_Line1" />
                    <br/>
                    <xsl:value-of select="/root/Resource/Job/Item/@AdminPWRequire_Line2" />
                  </td>
			  </xsl:otherwise>		
	      </xsl:choose>	  
        </tr>
      </table>
      <table style="margin-left=17px;">
        <tr>
          <td>
            <img border="0" name="job_print" style="cursor:hand;">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Job/Item/@PrintJob" />
              </xsl:attribute>
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('m_updateActivePrinter','</xsl:text>
                <xsl:value-of select="$printerKey"/>
                <xsl:text>');CmdWithChecked('j_printJob','JobCheckboxName');</xsl:text>
              </xsl:attribute>
            </img>
          </td>
          <td>
            <img border="0" name="job_delete" style="cursor:hand;">
              <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Job/Item/@DeleteJob" />
              </xsl:attribute>
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('m_updateActivePrinter','</xsl:text>
                <xsl:value-of select="$printerKey"/>
                <xsl:text>');CmdWithChecked('j_deleteJob','JobCheckboxName');</xsl:text>
              </xsl:attribute>
            </img>
          </td>

          <td>
            <img border="0" src="..\StorageManager\images\blank.gif">
            </img>
          </td>
        </tr>
      </table>
      <hr color="gray"/>
      <form action="#" style="margin-top:0" id="list">
        <table class="pg1" border="1" cellpadding="1" cellspacing="1" width="90%">
          <tr>
            <th class="pg1"  width="1%"></th>
            <xsl:call-template name="makesortheader">
              <xsl:with-param name="param1">
                <xsl:value-of select="$sortalg" />
              </xsl:with-param>
              <xsl:with-param name="param2">
                <xsl:value-of select="$order" />
              </xsl:with-param>
              <xsl:with-param name="param3">
                <xsl:value-of select="$newtext3" />
              </xsl:with-param>
              <xsl:with-param name="param4">4</xsl:with-param>
              <xsl:with-param name="param5">1</xsl:with-param>
              <xsl:with-param name="param6">70%,10%,10%,10%</xsl:with-param>
            </xsl:call-template>
          </tr>
          <xsl:variable name="newid1" select="concat('attr_name', ',', 'attr_id')" />
          <xsl:variable name="newid2" select="concat($newid1, ',', 'attr_copies')" />
          <xsl:variable name="newid3" select="concat($newid2, ',', 'attr_stored')" />
          <xsl:call-template name="makesortitem">
            <xsl:with-param name="param1">
              <xsl:value-of select="$sortalg" />
            </xsl:with-param>
            <xsl:with-param name="param2">
              <xsl:value-of select="$order" />
            </xsl:with-param>
            <xsl:with-param name="param3">
              <xsl:value-of select="$newid3" />
            </xsl:with-param>
            <xsl:with-param name="param4">4</xsl:with-param>
            <xsl:with-param name="param5">1</xsl:with-param>
          </xsl:call-template>
          <xsl:if test="/root/PrinterConfig/JobSettings/Item/@CalcTotal != 0">
            <tr>
              <td class="sm3">
                <input class="font12" type="checkbox" name="noselect" id="noselect" value="noselect" onclick="common_setSmallCheckBoxesStates('JobCheckboxName', this, false);ThereIsCheck('JobCheckboxName','job_print', 1);ThereIsCheck('JobCheckboxName','job_delete' ,1);" />
              </td>
              <td class="sm1" colspan="4">
                <xsl:value-of select="/root/Resource/Common/Item/@All" />
              </td>
            </tr>
          </xsl:if>
        </table>
      </form>
      <xsl:if test="/root/PrinterConfig/JobSettings/Item/@CalcTotal != 0">
        <form>
          <table class="mp" cellpadding="0" cellspacing="0" border="0" width="90%">
            <tr>
              <td width="30%">
                <xsl:call-template name="multipage">
                  <xsl:with-param name="param1">
                    <xsl:value-of select="/root/PrinterConfig/JobSettings/Item/@CalcTotal" />
                  </xsl:with-param>
                  <xsl:with-param name="param2">j_</xsl:with-param>
                </xsl:call-template>
              </td>
              <td width="30%">
                <xsl:value-of select="/root/Resource/Common/Item/@ViewCount" />:
                <select class="font12" id="ipp" onchange="OnCallModule2('j_ippJob',ipp.value);">
                  <xsl:apply-templates select="/root/Resource/ItemPerPage/Item">
                    <xsl:with-param name="param1">
                      <xsl:value-of select="/root/PrinterConfig/JobSettings/Item/@ItemPerPage" />
                    </xsl:with-param>
                  </xsl:apply-templates>
                </select>
              </td>
            </tr>
          </table>
        </form>
      </xsl:if>
      <div name="minimenu" id="minimenu" style="position:absolute;display:none;">
        <table>
          <tr>
            <td>
              <img border="0" name="job_print" style="cursor:hand;">
                <xsl:attribute name="alt">
                  <xsl:value-of select="/root/Resource/Job/Item/@PrintJob" />
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2('m_updateActivePrinter','</xsl:text>
                  <xsl:value-of select="$printerKey"/>
                  <xsl:text>');CmdWithChecked('j_printJob','JobCheckboxName');</xsl:text>
                </xsl:attribute>
              </img>
            </td>
            <td>
              <img border="0" name="job_delete" style="cursor:hand;">
                <xsl:attribute name="alt">
                  <xsl:value-of select="/root/Resource/Job/Item/@DeleteJob" />
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  <xsl:text>OnCallModule2('m_updateActivePrinter','</xsl:text>
                  <xsl:value-of select="$printerKey"/>
                  <xsl:text>');CmdWithChecked('j_deleteJob','JobCheckboxName');</xsl:text>
                </xsl:attribute>
              </img>
            </td>

          </tr>
        </table>
        <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" />
        <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="RLV_XMargin2=100;RLV_YMargin2=30;RLViewBox2();" />
        <img src="../StorageManager/images/blank.gif" width="1" height="1" alt="" onload="DisableScroll();" />
      </div>
    </div>
  </xsl:template>
  <xsl:template match="/root/PrinterConfig/Job/Jobs/Item">
    <xsl:param name="select" select="'0'" />
    <xsl:param name="first" select="0" />
    <xsl:param name="last" select="0" />
    <xsl:param name="type" select="@Type" />
    <xsl:variable name="current" select="position()" />
    <xsl:if test="($current &gt;= $first and $current &lt;= $last) or ($last = 0)">
      <tr>
        <td class="sm3">
          <input type="checkbox" name="JobCheckboxName" onclick="ThereIsCheck('JobCheckboxName','job_print', 1);ThereIsCheck('JobCheckboxName','job_delete', 1);common_setBigCheckBoxState(this, 'JobCheckboxName', 'noselect', false);">
            <xsl:attribute name="ID">
              <xsl:value-of select="@ID"/>
            </xsl:attribute>
          </input>
        </td>
        <td class="sm3">
          <xsl:value-of select="@Name" />
        </td>
        <td class="sm3">
          <xsl:value-of select="@ID" />
        </td>
        <td class="sm1">
          <xsl:value-of select="@Copies" />
        </td>
        <td class="sm1">
          <xsl:choose>
            <xsl:when test='@Stored = "ON"'>
              <xsl:value-of select="/root/Resource/Job/Item/@ON"/>
            </xsl:when>
            <xsl:when test='@Stored = "ONCE"'>
              <xsl:value-of select="/root/Resource/Job/Item/@ONCE"/>
            </xsl:when>
          </xsl:choose>
        </td>
      </tr>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
