<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" />
  <xsl:param name="ID" select="/root/Config/Project/Property/Item/@FileID" />
  <xsl:template match="Resource/Project">
    <link rel="stylesheet" href="../StorageManager/sm.css" type="text/css" />
    <h2>
      <xsl:value-of select="Item/@CommonProperty" />
    </h2>
    <table  border="1px" style="border-style:solid;border-color:#969696;font-size:12px;border-collapse:collapse;margin:0px 0px 0px 0px" width="98%" align="center">
      <tr>
        <td width="40%">
          <xsl:value-of select="Item/@Component" />:
        </td>
        <td width="60%">
          <xsl:choose>
            <xsl:when test ="/root/Config/Project/Files/Item[@FileID = $ID]/@Type = '3' ">
              <input type="hidden" name="Component" id="Component" maxlength="255" onkeyup="project_setOkButtonState_commonFile()">
                <xsl:attribute name="Value">
                  <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
                </xsl:attribute>
              </input>
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
            </xsl:when>
            <xsl:when test ="/root/Config/Project/Files/Item[@FileID = $ID]/@Type = '7' ">
              <input style="ime-mode:Disabled" type="text" name="Component" id="Component" maxlength="36" onpaste="return false;" onkeypress = "return validateInputID(event)" onkeyup="project_setOkButtonState_commonFile()">
                <xsl:attribute name="Value">
                  <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
                </xsl:attribute>
              </input>
            </xsl:when>
			<xsl:when test ="(/root/Config/Project/Files/Item[@FileID = $ID]/@Type != '3') and (/root/Config/Project/Files/Item[@FileID = $ID]/@Type != '7')">
              <input type="text" name="Component" id="Component" maxlength="255" onkeyup="project_setOkButtonState_commonFile()">
                <xsl:attribute name="Value">
                  <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
                </xsl:attribute>
              </input>
            </xsl:when>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@ID" />:
        </td>
        <td>
          <input style="ime-mode:Disabled" type="text" name="ID" id="ID" maxlength="64" onpaste="return false;" onkeypress="return validateInputID(event);" onkeyup="project_setOkButtonState_commonFile()" >
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@ID" />
            </xsl:attribute>
            <xsl:if test ="(/root/Config/Project/Files/Item[@FileID = $ID]/@Type != '2' and /root/Config/Project/Files/Item[@FileID = $ID]/@Type != '8') or /root/Config/Project/Files/Item[@FileID = $ID]/@Path = '\common\demo'">
              <xsl:attribute name="type">
                <xsl:text>hidden</xsl:text>
              </xsl:attribute>
            </xsl:if>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Type" />:
        </td>
        <td>
          <xsl:value-of select="/root/Resource/Filter/ProjectFilter/Item[@ID = /root/Config/Project/Files/Item[@FileID = $ID]/@Type]/@Value" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Volume" />:
        </td>
        <td>
          <input type="text" name="Volume" id="Volume" maxlength="40" onkeyup="project_setOkButtonState_commonFile()">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Volume" />
            </xsl:attribute>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Path" />:
        </td>
        <td>
          <input type="text" name="Path" id="Path" maxlength="160" onkeyup="project_setOkButtonState_commonFile()">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Path" />
            </xsl:attribute>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@LocalPath" />:
        </td>
        <td>
          <textarea name="LocalPath" id="LocalPath" cols="24" rows="2" readonly="readOnly" style="background-color: whitesmoke;border-top-style: none; border-right-style: none; border-left-style: none; border-bottom-style: none;">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@LocalPath" />
          </textarea>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Size" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Size" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@CreateDate" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@CreateDate" />
        </td>
      </tr>
    </table>
    <table align="center">
	<xsl:if test ="(/root/Config/Project/Files/Item[@FileID = $ID]/@Type = '7')">
       <tr>
        <td >
          <button class="okcancel" type="button" id="buttonOK"  onkeydown="return project_FormatID()">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_EditOK','</xsl:text>
              <xsl:value-of select="$ID" />
              <xsl:text>$7$'+Component.value+'$'+ID.value+'$'+Volume.value+'$'+Path.value+'$')
                </xsl:text>
            </xsl:attribute>
            <xsl:value-of select="../Common/Item/@OK" />
          </button>
        </td>
        <td >
          <button class="okcancel">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_Close','2')</xsl:text>
            </xsl:attribute>
            <xsl:value-of select="../Common/Item/@Cancel" />
          </button>
        </td>
      </tr>
	</xsl:if>
	<xsl:if test ="(/root/Config/Project/Files/Item[@FileID = $ID]/@Type != '7')">
       <tr>
        <td >
          <button class="okcancel" type="button" id="buttonOK"  onkeydown="return project_FormatID()">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_EditOK','</xsl:text>
              <xsl:value-of select="$ID" />
              <xsl:text>$2$'+Component.value+'$'+ID.value+'$'+Volume.value+'$'+Path.value+'$')
                </xsl:text>
            </xsl:attribute>
            <xsl:value-of select="../Common/Item/@OK" />
          </button>
        </td>
        <td >
          <button class="okcancel">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_Close','2')</xsl:text>
            </xsl:attribute>
            <xsl:value-of select="../Common/Item/@Cancel" />
          </button>
        </td>
      </tr>
	</xsl:if>
    </table>
  </xsl:template>
</xsl:stylesheet>
