﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" />
  <xsl:param name="ID" select="/root/Config/Project/Property/Item/@FileID" />
  <xsl:template match="Resource/Project">
    <link rel="stylesheet" href="../StorageManager/sm.css" type="text/css" />
    <h2>
      <xsl:value-of select="Item/@CommonProperty" />
    </h2>
    <table  border="1px" style="border-style:solid;border-color:#969696;font-size:12px;border-collapse:collapse;margin:0px 0px 0px 0px" width="98%" align="center">
      <tr>
        <td width="40%">
          <xsl:value-of select="Item/@Component" />:
        </td>
        <td width="60%" colspan="2">
          <input type="hidden" name="Component" id="Component" maxlength="255">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
            </xsl:attribute>
          </input>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@ID" />:
        </td>
        <td alien="center">
          <xsl:apply-templates select="/root/Config/Project/ICMID/Item">
            <xsl:with-param name="param1">
              1
            </xsl:with-param>
          </xsl:apply-templates>
        </td>
        <td>
          <input type="text" name="ID" id="ID" readonly="readOnly" maxlength="2" size="2" style="background-color: whitesmoke;border-top-style: none; border-right-style: none; border-left-style: none; border-bottom-style: none;">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@ID" />
            </xsl:attribute>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Type" />:
        </td>
        <td colspan="2">
          <xsl:value-of select="/root/Resource/Filter/ProjectFilter/Item[@ID = /root/Config/Project/Files/Item[@FileID = $ID]/@Type]/@Value" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Volume" />:
        </td>
        <td colspan="2">
          <input type="hidden" name="Volume" id="Volume">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Volume" />
            </xsl:attribute>
          </input>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Volume" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Path" />:
        </td>
        <td colspan="2">
          <input type="hidden" name="Path" id="Path">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Path" />
            </xsl:attribute>
          </input>
          <textarea name="LocalPath" id="LocalPath" cols="24" rows="2" readonly="readOnly" style="background-color: whitesmoke;border-top-style: none; border-right-style: none; border-left-style: none; border-bottom-style: none;">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Path" />
          </textarea>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@LocalPath" />:
        </td>
        <td colspan="2">
          <textarea name="LocalPath" id="LocalPath" cols="24" rows="2" readonly="readOnly" style="background-color: whitesmoke;border-top-style: none; border-right-style: none; border-left-style: none; border-bottom-style: none;">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@LocalPath" />
          </textarea>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Size" />:
        </td>
        <td colspan="2">
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Size" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@CreateDate" />:
        </td>
        <td colspan="2">
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@CreateDate" />
        </td>
      </tr>
    </table>
    <h2>
      <xsl:value-of select="Item/@DetailProperty" />:
    </h2>
    <table  border="1px" style="border-style:solid;border-color:#969696;font-size:12px;border-collapse:collapse;margin:0px 0px 0px 0px"  width="98%" align="center">
      <tr style="height: 36px">
        <td width="40%">
          <xsl:value-of select="Item/@ICMType" />
        </td>
        <td width="60%">
          <xsl:choose>
            <xsl:when test="/root/Config/Project/Files/Item[@FileID = $ID]/@ICMType = 1">
              <input type="hidden" id="ICMTypeList" name="ICMTypeList" value="0"></input>
              <xsl:value-of select="../Filter/ICMFilter/Item[1]/@Value" />
            </xsl:when>
            <xsl:when test="/root/Config/Project/Files/Item[@FileID = $ID]/@ICMType = 2">
              <select name="ICMTypeList" id="ICMTypeList">
                <xsl:attribute name="onchange">
                  <xsl:text>SelectOk('</xsl:text>
                  <xsl:value-of select="$ID" />
                  <xsl:text>$'+ICMTypeList.value+'')
                </xsl:text>
                </xsl:attribute>
                <option value="2">
                  <xsl:if test="/root/Config/Project/Files/Item[@FileID = $ID]/@ProfileType != 0">
                    <xsl:attribute name="selected">
                      <xsl:text>selected</xsl:text>
                    </xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="../Filter/ICMFilter/Item[3]/@Value" />
                </option>
                <option value="0">
                  <xsl:if test="/root/Config/Project/Files/Item[@FileID = $ID]/@ProfileType = 0">
                    <xsl:attribute name="selected">
                      <xsl:text>selected</xsl:text>
                    </xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="../Filter/ICMFilter/Item[1]/@Value" />
                </option>
              </select>
            </xsl:when>
            <xsl:when test="/root/Config/Project/Files/Item[@FileID = $ID]/@ICMType = 3">
              <select name="ICMTypeList" id="ICMTypeList" onchange ="SelectOk(ICMTypeList.value)">
                <xsl:attribute name="onchange">
                  <xsl:text>SelectOk('</xsl:text>
                  <xsl:value-of select="$ID" />
                  <xsl:text>$'+ICMTypeList.value+'')
                </xsl:text>
                </xsl:attribute>
                <option value="2">
                  <xsl:if test="/root/Config/Project/Files/Item[@FileID = $ID]/@ProfileType != 1">
                    <xsl:attribute name="selected">
                      <xsl:text>selected</xsl:text>
                    </xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="../Filter/ICMFilter/Item[3]/@Value" />
                </option>
                <option value="1">
                  <xsl:if test="/root/Config/Project/Files/Item[@FileID = $ID]/@ProfileType = 1">
                    <xsl:attribute name="selected">
                      <xsl:text>selected</xsl:text>
                    </xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="../Filter/ICMFilter/Item[2]/@Value" />
                </option>
              </select>
            </xsl:when>
            <xsl:when test="/root/Config/Project/Files/Item[@FileID = $ID]/@ICMType = 4">
              <input type="hidden" id="ICMTypeList" name="ICMTypeList" value="3"></input>
              <xsl:value-of select="../Filter/ICMFilter/Item[4]/@Value" />
            </xsl:when>
            <xsl:when test="/root/Config/Project/Files/Item[@FileID = $ID]/@ICMType = 5">
              <input type="hidden" id="ICMTypeList" name="ICMTypeList" value="2"></input>
              <xsl:value-of select="../Filter/ICMFilter/Item[3]/@Value" />
            </xsl:when>
          </xsl:choose>
        </td>
      </tr>
      <tr style="height: 36px">
        <td>
          <xsl:value-of select="Item/@ColorSpace" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@ColorSpace" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Description" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Description" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@DeviceClass" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@DeviceClass" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Copyright" />:
        </td>
        <td>
          <textarea name="comment" id="comment" cols="24" rows="2" readonly="readOnly" style="background-color: whitesmoke;border-top-style: none; border-right-style: none; border-left-style: none; border-bottom-style: none;">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Copyright" />
          </textarea>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Comment" />:
        </td>
        <td>
          <textarea class="NotDragpaste" id="Comment" name="Comment"  rows="2" cols="24" maxlength="255" onkeydown="return project_iccicm_edit_comment_lengthControl(this, event) ">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Comment" />
          </textarea>
        </td>
      </tr>
    </table>
    <table align="center">
      <tr>
        <td >
          <button class="okcancel" type="button">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_EditOK','</xsl:text>
              <xsl:value-of select="$ID" />
              <xsl:text>$6$'+Component.value+
                         '$'+ID.value+
                         '$'+Volume.value+
                         '$'+Path.value+
                         '$'+Comment.value+
                         '$'+ICMTypeList.value+'$')
                </xsl:text>
            </xsl:attribute>
            <xsl:value-of select="../Common/Item/@OK" />
          </button>
        </td>
        <td >
          <button class="okcancel">
            <xsl:attribute name="onclick">
              <xsl:text>OnCallModule2('p_CloseICM','</xsl:text>
              <xsl:value-of select="$ID"/>
              <xsl:text>')</xsl:text>
            </xsl:attribute>
            <xsl:value-of select="../Common/Item/@Cancel" />
          </button>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="Config/Project/ICMID/Item">
    <xsl:param name="param1" />
    <xsl:if test="$param1 != ''">
      <xsl:if test="@ID = 7">
        <br></br>
      </xsl:if>
      <input type="button">
        <xsl:attribute name="name">
          <xsl:text>ICMIDInput</xsl:text>
          <xsl:value-of select="@ID" />
        </xsl:attribute>
        <xsl:attribute name="value">
          <xsl:value-of select="@ID" />
        </xsl:attribute>
        <xsl:attribute name="onclick">
          <xsl:text>ChangeICMID('</xsl:text>
          <xsl:value-of select="@ID" />
          <xsl:text>');</xsl:text>
        </xsl:attribute>
        <xsl:if test="@Value = 0 or @Value = 1">
          <xsl:attribute name="style">
            <xsl:text>width:20;</xsl:text>
          </xsl:attribute>
        </xsl:if>
        <xsl:if test="@Value = 2">
          <xsl:attribute name="style">
            <xsl:text>width:20;background-color:#FFFF66;</xsl:text>
          </xsl:attribute>
          <xsl:attribute name="disabled">
            <xsl:text>disabled</xsl:text>
          </xsl:attribute>
        </xsl:if>
      </input>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
