<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" />
  <xsl:param name="ID" select="/root/Config/Project/Property/Item/@FileID" />
  <xsl:template match="Resource/Project">
    <link rel="stylesheet" href="../StorageManager/sm.css" type="text/css" />
    <h2>
      <xsl:value-of select="Item/@CommonProperty" />
    </h2>
    <table  border="1px" style="border-style:solid;border-color:#969696;font-size:12px;border-collapse:collapse;margin:0px 0px 0px 0px" width="98%" align="center">
      <tr>
        <td width="40%">
          <xsl:value-of select="Item/@Component" />:
        </td>
        <td width="60%">
          <input type="hidden" name="Component" id="Component" maxlength="255" >
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
            </xsl:attribute>
          </input>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Component" />
        </td>
      </tr>
      <tr>
        <td style="height: 18px">
          <xsl:value-of select="Item/@ID" />:
        </td>
        <td style="height: 18px">
          <input type="text" name="ID" id="ID" maxlength="5" onkeydown="return downcheckID(value)" onkeyup="checkinputID(value);project_setOkButtonState_sfpttfFile()">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@ID" />
            </xsl:attribute>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Type" />:
        </td>
        <td>
          <xsl:value-of select="/root/Resource/Filter/ProjectFilter/Item[@ID = /root/Config/Project/Files/Item[@FileID = $ID]/@Type]/@Value" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Volume" />:
        </td>
        <td>
          <input type="text" name="Volume" id="Volume" maxlength="40" onkeyup="project_setOkButtonState_sfpttfFile()">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Volume" />
            </xsl:attribute>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Path" />:
        </td>
        <td>
          <input type="text" name="Path" id="Path" maxlength="160" onkeyup="project_setOkButtonState_sfpttfFile()">
            <xsl:attribute name="Value">
              <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Path" />
            </xsl:attribute>
          </input>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@LocalPath" />:
        </td>
        <td>
          <textarea name="LocalPath" id="LocalPath" cols="24" rows="2" readonly="readOnly" style="background-color: whitesmoke;border-top-style: none; border-right-style: none; border-left-style: none; border-bottom-style: none;">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@LocalPath" />
          </textarea>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@Size" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Size" />
        </td>
      </tr>
      <tr>
        <td>
          <xsl:value-of select="Item/@CreateDate" />:
        </td>
        <td>
          <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@CreateDate" />
        </td>
      </tr>
    </table>
    <h2>
      <xsl:value-of select="Item/@DetailProperty" />
    </h2>
      <table  border="1px" style="border-style:solid;border-color:#969696;font-size:12px;border-collapse:collapse;margin:0px 0px 0px 0px"  width="98%" align="center">
        <tr>
          <td width="40%">
            <xsl:value-of select="Item/@BitmapFontName" />:
          </td>
          <td width="60%">
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@BitMapFontName" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@Format" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Format" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@XResolution" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Xresolution" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@YResolution" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Yresolution" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@FontType" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@FontType" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@SymbolSet" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@SymbolSet" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@Proportionality" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Proportional" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@Pitch" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@PitchWidth" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@Height" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Height" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@Style" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@Style" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@StrokeWeight" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@StrokeWeight" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@TypeFace" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@TypeFace" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="Item/@EscapeSequence" />:
          </td>
          <td>
            <xsl:value-of select="/root/Config/Project/Files/Item[@FileID = $ID]/@EscapeSequence" />
          </td>
        </tr>
      </table>
      <table align="center">
        <tr>
          <td >
            <button class="okcancel" type="button" id="buttonOK">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('p_EditOK','</xsl:text>
                <xsl:value-of select="$ID" />
                <xsl:text>$1$'+Component.value+'$'+ID.value+'$'+Volume.value+'$'+Path.value+'$')
                </xsl:text>
              </xsl:attribute>
              <xsl:value-of select="../Common/Item/@OK" />
            </button>
          </td>
          <td >
            <button class="okcancel">
              <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('p_Close','2')</xsl:text>
              </xsl:attribute>
              <xsl:value-of select="../Common/Item/@Cancel" />
            </button>
          </td>
        </tr>
      </table>
    </xsl:template>
</xsl:stylesheet>
