<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template name="namefilter">
<xsl:param name="param1" />
<xsl:if test="string-length($param1) != 0">
<xsl:variable name="filter" select="/root/PrinterConfig/JobSettings/Item/@Filter" />
    <select class="font12" id="namefil">
        <xsl:attribute name="onchange">
            <xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param1" /><xsl:text>',namefil.value);</xsl:text>
        </xsl:attribute>
        <option value="ALL">
            <xsl:if test="$filter = 'ALL'">
                <xsl:attribute name="selected">
                    <xsl:text>selected</xsl:text>
                </xsl:attribute>
            </xsl:if>
            <xsl:value-of select="/root/Resource/Common/Item/@Nothing" />
        </option>
    <xsl:choose>
      <xsl:when test="$param1 = 'p_filter'">
              <xsl:apply-templates select="/root/Resource/Filter/ProjectFilter/Item">
                  <xsl:with-param name="param1"><xsl:value-of select="$filter" /></xsl:with-param>
              </xsl:apply-templates>
        </xsl:when>
    </xsl:choose>
  </select>
</xsl:if>
</xsl:template>

<!-- 複数ページ切り替え処理 -->
<xsl:template name="multipage">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:if test="$param1 != 0">
<xsl:variable name="perpage" select="/root/PrinterConfig/JobSettings/Item/@ItemPerPage" />
<!-- 1ページのみ表示する場合はページ切り替えを非表示にする -->
    <xsl:if test="$perpage != 0">
        <xsl:variable name="maxpage" select="floor($param1 div $perpage)" />
        <xsl:variable name="rest" select="$param1 mod $perpage" />
        <xsl:if test="$rest != 0">
            <xsl:if test="$maxpage != 0">
                <xsl:call-template name="multipage2">
                    <xsl:with-param name="param1"><xsl:value-of select="$maxpage + 1" /></xsl:with-param>
                    <xsl:with-param name="param2"><xsl:value-of select="$perpage" /></xsl:with-param>
                    <xsl:with-param name="param3"><xsl:value-of select="$param2" /></xsl:with-param>
                </xsl:call-template>
            </xsl:if>
            <xsl:if test="$maxpage = 0">
                <xsl:value-of select="/root/Resource/Common/Item/@Blank" />
            </xsl:if>
        </xsl:if>
        <xsl:if test="$rest = 0">
            <xsl:if test="$maxpage &gt; 1">
                <xsl:call-template name="multipage2">
                    <xsl:with-param name="param1"><xsl:value-of select="$maxpage" /></xsl:with-param>
                    <xsl:with-param name="param2"><xsl:value-of select="$perpage" /></xsl:with-param>
                    <xsl:with-param name="param3"><xsl:value-of select="$param2" /></xsl:with-param>
                </xsl:call-template>
            </xsl:if>
            <xsl:if test="$maxpage &lt;= 1">
                <xsl:value-of select="/root/Resource/Common/Item/@Blank" />
            </xsl:if>
        </xsl:if>
    </xsl:if>
</xsl:if>
</xsl:template>

<xsl:template name="multipage2">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:param name="param3" />
<xsl:variable name="current" select="/root/PrinterConfig/JobSettings/Item/@CurrentPage" />
<xsl:variable name="margin" select="/root/PrinterConfig/JobSettings/Item/@MarginPage" />
    <!-- カレントが最小値(1)の場合は、左側のアイコンのリンクはなし -->
    <xsl:if test="$current = 1">
        <img border="0" src="../StorageManager/images/page_back100.gif">
            <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Common/Item/@Back100" />
            </xsl:attribute>
            <xsl:attribute name="title">
                <xsl:value-of select="/root/Resource/Common/Item/@Back100" />
            </xsl:attribute>
        </img>
        <span class="sm9" />
        <img border="0" src="../StorageManager/images/page_back5.gif">
            <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Common/Item/@Back1" />
            </xsl:attribute>
            <xsl:attribute name="title">
                <xsl:value-of select="/root/Resource/Common/Item/@Back1" />
            </xsl:attribute>
        </img>
    </xsl:if>
    <xsl:if test="$current != 1">
        <a href="#">
            <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param3" /><xsl:text>back100job','');</xsl:text>
            </xsl:attribute>
            <img border="0" src="../StorageManager/images/page_back100.gif">
                <xsl:attribute name="alt">
                    <xsl:value-of select="/root/Resource/Common/Item/@Back100" />
                </xsl:attribute>
                <xsl:attribute name="title">
                    <xsl:value-of select="/root/Resource/Common/Item/@Back100" />
                </xsl:attribute>
            </img>
        </a>
        <span class="sm9" />
        <a href="#">
            <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param3" /><xsl:text>back1job','');</xsl:text>
            </xsl:attribute>
            <img border="0" src="../StorageManager/images/page_back5.gif">
                <xsl:attribute name="alt">
                    <xsl:value-of select="/root/Resource/Common/Item/@Back1" />
                </xsl:attribute>
                <xsl:attribute name="title">
                    <xsl:value-of select="/root/Resource/Common/Item/@Back1" />
                </xsl:attribute>
            </img>
        </a>
    </xsl:if>
<span class="sm10">
<xsl:if test="$param1 != 0">
    <xsl:variable name="center" select="floor($margin div 2)" />
    <xsl:choose>
    <xsl:when test="($current - $center) &lt;= 0">
<!-- 最小値が0以下なので、最大値を制限する -->
        <xsl:call-template name="multipage3">
            <xsl:with-param name="param1"><xsl:value-of select="$param1" /></xsl:with-param>
            <xsl:with-param name="param2"><xsl:value-of select="$current" /></xsl:with-param>
            <xsl:with-param name="param3"><xsl:value-of select="$current + $center + 1 + ($center - $current)" /></xsl:with-param>
            <xsl:with-param name="param4"><xsl:value-of select="1" /></xsl:with-param>
            <xsl:with-param name="param5"><xsl:value-of select="$param3" /></xsl:with-param>
        </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
        <xsl:choose>
        <xsl:when test="($current + $center) &gt;= $param1">
<!-- 最大値がMAX以上なので、最小値を制限する -->
            <xsl:call-template name="multipage3">
                <xsl:with-param name="param1"><xsl:value-of select="$param1" /></xsl:with-param>
                <xsl:with-param name="param2"><xsl:value-of select="$current" /></xsl:with-param>
                <xsl:with-param name="param3"><xsl:value-of select="$param1" /></xsl:with-param>
                <xsl:with-param name="param4"><xsl:value-of select="$current - $center - (($current + $center) - $param1)" /></xsl:with-param>
                <xsl:with-param name="param5"><xsl:value-of select="$param3" /></xsl:with-param>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="multipage3">
                <xsl:with-param name="param1"><xsl:value-of select="$param1" /></xsl:with-param>
                <xsl:with-param name="param2"><xsl:value-of select="$current" /></xsl:with-param>
                <xsl:with-param name="param3"><xsl:value-of select="$current + $center" /></xsl:with-param>
                <xsl:with-param name="param4"><xsl:value-of select="$current - $center" /></xsl:with-param>
                <xsl:with-param name="param5"><xsl:value-of select="$param3" /></xsl:with-param>
            </xsl:call-template>
        </xsl:otherwise>
        </xsl:choose>
    </xsl:otherwise>
    </xsl:choose>
</xsl:if>
</span>
    <span class="sm9" />
    <!-- カレントが最大値の場合は、右側のアイコンのリンクはなし -->
    <xsl:if test="$current = $param1">
        <img border="0" src="../StorageManager/images/page_next5.gif">
            <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Common/Item/@Next1" />
            </xsl:attribute>
            <xsl:attribute name="title">
                <xsl:value-of select="/root/Resource/Common/Item/@Next1" />
            </xsl:attribute>
        </img>
        <span class="sm9" />
        <img border="0" src="../StorageManager/images/page_next100.gif">
            <xsl:attribute name="alt">
                <xsl:value-of select="/root/Resource/Common/Item/@Next100" />
            </xsl:attribute>
            <xsl:attribute name="title">
                <xsl:value-of select="/root/Resource/Common/Item/@Next100" />
            </xsl:attribute>
        </img>
    </xsl:if>
    <xsl:if test="$current != $param1">
        <a href="#">
            <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param3" /><xsl:text>next1job','');</xsl:text>
            </xsl:attribute>
            <img border="0" src="../StorageManager/images/page_next5.gif">
                <xsl:attribute name="alt">
                    <xsl:value-of select="/root/Resource/Common/Item/@Next1" />
                </xsl:attribute>
                <xsl:attribute name="title">
                    <xsl:value-of select="/root/Resource/Common/Item/@Next1" />
                </xsl:attribute>
            </img>
        </a>
        <span class="sm9" />
        <a href="#">
            <xsl:attribute name="onclick">
                <xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param3" /><xsl:text>next100job','');</xsl:text>
            </xsl:attribute>
            <img border="0" src="../StorageManager/images/page_next100.gif">
                <xsl:attribute name="alt">
                    <xsl:value-of select="/root/Resource/Common/Item/@Next100" />
                </xsl:attribute>
                <xsl:attribute name="title">
                    <xsl:value-of select="/root/Resource/Common/Item/@Next100" />
                </xsl:attribute>
            </img>
        </a>
    </xsl:if>
</xsl:template>

<xsl:template name="multipage3">
<xsl:param name="param1" />
<xsl:param name="param2" />
<xsl:param name="param3" />
<xsl:param name="param4" />
<xsl:param name="param5" />
<xsl:if test="$param4 &lt;= $param1 and $param4 &lt;= $param3">
    <xsl:choose>
    <xsl:when test="$param4 &gt;= 1">
        <span class="sm9" />
        <xsl:choose>
        <xsl:when test="$param2 = $param4">
            <xsl:value-of select="$param4" />
        </xsl:when>
        <xsl:otherwise>
            <a href="#">
                <xsl:attribute name="onclick">
                    <xsl:text>OnCallModule2('</xsl:text><xsl:value-of select="$param5" /><xsl:text>pagechangejob','</xsl:text><xsl:value-of select="$param4" /><xsl:text>');</xsl:text>
                </xsl:attribute>
                <u><xsl:value-of select="$param4" /></u>
            </a>
        </xsl:otherwise>
        </xsl:choose>
        <xsl:call-template name="multipage3">
            <xsl:with-param name="param1"><xsl:value-of select="$param1" /></xsl:with-param>
            <xsl:with-param name="param2"><xsl:value-of select="$param2" /></xsl:with-param>
            <xsl:with-param name="param3"><xsl:value-of select="$param3" /></xsl:with-param>
            <xsl:with-param name="param4"><xsl:value-of select="$param4 + 1" /></xsl:with-param>
            <xsl:with-param name="param5"><xsl:value-of select="$param5" /></xsl:with-param>
        </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
        <xsl:call-template name="multipage3">
            <xsl:with-param name="param1"><xsl:value-of select="$param1" /></xsl:with-param>
            <xsl:with-param name="param2"><xsl:value-of select="$param2" /></xsl:with-param>
            <xsl:with-param name="param3"><xsl:value-of select="$param3" /></xsl:with-param>
            <xsl:with-param name="param4"><xsl:value-of select="$param4 + 1" /></xsl:with-param>
            <xsl:with-param name="param5"><xsl:value-of select="$param5" /></xsl:with-param>
        </xsl:call-template>
    </xsl:otherwise>
    </xsl:choose>
</xsl:if>
</xsl:template>
  
  <xsl:template match="/root/Resource/ItemPerPage/Item">
    <xsl:param name="param1" />
    <xsl:if test="string-length($param1) != 0">
      <option>
        <xsl:if test="$param1 = @Code">
          <xsl:attribute name="selected">selected</xsl:attribute>
        </xsl:if>
        <xsl:attribute name="value">
          <xsl:value-of select="@Code" />
        </xsl:attribute>
        <xsl:value-of select="@Text" />
      </option>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
